Content of the D-Fend Reloaded help

Content of this page: Introduction Main menu Dialogs Additional information Internet links

Welcome to the D-Fend Reloaded help

This is the starting page of the D-Fend Reloaded help. On this page you can find links to descriptions of all program functions.

Hint:

You can get direct help for any dialog in the program by pressing the F1 key in the progamm.

» Introduction

Before using D-Fend Reloaded for the first time you should read the introduction. There is also a special help page for adding new games the easy way.

» Main menu

File

  • Import
    • Import conf file
    • Import prof file
    • Import archive file
    • Import folder
    • Download packages
  • Export
    • Export gamelist
    • Create conf files
    • Create prof files
    • Create archive file
    • Create installer package
    • Build installer for multiple games
    • Build archive file packages for multiple games
    • Transfer profiles
    • Create package list file
  • Program options
  • Quit

View

  • Show menubar
  • Show toolbar
  • Show groups tree
  • Show screenshots and sound files
  • Show searchbox
  • Show infocolumns in games list
  • Show tooltips in games list
  • List (no icons)
  • List
  • Report (no icons)
  • Report
  • Small icons
  • Icons
  • Screenshots
  • Show quick starter window

Run

  • Run program
  • Run setup
  • Run DOSBox
  • Run DOSBox keymapper
  • Open DOSBox configuration file
  • DOSBox output methods test
  • Run ScummVM
  • Open ScummVM configuration file

Profile

  • Add
  • Add ScummVM profile
  • Add Windows game profile
  • Add from template
  • Add with wizard
  • Install from source media
  • Edit
  • Copy
  • Delete
  • Make installer package
  • Make archive file package
  • View DOSBox conf file
  • View ScummVM ini file
  • Open program folder
  • Open capture folder
  • Open data folder
  • Open file in data folder
  • Internet address
  • Mark as favorite
  • Create shortcut
  • Search game
  • Change saved game

Extras

  • Manage icons
  • View history
  • Open games folder
  • Templates
  • Cheating
    • Change saved game
    • Edit cheats data base
    • Search for address in saved game
  • Image files
    • Create image file
    • Create IMG image from floppy
    • Write IMG to floppy
    • Create image file from folder content
    • Extract image to folder
    • Create ISO image from CD
    • Create image file based profile from normal profile
  • Scan games folder for new games
  • Check profiles for not existing files
  • Edit multiple profiles
  • Uninstall multiple games
  • Transfer profiles
  • Create shortcuts for multiple games
  • Language editor
    • D-Fend Reloaded language editor
    • DOSBox language editor

Help

  • How to get games
  • Adding games
  • Forum
  • Statistics
  • Operation mode
  • Search for updates

» Dialogs and windows
  • First run wizard
  • Build installer for multiple games dialog
  • Build archive file packages for multiple games
  • Program options dialog
  • Quick starter window
  • DOSBox output methods test
  • Profile editor dialog (modern)
  • Profile editor dialog (classic, D-Fend style)
  • Mount dialog
  • Profile wizard dialog
  • Install from source media
  • Uninstall game dialog
  • Make installer package (for a single game)
  • Make archive file package (for a single game)
  • Change saved game
  • Manage icons
  • View history
  • Templates editor
  • Create IMG image from floppy
  • Write IMG to floppy
  • Create image file
  • Create ISO image from CD
  • Extract image to folder
  • Create image file from folder content
  • Create image file based profile from normal profile
  • Edit multiple profiles dialog
  • Uninstall multiple games dialog
  • Transfer profiles dialog
  • D-Fend Reloaded language editor dialog
  • DOSBox language editor dialog
  • Edit cheats data base
  • Search for address in saved game
  • Old games
  • Statistics
  • Operation mode dialog

» Additional information
  • Version history
  • Frequently asked questions
  • License (GPL3)

» Internet links
  • D-Fend Reloaded homepage
  • D-Fend Reloaded forum
  • DOSBox homepage
  • ScummVM homepage

D-Fend Reloaded is written by Alexander Herzog


Introduction to D-Fend Reloaded

The information on this page will give you an overview about what D-Fend Reloaded is and how to handle it.

» What is DOSBox ?

DOSBox emulates an x86 PC including all hardware needed to run DOS programs. With this you can run nearly all of your old DOS games and programs on modern operating systems like Windows or Linux.

Unlike most other emulators (like Bochs or QEmu) DOSBox not only emulates the hardware of an x86 PC but also an MS-DOS compatible operation system. This means you can start directly running your old games without needing to install some operation system first. (But anyway you can install a custom operation system inside DOSBox if you want to.) Additonally DOSBox is much easier to handle than any of the other emulators and virtualizers: There is no need to install any system driver etc. to use it. It is even possible to run DOSBox directly from a USB stick. You can just mount any real folder as a drive inside DOSBox (this means there is no need to use harddisk image files, but of couse DOSBox can also handle harddisk images).

» What is D-Fend Reloaded ?

Even so DOSBox is easy to handle compared to most of the other emulators, there is no graphical environment to setup the hardware used by the games and if you want to run different games needing different hardware setups you need to keep different versions of the DOSBox configuration file and always need to start DOSBox using the right configuration file.

To make things easier for the user there a several frontends for DOSBox. They offer dialogs for setting up DOSBox for different games. Also some of them can handle additional data for the games (manual files and captured screenshots).

D-Fend Reloaded is a DOSBox frontend for the Windows plattform. Inside D-Fend Reloaded you can manage your games just like links in the start menu. Inside the profile editor you can setup every option DOSBox is offering. To make things even easier there is a profile adding wizard which will only ask you very few question and try to automatically setup all nessessary things for you. Addtionally D-Fend Reloaded can store additionally files (like manuals) together with each game and can manage and view/play captured screenshots, sound and videos. You can even use your captured screenshots in the games list instead of plain text links.

Long time ago there has been a freeware frontend called "D-Fend". But some day the development of this program has been stopped and it has been removed from the internet. D-Fend Reloaded is a complete rewrite of D-Fend. It is nearly 100% compatible with D-Fend (you can upate from D-Fend to D-Fend Reloaded by just replacing the program file if you want to). But by now D-Fend Reloaded has many new features D-Fend never had.

» Directory structure

You can place the games, you want to manage inside D-Fend Reloaded, in any directory you want to, but there will be some advantages (easier moving games from one installation to an other) if you keep some rules when storing games.

The normal installation ("User mode") has two main directories for storing data: The program directory and the data directory

The program directory (usually C:\Program files\D-Fend Reloaded)

In the program directory all program files needed to run D-Fend Reloaded and DOSBox will be stored. D-Fend Reloaded will not write to this directory after installation any more. (This means D-Fend Reloaded is compatible to the Vista way of dividing program files and data files.)

The data directory (usually C:\Users\YourName\D-Fend Reloaded)

All user files (programm configuration, game program files, manuals, captured files, etc.) should be stored in this directory and its subdirectores. The games files are stored in the subdirectories of the data directory:

  • Settings: This folder is used by D-Fend Reloaded to store its configuration files.
  • VirtualHD: This folder will be mounted as drive "C:" inside DOSBox (as long as you do not change this behavior for a profile). If you place your games in subdirectories of this folder you will be able to access them inside DOSBox without having to setup anything special in D-Fend Reloaded. Additionally you cannot damage your Windows installation if you accidentally delete your whole virtual harddisk inside DOSBox as long as you have only mounted this folder as drive "C:" inside DOSBox and not your whole real harddisk.
  • Capture: D-Fend Reloaded will create a subfolder in this folder for each profile you create. (Of course you can also define some other capture folder.) The profile capture folder will be used by DOSBox to store captured images, sounds and videos. D-Fend Reloaded will show the captured files for each profile just below the profiles list. All you have to do is select a profile and you will see the corresponding screenshots etc.
  • GameData: D-Fend Reloaded can create a subfolder of this folder for each profile you have (optionally and even of course also in any other folder). You can store addtional game files (like manuals etc.) here. You can access the content of this folder also via the information area below the profiles list or via the profile context menu.
  • Confs: This folder is used to store the prof files for the games. Each prof file contains one profile. You can add your old D-Fend profiles just by copying the D-Fend prof files to this folder. (Attention: D-Fend stores each profile in a DOSBox conf and a prof file. If you import the whole content of the D-Fend Confs folder (via the import function from the file menu) you will have each profile twice. It is recommended to only import the prof files (because they contain more information than the corresponding conf files).
  • AutoSetup, Lang, Templates: This folders are used internally by D-Fend Reloaded to store the auto setup templates, the language files and the normal profile templates. Of couse you can manually add templates by copying them to this folders but are is also the much more easily operated template editor inside D-Fend Reloaded.

» Adding new profiles

The absolute easiest way of adding games to the list (if the game is stored as a zip file) is draging the zip file to the D-Fend Reloaded program window. D-Fend Reloaded will copy the game files to a new created subdirectory of the games folder and will try to automatically setup the new game via an auto setup template. If there is no auto setup template matching to the new game, D-Fend Reloaded will aplly the default template to the new profile. In most cases this will result in a correctly working new profile. But this way of adding new games does not allow the user to influence the process of profile creation. (Of couse you can edit the new profile later like any profile via the profile editor.)

The easiest way of adding profiles while letting user influence the process is via the profile adding wizard ("Add with wizard..." in the "Profile" menu or F3-key). The profile wizard will only ask you the really nessessary things: The name for the new profile, the exe file to execute inside DOSBox and some game settings. D-Fend Reloaded already knows over 350 games (the auto setup templates). If you add a known game it will offer you to completely automatically setup the game for you. If you want to add a game D-Fend Reloaded does not know, it will offer you to choose a template (of the type "low CPU power", "normal", "3D graphics"). Additionally you can add some information like author, publisher, language, year etc. to the profile and that's it, your new profile is ready.

» Running Games

If you have defined a profile for your game, starting the game is very easy: Double click the profile name in the profile list on the right side of the program window. (Or select the profile and press Enter or select the profile and click on the "Run" toolbar button.) D-Fend Reloaded will run the game inside DOSBox. If you capture any images inside DOSBox (by pressing Ctrl+F5) or any sounds (by pressing Ctrl+F6 to start/stop) or any videos (by pressing Ctrl+Alt+F5) D-Fend Reloaded will show you this files in the bottom area of the program window. If you click on a screenshot, you will get a bigger preview and if you click on a captured sound or video file, D-Fend Reloaded will play the file.

See also:

Content of this help file
Adding profiles with the profile wizard
Internet link: D-Fend Reloaded homepage
Internet link: DOSBox homepage


How to get games

There are may ways to legally get old DOS games:

Old floppy disks

If you still own old DOS games on floppy disks and have a computer with a floppy disk drive, you can directly use this floppy disks:

  • You can copy the contents of the floppy disks to hard disk folders and then import the games via the menu item "Import from source media" in the "Profile" menu. (Choose "Install from folder" in the dialog.)
  • If you ware running D-Fend Reloaded on the computer with the floppy disk drive, you can directly install the games from the flopy disks. Choose "Import from source media" in the "Profile" menu and then select "Install from real floppy disks".

D-Fend Reloaded package manager

The menu item "Download packages" from the "Import" submenu of the "File" menu will open the D-Fend Reloaded package manager. The package manager offers you many freeware and shareware games for direct download. All you have to do is choose the games you want to have and click on "Download and install selected games". There is no need to configurate anything on games installed this way. These games are at once ready to use.

Freeware and shareware on the internet

On the "Old games" submenu of the "Help" menu you will find a list of many internet pages offering DOS games and programs (freeware and shareware) for download. In many cases the games can be dragged and dropped directly to the D-Fend Reloaded program window and being downloaded and installed by just doing this. (But you can also download the archive files and then drag&drop the archive files to the program window or use the menu item "Import archive file" from the "Import" submenu of the "File" menu.) If D-Fend Reloaded already has a matching auto setup template for the game, the game will be configured automatically and will be ready at once. In the other case you will be asked for a name for the game and which template to use.

Buying games

The internet site www.gog.com offers many old DOS games for cheap prices.


Adding games to D-Fend Reloaded

First of all it is recommended to read the main introduction to D-Fend Reloaded. It will explain to you how DOSBox and D-Fend Reloaded work.

The text on this page will describe how to add games to D-Fend Reloaded. There are mainly two ways for adding new games: Completely automatically and wizardbased half manual. To add a new game, which is stored as a zip file, completely automatically, just drag the game zip file to the D-Fend Reloaded program window. The zip file will be extracted to a new created subfolder of the games directory and the profile will be created automatically (based on an auto setup template if there is a auto setup template matching to the game). If you want to influence the palce where the game files are stored and want to influence the profile creation process, you should add the game by the following two steps:

1. Copy the games files to the games folder

  • Click on the "Open games folder..." from the "Extras" menu. An Explorer window will open and show you the default location for storing games. (Of course you can use any location you want, but as long as you do not know exactly how D-Fend Reloaded works, you should just use this folder.)
  • Create a new subfolder for the game in this directory.
  • Copy the game files to this new subfolder.

2. Add a profile for the new game

  • Click on the "Add with wizard..." menu item from the "Profile" menu.
  • The new profile wizard will open and ask you for the type of the new profile. If you want to run some old DOS game choose "DOSBox".
  • On the next page the wizard will ask you for the game file to start. Just select the game program file from the new folder you have created in step 1. (Clicking on the "Select file" button on the right side of the game file edit field will bring you directly to the default games location.)
  • As the last step you will have to choose a template for the new game (see also help page for the new profile wizard).
  • On the last two pages of the profile editor normally no changes are needed.

See also:


Import conf file

Menu: File | Import | Import conf file

Import conf-file

DOSBox uses conf-files for setup. This program option allows to make D-Fend Reloaded profiles any from existing DOSBox conf-file.

Importing profiles from D-Fend

If you want to import profiles from an D-Fend installation, you can import the conf-files or the prof-files. Because the prof-files contain more information it is recommended to import the prof-files.

Import via drag&drop

You can also import conf and prof files by just droping them from the Explorer to the D-Fend Reloaded program window.

See also:


Import prof file

prof-files are used by D-Fend Reloaded and also by D-Fend (classic) for storing the profile information. This program option simply copies the chosen prof-file to the D-Fend Reloaded Confs folder. You can also import prof-files by just copying them to this folder.

Importing profiles from D-Fend

If you want to import profiles from an D-Fend installation, you can import the conf-files or the prof-files. Because the prof-files contain more information it is recommended to import the prof-files.

Also D-Fend and D-Fend Reloaded are using the same file format, D-Fend Reloaded will store additionally information. When using a D-Fend Reloaded profile in D-Fend (classic) this should ignore the unknown keys.

Import via drag&drop

You can also import conf and prof files by just droping them from the Explorer to the D-Fend Reloaded program window.

See also:


Import archive file

With this function you can import archive file based complete profiles (including all game files), plain archive files and archive files made with DBGL into D-Fend Reloaded. You can create archive files via the Make archive package function of the "Profile" menu.

Import via drag&drop

You can also import archive files by just dragging them from the Explorer to the D-Fend Reloaded program window.

See also:


Import folder

With this function you can import whole folders to the D-Fend Reloaded file structure. D-Fend Reloaded is copying the folder to the game files folder and creating a new game record for the program in the folder.

Import via drag&drop

You can also import folders by just dragging them from the Explorer to the D-Fend Reloaded program window.

See also:


Packages manager

The packages manager offers you many data packages (games, icons for the games list, D-Fend Reloaded langauge files, icon sets fo the D-Fend Reloaded toolbars etc.) for download and direct install from the D-Fend Reloaded homepage and other sources. In the program window the available data packages are listed by types on different pages. The install button at the bottom of the window allows you to download and automatically install the selected packages with a single click.

Update lists

If you click the "Update lists" button D-Fend Reloaded will check if the package lists on the server have been changed and will download and use new lists. If you hold down the shift key will clicking on "Update lists" button, D-Fend Reloaded will download the lists from the server even if the last change date of the lists on the server indicates the lists have not been changed.

Repositories editor

By clicking the "Repositories lists" button you can add additionally download sources besides the official D-Fend Reloaded homepage as sources for data packages. If you have created data packages and a corresponding list file via the Create package list file function and archived all of them on a CD, you can add the path to the list file on the CD here. (D-Fend Reloaded will look on all installed CD drives for the data packages regardless of the selected drive letter.) You can also add Internet sources hier. Please note the added a non trusted source might bring you besided legal problems security problems. Downloading data packages, containing program code, from a not trusted source can damage your system!

See also:


Export gamelist

This option allows to export a list of all currently available profiles in different formats. D-Fend Reloaded offers the following file format for list export:

  • Text (*.txt):
    Create a plain text file with information about all profiles. This export mode works just like the D-Fend function for exporting game lists.
  • Table (*.csv):
    If you choose this format D-Fend Reloaded will create a table of the availalbe profiles. (Each line a profile.) You can read csv-files with nearly all spreadsheet programs.
  • HTML (*.html):
    This option will create a html-file with a table containing information about all profiles. You can use files like this directly as part of your homepage.
  • XML (*.xml):
    This option will create a xml-file.

See also:


Create conf files

The conf-files are used by DOSBox as configuration files. Most other frontends can import conf-files. So if you want to transfer profiles to an other frontend using conf-files for this will probably work. But conf-files contain less information than prof-files. So if the other frontend can read D-Fend / D-Fend Reloaded prof-files you will get besser results when importing them instead of the conf-files.

If you just want to look inside a conf-file used by D-Fend Reloaded when calling DOSBox, you do not need to use the export function. You can open the conf-file for the selected profile via the menu function View DOSBox conf file from the "Profile" menu.

See also:


Create prof files

The prof-files are used by D-Fend Reloaded to store the profile information. The D-Fend Reloaded prof-file format is just an extension of the D-Fend prof-file format. For this most frontends that can import D-Fend profile file, will also be able to import D-Fend Reloaded prof-files.

You do not need to use the export funtion to get the prof-files. You can also just copy them from the Confs subfolder of the program data folder.

Export profile as auto setup templates

If this option is activated, the profile files will not only be copied to the destination folder but also the copies will be transformed to auto setup templates. Auto setup templates do not contain installation specific information (like the installation path) but all setup data needed to run the name and the meta information about the game.

See also:


Create archive file

This functions is made for long-time archiving of games. It allows to pack a complete profile with all its files in a single archive file. The archive file will contain:

  • The prof-file for reimporting the profile to D-Fend Reloaded (or any other frontend that can read prof-files).
  • The conf-file for direct use with DOSBox or for frontends that cannot read prof-files.
  • All game program files (most likely one or more subfolders from the VirtualHD folder).
  • All additional game data files (manuals etc., most likely a subfolder of the GameData folder).
  • All capured screenshots, sounds and videos (most likely a subfolder of the Capture folder).

Without any external helper program D-Fend Reloaded is supporting the archive file formats zip und 7z. On the page Archiving programs of the program options dialog you can set up external packing program so D-Fend Reloaded can read and write more archive file formats.

See also:


Create installer package

D-Fend Reloaded can make exe installer packages from installed games. This packages will contain all game data (program files, profile, data folder, captured screenshots etc.) and can be archived and installed again later.

For making exe installers D-Fend Reloaded is using the open source installer maker Nullsoft scriptable install system (NSIS). D-Fend Reloaded will create a nsi script from which NSIS will create the exe file. This means you will need to have NSIS installed on your system to use this feature. (There is no need to configurate the NSIS installation path in D-Fend Reloaded because the path can be read from the registry.)

Package settings

From this box you can select if D-Fend Reloaded should only create a nsi script (for later use with NSIS) or should create a nsi script and compile it with NSIS to an exe installer. (In most cases you probabily want the second option.)

Package file name

In this edit field you can enter the name of the exe installer to create. The file must be located in the base data folder (see directories of the program options dialog) because there are relative path names used in the nsi script. (The exe installer itself can be copied an executed from any location.)

See also:


Build installer for multiple games

D-Fend Reloaded can make exe installer packages from installed games. This packages will contain all game data (program files, profile, data folder, captured screenshots etc.) and can be archived and installed again later.

For making exe installers D-Fend Reloaded is using the open source installer maker Nullsoft scriptable install system (NSIS). D-Fend Reloaded will create a nsi script from which NSIS will create the exe file. This means you will need to have NSIS installed on your system to use this feature. (There is no need to configurate the NSIS installation path in D-Fend Reloaded because the path can be read from the registry.)

Complete games

From this list you can select the games you want to include to the installer. If you just want to create an installer package for a single game, you can use "Make installer package" menu item from the "Profile" menu.

Templates / Auto setup templates

You can also make installer packages not containing complete games but templates. On this two pages you can select templates and auto setup templates for the installer package.

Advice:

Only the games or templates from the currently visible page will be included to the installer package when clicking "Ok". This means you do not need to unselect the templates if you want to create a games package.

Group games by genre

If this option is activated, the games or templates will be group by genres in the installer. This means the "Select games to install" page will not display a simple checklistbox but a tree where you can select any genre group or any game.

Package settings

From this box you can select if D-Fend Reloaded should only create a nsi script (for later use with NSIS) or should create a nsi script and compile it with NSIS to an exe installer. (In most cases you probabily want the second option.)

Package file name

In this edit field you can enter the name of the exe installer to create. The file must be located in the base data folder (see directories of the program options dialog) because there are relative path names used in the nsi script. (The exe installer itself can be copied an executed from any location.)

See also:


Build archive file packages for multiple games

By using this function you can pack complete games with all of their files (program files, profile, data folder, captured screenshots) into a single archive file for archiving. You can install the games stored in a such an archive file at any time again via the menu item "Import archive file" from the "File" menu or by simply dragging the archive file to the D-Fend Reloaded program window.

From this list you can select multiple games for adding to the archive file. If you just want to create an archive for a single game, you can use "Make archive file package" menu item from the "Profile" menu.

The archive packages are very good for long term archivating (better than the exe installers, because an archive file package can also be used without D-Fend Reloaded: Besides the game files the archive file will not only contain the D-Fend Reloaded profile file but also a DOSBox conf file. This means the games and their DOSBox configuration will still be usable in the late future even without D-Fend Reloaded.)

Without any external helper program D-Fend Reloaded is supporting the archive file formats zip und 7z. On the page Archiving programs of the program options dialog you can set up external packing program so D-Fend Reloaded can read and write more archive file formats.

See also:

Make installer packages


Transfer profiles

From this dialog you can copy profiles from one installation to another (for example from your regular installation to a portable installation on a USB-stick). Transfering a profile means copying all files that belong to the profile (profile file, game program files, captured screenshots etc. and data files), so the game can be used from the destination installation without needing to have access the the source installation.

This feature can only be used on profiles that use relative path names, because when using absolute path names to locate game files, D-Fend Reloaded does not know how to copy them to the context of the destination installation.

Create portable D-Fend Reloaded installation in destination folder

If this option is turned off, you will need to have a D-Fend Reloaded installation in the selected destination folder; otherwise the transfer process will fail. If this option is turned on, D-Fend Reloaded will create an portable installation of itself in the destination folder before copying the profiles. Therefore it will copy its own program and configuration files (and will modify them for creating an portable installation).


Package list creator

Using this dialog you can create package list files from the data in your D-Fend Reloaded system. Later you can reimport the data linked to the packages list via the Download packages function. You can also share your exported data packages to other users via the Internet. Please remark it is not allowed by law to share copyrighted content like games. Only games marked as Shareware or Freeware are allowed to share. Additionally you can always share selfmade content like D-Fend Reloaded language files, auto setup templates and selfmade icons.

See also:


Program options

The program options dialogs allows you to customize a lot of things inside D-Fend Reloaded. To manage the large amount of configurateable things the program options dialog is subdivided into pages. You can select the current page from the tree structure on the left side of the window. The page itself will be displayed on the right side of the window.

"Easy" and "Advanced" mode

The program options dialogs knows two modes: "Easy" and "Advanced". If the "Easy" mode is activated only the really important settings will be shown. Many smaller things for tweaking the GUI will be hidden in this mode so first-time users will not get confused by the huge list of options. In the "Advanced" mode all configuration options are shown.

The mode can be changed by the "Mode" dropdown list at the bottom of the program options window. The change will take place immediately after the mode is changed. The dialog will remember the last selected mode when it is opend again later.

Program option pages

  • General
    • Directories
    • Security (*)
    • Data privacy (*)
    • Compression settings (*)
    • Wine support (*)
  • User interface
    • Language
      • Non English translations for the games list (*)
    • Menubar (*)
    • Toolbar (*)
    • Games list (*)
    • Tree structure (*)
      • Columns in the games list (*)
      • List in screenshot mode (*)
      • List in icons mode (*)
    • Media preview (*)
    • Image scaling (*)
  • Profile editor (*)
    • Default values (*)
    • Automatic game configuration (*)
  • External programs
    • DOSBox
      • Global DOSBox settings (*)
      • DOSBox CVS features (*)
    • FreeDOS
    • QBasic
    • User-defined interpreters (*)
    • ScummVM
    • Other emulators (*)
    • Wave encoder
    • Archiving programs (*)
    • Text editor (*)
    • Media viewers (*)
    • Windows games (*)
  • Service
    • Search for updates

The pages marked with (*) are only visible in advanced mode.


Program options | General

Menu: File | Program options | General

Program options dialog page "General"

There are two checkboxes on this page:

  • Minimize to tray area
    If this option is activated, the D-Fend Reloaded program window will be visible in minimized state as an icon in the tray area (the area next to the clock on the right side of the taskbar) instead of a normal taskbar record.
    (Default value for this option: off)
  • Start with Windows (*)
    If this checkbox is checked, D-Fend Reloaded will be started together with Windows.
    (Default value for this option: off)
  • Allow only one running instance (*)
    Allows only one instance of D-Fend Reloaded running at the same time. If D-Fend Reloaded is started while an instance is already running, this running instance is just sent to foreground.
    (Default value for this option: on)

The options marked with (*) are only visible in advanced mode.

See also:

Program options dialog


Program options | Directories

Menu: File | Program options | Directories

Program options dialog page "Directories"

There are there input lines on this page:

  • Base folder (for relative path)
    All paths in D-Fend Reloaded will be stored relatively to this path. This folder should be the base for all D-Fend Reloaded data files. The program will only be able to perform operations like transfering profiles or building installer packages if the game files are in this directory structure.
    (The default value for this option depends on the chosen operation mode. In operation mode "Program directroy mode" and in "Portable mode" the default value for this folder is the program folder. In operation mode "User directroy mode" the default value for this folder is C:\Users\YourAccount\D-Fend Reloaded.)
  • Game folder
    When clicking in the profile editor on the "Choose file button" for the game exe file or the setup exe file, this folder will be offered to choose a file first.
    (Default value: Subfolder "VirtualHD" of the base folder.)
  • Additional data folder
    When adding an additional data folder via the "Create default game data folder" button in the profile editor a subfolder in this folder is created.
    (Default value: Subfolder "GameData" of the base folder.)
  • Default base folder for capture directories
    D-Fend Reloaded will create the folders for the screenshots made by DOSBox as subfolders of this directory.
    (Default value: Subfolder "Capture" of the base folder.)

There is no need to use one of this folders when storing game files. You can setup to run any file from any directory in the profile editor, but some operations like transfering profiles or building installer packages can only be performed on games with all files in subfolders of the base folder.

The "Game folder" and the "Additional data folder" are only used as initial folders in some file/folder select dialogs.

Directories in protable mode

In portable mode this three directories are stored relatively to the program folder at program end. When D-Fend Reloaded is started again it will make absolute paths for the three directories again. So the directories on this program options page are shown with absolute paths in any operation mode.

See also:

Program options dialog


Program options | Security

Menu: File | Program options | Security

Program options dialog page "Security"

This page will only be visible if the advanced setup mode is selected at the bottom of the program options dialog.

On this page you can setup the functions that will protect you agains deleting wrong files:

  • Ask before deleting game records
    If this option is activated, D-Fend Reloaded will ask you if you really want to delete the selected profile if you press Del in the games list. If this option is turned off, the profile will be deleted with out any warning.
    (Default value for this option: on)
  • Never delete files outside the base folder when uninstalling games
    As long as this option is activated, D-Fend Reloaded will not delete any file outside the base folder when uninstalling a game. With this option activated uninstalling misconfigurated games can not damage your regular software installation. If this option is turned off and in the profile you want to uninstall C:\Windows\ is defined as the game folder to delete, your operation system can get damaged.
    (Default value for this option: on)
  • Monitor changes of the DOS program files by using checksums
    D-Fend Reloaded can store checksums in each profile for the game and the setup file. It will compare the stored checksum with the one calculated from the program file when you try to start a DOS program. If the checksums does not match, D-Fend Reloaded will warn you. This function can detect changes made by a virus to the exe file or if you try to use a profile file on a game for which the profile was not made.
    (Default value for this option: on)
  • Move files to recycle bin when deleting
    In this box you can select which files should be moved to the recycle bin when deleting them and which files should be deleted irrevocable.
    (Default value for this option: Move all non temprary files to recycle bin)

To avoid the risk of damages to your software installation you should keep the first three options activated in this page.

See also:

Program options dialog


Program options | Data privacy

Menu: File | Program options | Data privacy

Program options dialog page "Data privacy"

This page will only be visible if the advanced setup mode is selected at the bottom of the program options dialog.

On this page you can setup whether D-Fend Reloaded should record history information on the profiles you have started. You show the recorded information and optionally delete them.

The recorded information are stored locally only and can be viewed via the "View history" dialog.

See also:


Program options | Compression settings

Menu: File | Program options | Compression settings

Program options dialog page "Compression settings"

This page will only be visible if the advanced setup mode is selected at the bottom of the program options dialog.

On this page you can choose the compression strength D-Fend Reloaded should use when repacking folders (used as drives in DOSBox) to zip files. A more strength compression will result in a smaller archive file but will take a longer time.

On most systems the default value "Good compression" should be kept. The maximum compression level will not bring much smaller archive files but compression will take much longer.

See also:

Program options dialog


Program options | Wine support

Menu: File | Program options | Wine support

Program options dialog page "Wine support"

This page will only be visible if the advanced setup mode is selected at the bottom of the program options dialog.

D-Fend Reloaded and DOSBox (Windows version) can run in a Wine environment under Linux. But D-Fend Reloaded can also be used together with a Linux version of DOSBox.

  • Enable Wine mode
    With this option you can enable or disable the whole Wine support in D-Fend Reloaded. If this option is disabled, all other setup option from this page are ignored.
    You can use the same D-Fend Reloaded installation in Windows and Wine (without changing the setup settings): By calling D-Fend Reloaded with a command line parameter including "WineMode" or "WineSupportEnabled" you can override the setting from the setup dialog and activate the Wine support. By calling D-Fend Reloaded with a command line parameter including "WindowsMode", "NoWineSupport" or "WineSupportDisabled" you can override the setting from the setup dialog and disable the Wine support. The parameters are case insensitive and you can also write a "-" or a "/" before them if you like to ("-winemode" for example will also be recognized).
    (Default value for this option: off)
  • Remapping list
    In this list you can define to which Linux path names (/mnt/sta3, /mnt/stb1 etc.) the Wine drive letters (C: D: etc.) should be remapped when creating conf files.
  • Remap mount commands
    Will remap the commands for mounting drives in the conf file via the remapping list.
    (Default value for this option: off)
  • Remap screenshot folder name
    Will remap the capture folder name in the conf file via the remapping list.
    (Default value for this option: off)
  • Remap keymapper file
    Will remap the path to the keymapper file in the conf file via the remapping list.
    (Default value for this option: off)
  • Remap DOSBox path
    Will remap path to the DOSBox program file when trying to run DOSBox.
    (Default value for this option: off)
  • Switch link creation menu item to create Linux shell scripts
    If this option is activated the "Create link" menu option will create Linux shell scripts for running DOSBox with the selected game profile instead of creating a Windows link.
    (Default value for this option: off)
  • Shell script preamble
    When using the "Create link" function for creating Linux shell scripts this preamble will be inserted as the first line of the script.
    (Default value for this option: "#!/bin/bash")

See also:

Program options dialog


Program options | User interface

Menu: File | Program options | User interface

Program options dialog page "User interface"

There is only one option to change on this page:

  • Window size at program start
    In this dropdown box you can set up the appearance of the D-Fend Reloaded program window when the program starts. You can choose between "Default size", "Restore window size on program start", "Start minimized", "Start maximized" and "Fullscreen mode without window border".
    (Default value for this option: "Default size")
  • Icon sets
    From this selection box you can select the icon set to be used on the program toolbars, menus and in the dialogs. The chosen icon set will be activated as soon as you close the program options dialog.
    (Default value for this option: "Modern icon set")

The option marked with (*) is only visible in advanced mode.

See also:

Program options dialog


Program options | Language

Menu: File | Program options | Language

Program options dialog page "Language"

There three dropdown boxes on this page:

  • Program language
    In this dropdown box you can select the language that will be used in the program for displaying the menus and dialogs. Changes in this box will take effect instantly without closing the dialog or restarting the program.

    To create your own language just click on "Create new language" and enter the names for the shown identifiers in your language. You do not need any external program (even not a text editor) to create a D-Fend Reloaded language file.

    To add a new (downloaded) language file to you D-Fend Reloaded installation, copy the language file to the "lang" subfolder of the D-Fend Reloaded data folder (usualy "C:\Users\YourName\D-Fend Reloaded) and reopen the program options dialog. Now you should be able to select the new language from the dropdown box.
  • DOSBox language file
    In this box you can select the language that should be used inside DOSBox for messages. D-Fend Reloaded will list all available *.lng files from your DOSBox directory. To add a new (downloaded) DOSBox language just copy the *.lng file to your DOSBox directory and reopen the program options dialog.

    The language chosen on this page will apply to the default DOSBox installation (see DOSBox page of the program options dialog).
  • Installer language
    From this dropdown box you can select the language that should be used in the installer packages. Changing this language will need to change a value in the all users part of the registry and will (under Vista) therefor ask you for admin rights to do this.

See also:


Program options | Non English translations for the games list

Menu: File | Program options | Language | Non English translations for the games list

Program options dialog page "Non English translations for the games list"

If you use D-Fend Reloaded with English user interface, the options offered on this page are not relevant for you.

This translations list allows you to display translated names in the games list for "genre", "language" and "language" even so the profile itself contains English names. This is very useful if you want to create profiles via auto setup templates because in the auto setup templates always English names for the genre and the game language are used.

If you enter translations for you language for genres, game languages and licenses, D-Fend Reloaded will translate the names in the games list on the fly. The names will also be translated in the profile editor but they will still be stored in English in the profile itself.

See also:


Program options | Menubar

Menu: File | Program options | Menubar

Program options dialog page "Menubar"

This page will only be visible if the advanced setup mode is selected at the bottom of the program options dialog.

On this page you can change turn the menubar on the D-Fend Reloaded main window on and off. To restore the the menubar, use the context menu of the toolbar. For always being able to restore the menubar, you cannot hide the menubar and the toolbar at the same time.

See also:

Program options dialog


Program options | Toolbar

Menu: File | Program options | Toolbar

Program options dialog page "Toolbar"

This page will only be visible if the advanced setup mode is selected at the bottom of the program options dialog.

On this page you can change the appearance of the toolbar in the main window.

  • Show toolbar
    Will turn the toolbar in the main window completely on or off. The the toolbar ist turned of all other options on the page will have no effekt.
    (Default value for this option: on)
  • Visible buttons
    In this check-listbox you can select the buttons to be visible on the toolbar in the main window.
    (Default value for this option: all but "Close" and "Run setup")
  • Show toolbar captions
    If this option is activated icons and names are shown on the toolbar buttons. Otherwise only the icons will be visible.
    (Default value for this option: on)
  • Function of the add button
    In this dropdown box you can select what should happen if you click on the "Add" toolbar button. You can choose between:

    • "Add dialog": Will open the regular profile editor for adding a new profile.
    • "Profile wizard": Will open the profile wizard for adding a new profile.
    • "Selection menu": Will show a dropdown menu from which you can select what to do.

    (Default value for this option: "Selection menu")
  • Background image
    In this edit field you can enter the name of an image file that should be displayed as a background image on the toolbar in the main window.
    (Default value for this option: no background image)
  • Font size
    From this field you can choose the font size the toolbar captions shall be displayed in.
    (Default value for this option: 9)

See also:

Program options dialog


Program options | Tree structure

Menu: File | Program options | Tree structure

Program options dialog page "Tree structure"

This page will only be visible if the advanced setup mode is selected at the bottom of the program options dialog.

This page allows you to tweak the appearance of the tree structure on the left side of the main window.

  • Restore selected games filter on restart (*)
    If this checkbox is checked, D-Fend Reloaded will reselect the last chosen filter from the tree on the left side of the program window when the program gets restarted.
    (Default value for this option: on)
  • Default background color / Background color
    Via this two radio buttons you can choose whether the tree structure should use the Windows default background color or a custom background color.
    (Default value for this option: "Default background color")
  • Font size and font color
    From this two fields you can choose the font size and color for the records in the tree structure.
    (Default value for this option: font size 9, font color "Window text")
  • Filter categories to be displayed
    In thix box you can select which default filter categories shall be displayed in the filtering tree.
  • User-defined filter categories
    The names you enter in this edit field (each name a line) will be available as categories for filtering the profiles from the tree structure (just like the default fileters "Genre", "Developer" etc. shown in the tree structure.
    (Default value for this option: none)
  • Add existing user key
    Clicking on this button will show a dropdown menu containing all available user defined keys from all profiles. By clicking on any user key from this menu will add the key to the user-defined filters list.

See also:

Program options dialog


Program options | Games list

Menu: File | Program options | Games list

Program options dialog page "Games list"

This page will only be visible if the advanced setup mode is selected at the bottom of the program options dialog.

On this page you can tweak the visual appearance of the games list.

  • Background color / image
    Via the three radio buttons "Default background color", "Background color" and "Background image" you can set up whether D-Fend Reloaded should you the default Windows background color for the games list, a custom color or a custom image.
    (Default value for this option: "Default background color")
  • Font size and font color
    From this two fields you can choose the font size and color for the records in the games list.
    (Default value for this option: font size 9, font color "Window text")
  • Display value for "Not set"
    In this box you can define what D-Fend Reloaded should display in view mode report, if some game information are missing. This value will be displayed in the "Genre" column for example if you have not defined any genre for a game.
    (Default value for this option: "Not set")
  • Font style for favorites
    The font styles (bold, italic and/or underline) you have chosen in this box will be used for profiles you have marked as favorites.
    (Default value for this option: bold)
  • Use program file icon for Windows games profiles
    If this option is activated, the default icon from the program file will be used in the games list for Windows profiles if there is no user defined icon for the profile.
    (Default value for this option: on)
  • Shop tooltips in games list
    If activated, D-Fend Reloaded will show tooltips with additional information if you place the mouse over any game in the games list.
    (Default value for this option: on)
  • Restore last selected profile on program restart
    Reselects the last selected profile on D-Fend Reloaded start.
    (Default value for this option: off)

See also:

Program options dialog


Program options | Columns in the games list

Menu: File | Program options | Columns in the games list

Program options dialog page "Columns in the games list"

This page will only be visible if the advanced setup mode is selected at the bottom of the program options dialog.

On this page you can select which columns should be visible on the games list in view mode report and in which order (from left to right) they should appear.

In the default setup all columns except the "Notes" and "Number of starts" column will be shown in the order "Setup", "Genre", "Developer", "Publisher", "Year" and "Language".

  • Show grid lines in view style "report"
    If this option is activated, and the view style "report" is chosen, D-Fend Reloaded will show grid lines between the coloumns and rows in the games list.
    (Default value for this option: off)
  • Restore column widths on program start
    If this option is activated, the column widths in the games list which have been modified by the user will be restored on the next program start.

See also:

Program options dialog


Program options | List in screenshot mode

Menu: File | Program options | List in screenshot mode

Program options dialog page "List in screenshot mode"

This page will only be visible if the advanced setup mode is selected at the bottom of the program options dialog.

On this page you can set up the appearance of the games list if view mode screenshots is selected.

  • Width and height of the screenshots
    Via this two field you can define the size to which the screenshots shall be scaled when displaying in the games list.
    (Default value for this option: width 150 pixels, height 100 pixels)
  • Use screenshot with the following number if no screenshot is selected
    If this option is activated the screenshot with the number selected from the edit field below of the game is used for displaying in the games list if no special screenshot is selected for the screenshots games list. If this option is turned off and no default screenshot is defined for a game the game icon or if no game icon is defined the default icon is shown in the games list instead of a screenshot.
    (Default value for this option: on / number 1)

See also:

Program options dialog


Program options | List in icons mode

Menu: File | Program options | List in icons mode

Program options dialog page "List in icons mode"

This page will only be visible if the advanced setup mode is selected at the bottom of the program options dialog.

On this page you can set up the size of the icons in the games list if view mode icons is selected.

See also:

Program options dialog


Program options | Media preview

Menu: File | Program options | Media preview

Program options dialog page "Media preview"

This page will only be visible if the advanced setup mode is selected at the bottom of the program options dialog.

On this page you can change the appearance of the screenshots etc. preview area at the bottom of the main window.

  • Background color / image
    Via the three radio buttons "Default background color", "Background color" and "Background image" you can set up whether D-Fend Reloaded should you the default Windows background color in the screenshot, sounds, videos and data preview area, a custom color or a custom image.
    (Default value for this option: "Default background color")
  • Font size and font color
    From this two fields you can choose the font size and color for the texts in the preview area.
    (Default value for this option: font size 9, font color "Window text")
  • Screenshot preview size
    The screenshots in the preview area will be scaled (keeping the proportions) to fit in an area of the width and height defined in this field.
    (Default value for this option: 100)

See also:

Program options dialog


Program options | Image scaling

Menu: File | Program options | Image scaling

Program options dialog page "Image scaling"

This page will only be visible if the advanced setup mode is selected at the bottom of the program options dialog.

On this page you can setup how D-Fend Reloaded should scale images up und down if they shall be displayed at some size different to the native size of the image. The algorithm "off" will just remove lines or columns or double them. All other algorithms use more complex ways of adding or removing pixels. "off" is the fastest method but will give the worst results. All other algorithms will give better results but scaled image may will look a bit less sharp.

See also:

Program options dialog


Program options | Profile editor

Menu: File | Program options | Profile editor

Program options dialog page "Profile editor"

This page will only be visible if the advanced setup mode is selected at the bottom of the program options dialog.

On this page you can set up which profile editor style you want to use and some tweaks for the profile editor.

  • Reopen last active profile editor page
    If this option is checked the profile editor will open on the same page which was active when it was closed the last time.
    (Default value for this option: off)
  • Use classic D-Fend style profile editor / Use modern profile editor
    Via this two radio buttons you can choose which profile editor D-Fend Reloaded should use. The classic D-Fend style profile editor mostly looks like the profile editor from D-Fend. You will find in the classic profile editor the same settings on the same pages as in the D-Fend profile editor. The classic profile editor is only ment for compability to D-Fend and does not cover all new settings available in D-Fend Reloaded. In most cases using the modern profile editor should be the right choise.
    (Default value for this option: "Use modern profile editor")
  • Setup screenshot folder automatically when adding a profile
    In this box you can choose if you want the modern profile editor to create screenshot folders for a new profile automatically.
    (Default value for this option: "When adding via the profile wizard and via the modern profile editor")
  • Rename profile file when renaming profile automatically
    If this option is off, the profile filename will be derived from the initially chosen profile name and not changed if you rename the profile. (But you can change the profile file name at any time from the profile editor.) If this option is on, you can not change the profile filename manuelly anymore but D-Fend Reloaded will change the profile filename each time you change the profile name.
    (Default value for this option: off)
  • Automatically add mounting records if needed
    In this box you can choose if you want the modern profile editor to create the required mounting settings automatically if the selected game file cannot be reached by the mountings.
    (Default value for this option: "When adding via the profile wizard and via the modern profile editor")

See also:

Program options dialog


Program options | Default values

Menu: File | Program options | Default values

Program options dialog page "Default values"

This page will only be visible if the advanced setup mode is selected at the bottom of the program options dialog.

On many pages of the profile editor there are dropdown boxes with default values for DOSBox settings. On this program options page you can change the default values offered on this dropdown boxes.

The default value lists normally will cover all values DOSBox understands. So you should not change this list unless you are using a special DOSBox build with more configuration options.

See also:

Program options dialog


Program options | Automatic game configuration

Menu: File | Program options | Automatic game configuration

Program options dialog page "Automatic game configuration"

This page will only be visible if the advanced setup mode is selected at the bottom of the program options dialog.

On this page you can set up when D-Fend Reloaded should configurate a game completely automatically.

  • Archive file import: Do not show dialog if the game can be identified by an auto setup template
    If this option is checked D-Fend Reloaded will not show any dialog if a game which is going to be imported via File|Import|Archive or via drag&drop can be identified by an auto setup template. If there is no matching auto setup template the dialog to select a template will be shown anyway.
    (Default value for this option: on)
  • Wizard mode
    In this box you can select how many questions the profile wizard should ask when added a new game. It can show the pages for selected a profile and for entering game meta information always, only if there is no matching auto setup template or never.
    (Default value for this option: "Only setup game automatically if matching auto setup template exists")
  • Program file names to identify games that need to be installed
    If there is only one program file matching to one of the records in this list D-Fend Reloaded will suggest to import the game using the game installation support.

See also:

Program options dialog


Program options | DOSBox

Menu: File | Program options | DOSBox

Program options dialog page "DOSBox"

On this page you can configurate the DOSBox versions to use with D-Fend Reloaded.

  • DOSBox installation
    D-Fend Reloaded can manage multiple DOSBox installations. From this dropdown box you can choose which installation you want to configurare. You can add and delete as many installations as you want to, but on installation - called "Default" - is marked as undeleteable. You can choose for each profile from the profile editor which DOSBox installation to use.
    (Default value for this option: "Default")
  • DOSBox folder
    In this edit field you can enter the path of the DOSBox installation you want to use.

    In portable mode this directory is stored relatively to the program folder at program end. When D-Fend Reloaded is started again it will make absolute paths for the three directories again. So this directory is shown here with absolute paths in any operation mode.

"More settings for this DOSBox installation" dialog

This button will only be visible if the advanced setup mode is selected at the bottom of the program options dialog.

  • DOSBox folder
    (The path in this edit field is the same as in the main program options window.) In this edit field you can enter the path of the DOSBox installation you want to use.

    In portable mode this directory is stored relatively to the program folder at program end. When D-Fend Reloaded is started again it will make absolute paths for the three directories again. So this directory is shown here with absolute paths in any operation mode.
  • DOSBox language file
    In this box you can select the language that should be used inside DOSBox for messages. D-Fend Reloaded will list all available *.lng files from your DOSBox directory. To add a new (downloaded) DOSBox language just copy the *.lng file to your DOSBox directory and reopen the program options dialog.
  • Keyboard layout
    From this dropdown box you can select the keyboard layout you want to use in DOSBox. If you choose "default", the default keyboard layout from your language file will be used. (Or the keyboard layout from the started profile if you have selected a custom keyboard layout in the profile.)
  • Codepage
    From this dropdown box you can select the codepage you want to use in DOSBox. If you choose "default", the codepage layout from your language file will be used. (Or the codepage from the started profile if you have selected a custom codepage in the profile.)
  • Keymapper config file
    In the keymapper configuration file changes to the default keyboard setup made via the DOSBox keymapper are stored. The path to the keymapper file can be absolute or relative to the base directory.
    (Default value for this option: ".\mapper.txt")
  • Additional command line parameters when calling DOSBox
    In this edit field you can specify additional command line parameters which will be used when starting DOSBox.
    (Default value for this option: none)
  • Hide DOSBox console
    The DOSBox console will show additional status and error messages while DOSBox is running. When running a normal game the colsole is not needed and can be hidden by activating this checkbox.
    (Default value for this option: on)
  • Center DOSBox window
    If this option is turned on, the DOSBox window will be centered on the desktop if starting an non-fullscreen profile.
    (Default value for this option: off)
  • Disable screensaver when DOSBox is running
    By activating the option you can avoid the starting of the Windows screensaver while DOSBox is running even if you do no enter anything via mouse or keyboard.
    (Default value for this option: off)
  • Wait before closing the console if DOSBox has an error
    If this option is activated, the DOSBox console will not automatically close on DOSBox close if an error occured while DOSBox was running.
    (Default value for this option: on)
  • SDL videodriver
    In this dropdown box you can select the videodriver SDL should use. SDL is the system-backend of DOSBox.
    (Default value for this option: "DirectX")
  • Custom settings
    The lines entered in this edit field are added to the DOSBox configuration file when running DOSBox. You can overwrite all other settings by writing something in this box. Also settings perhaps offered by some newer DOSBox versions can be used by writing the configuration lines to this field.

See also:


Program options | Global DOSBox settings

Menu: File | Program options | Global DOSBox settings

Program options dialog page "Global DOSBox settings"

This page will only be visible if the advanced setup mode is selected at the bottom of the program options dialog.

On this page you can configurate DOSBox settings which will be used for all set up DOSBox installations.

  • Minimize D-Fend Reloaded when DOSBox starts
    If this option is activated, the D-Fend Reloaded main window will minimize as soon as you start a DOSBox based profile.
    (Default value for this option: off)
  • Restore program window when DOSBox is closed
    This option can only be activated if "Minimize D-Fend Reloaded when DOSBox starts" is active. It will restore the D-Fend Reloaded main window as soon as the DOSBox instance you have started by starting some profile closes.
    (Default value for this option: off)
  • Use short path names for mount commands
    The DOSBox command line is limited to 134 characters, so long path names in mount commands can cause problems. With this option activated D-Fend Reloaded will create short path names in the DOSBox conf file ("PROGRA~1" instead of "Program files" for example) to keep the commands for mounting folders short.
    (Default value for this option: on)
  • Show warning messages on DOSBox path name translation errors
    Because DOSBox uses a different algorithm to make short path names than Windows, long path names need to be translated to the DOSBox version (for example for use in "cd" commands). If this option is activated you will get a warning message if this translation process fails.
    (Default value for this option: on)
  • Always create conf files for all profiles
    If this option is turned on, D-Fend Reloaded will create for each profile file (*.prof) a DOSBox configuration file (*.conf) in the "Confs" folder and keep this configuration file up to date. If this option is off, the DOSBox configuration files will only be generated on the fly when starting DOSBox. (The function to always create all configuration files is not available in portable operation mode.)
    (Default value for this option: off)
  • Show dialog to fix problems if DOSBox closes in less than this number of seconds
    If DOSBox terminates very quick after start it is very likely there is a problem starting DOSBox or starting the DOS program inside DOSBox. In this case D-Fend Reloaded can display a dialog with some options to solve the problem. In this field you can set up on what maximal DOSBox runtime the start up fix dialog will be shown.
    (Default value for this option: 3)

See also:


Program options | DOSBox CVS features

Menu: File | Program options | DOSBox CVS features

Program options dialog page "DOSBox CVS features"

This page will only be visible if the advanced setup mode is selected at the bottom of the program options dialog.

On this page you can activate some D-Fend Reloaded configuration options the normal DOSBox builds cannot handle. You should not activate one of this settings unless you are using a special CVS DOSBox build supporting this things.

  • Mounts editor features
    • Allow multiple floppy images per drive
      If this option is activated the mount dialog will offer to mount multiple floppy images for one virtual drive. You can swap between the images in DOSBox by pressing Ctrl+F4.
    • Activate PhysFS tab
      The Phys file system allows to mount zip files in DOSBox as drives. DOSBox will use the zip files as read only file systems and will perform all write operation into another folder. With this checkbox you can activate the PhysFS function in the mount dialog.
  • Graphics setup features
    In this box you can activate several extended graphical features in the profile editor not supported by the default DOSBox build.
  • Sound setup features
    In this box you can activate one extended sound feature in the profile editor not supported by the default DOSBox build.
  • Printer setup features
    The default DOSBox build does not support printing. If you activate the checkbox in this field, D-Fend Reloaded will offer you some printer setup options in the profile editor.
  • Network setup features
    In this box you can activate NE2000 emulation setting on the Network page of the profile editor.

See also:

Program options dialog


Program options | FreeDOS

Menu: File | Program options | FreeDOS

Program options dialog page "FreeDOS"

On this page you can define where the FreeDOS command line tools are located. D-Fend Reloaded can use the FreeDOS tools to offer you the usage of 4DOS as command line interpreter (via the file "4DOS.COM") and to use the alternative DOS extender DOS32A (via the file "DOS32A.EXE"). Both options can be activated by profile in the profile editor.

See also:

Program options dialog


Program options | QBasic

Menu: File | Program options | QBasic

Program options dialog page "QBasic"

On this page you can setup the path to your QBasic interpreter. If a QBasic interpreter is defined in D-Fend Reloaded you can choose bas files in the profile editor as program files. D-Fend Reloaded will automatically start the bas file inside QBasic inside DOSBox.

See also:

Program options dialog


Program options | User-defined interpreters

Menu: File | Program options | User-defined interpreters

Program options dialog page "User-defined interpreters"

On this page you can setup uses-defined interpreters for some file types. The interpreter programs have to be DOS programs, this means they have to be executed inside DOSBox. For each interpreter you can specify the parameters needed to load and run the data files and the file types for which it applys. If you specifiy an extension here, you will be able to select files of this types in the profile editor as program files. D-Fend Reloaded will execute this files automatically using this interpreter in DOSBox.

See also:


Program options | ScummVM

Menu: File | Program options | ScummVM

Program options dialog page "ScummVM"

Also D-Fend Reloaded is a DOSBox frontend it can also handle Scumm based games by using ScummVM. If you enter the path to ScummVM on this page, you will be able to create ScummVM based profiles.

  • Minimize D-Fend Reloaded when ScummVM starts (*)
    If this option is activated, the D-Fend Reloaded main window will minimize as soon as you start a ScummVM based profile.
    (Default value for this option: off)
  • Restore program window when ScummVM is closed
    This option can only be activated if "Minimize D-Fend Reloaded when ScummVM starts" is active. It will restore the D-Fend Reloaded main window as soon as the ScummVM instance you have started by starting some profile closes.
    (Default value for this option: off)
  • Center ScummVM window (*)
    If this option is activated, the ScummVM program window will be centered on the screen if ScummVM is not started in fullscreen mode.
    (Default value for this option: off)
  • Hide ScummVM console (*)
    If this option is activated, the ScummVM console window will be made invisible if ScummVM is not started in fullscreen mode.
    (Default value for this option: off)
  • Additional ScummVM command line parameters (*)
    The command line parameters entered in this line will be passed to ScummVM when starting a ScummVM based profile.

The options marked with (*) are only visible in advanced mode.

See also:

Program options dialog


Program options | Other emulators

Menu: File | Program options | Other emulators

Program options dialog page "Other emulators"

On this page you can setup other emulators (besides DOSBox and ScummVM). The emulators have to be Windows prgrams (this means the emulators have to be runable directly by Windows, not like QBasic which needs to be run through DOSBox). D-Fend Reloaded only supports the platforms DOSBox and ScummVM completely. The emulators defined on this page are only supported as Windows programs. This means if you add a game for one of the platforms defined on this page, D-Fend Reloaded will create a Windows game profile for running the emulator and will give the selected game data file as a parameter to the emulator.

Parameter

In this field you can enter the parameters that should be used when running the emulator. %s stands for the file name of the data file to be opened inside the emulator. Attend that many programs need the %s to be quoted to be able to handle path and filenames containing spaces while some other programs do not like this quotes. Please see the help file of the emulator you want to use for the right parameter usage.

See also:


Program options | Wave encoder

Menu: File | Program options | Wave encoder

Program options dialog page "Wave encoder"

D-Fend Reloaded can encode wave files captured by DOSBox to mp3 and ogg files. The wave-to-ogg encode oggenc2.exe is bundled with D-Fend Reloaded (because it is open source). Because of license problems with the lame encoder, it can not be bundled with D-Fend Reloaded.

On this page you can define where the encoders are located and which command line parameters they need. In the command line parameters you can insert the two placeholders "%1" and "%2". The "%1" placeholder will be replaced by the path and name of the input file and the "%2" placeholder will be replaced by the path and name of the output file.

The default command line parameters for the mp3 encoder (lame) are:
-h -V 0 "%1" "%2"

The default command line parameters for the mp3 encoder (oggenc2) are:
"%1" --output="%2" --quality=10

The place holder %1 will be replaced by the name of the input file (including the complete path to the file) and the place holder %2 will be replaced by then name of the output file (also including the complete path to the file).

See also:

Program options dialog


Program options | Archiving programs

Menu: File | Program options | Archiving programs

Program options dialog page "Archiving programs"

On this page you can configurate external archiving programs. With the help of this programs D-Fend Reloaded will be able to handle some other archive formats. (Support for the zip and 7z archiv files is already buildin.)

  • Name of archiving program
    From this dropdown box you can select the program you want to configurate. Via the four buttons on the right of this box you can add, delete and sort the entries of this box.
  • Programm filename
    In this input line you can enter the path and the filename of the external archiving program you want to use.
  • File extensions to handle
    In this input line you can define which file type you want to be handled by the external archiving program. The filename extension in the line must be divided by ";" and must be entered without leading "*.". If you enter "ZIP" or "7Z" as supported formats for some external programs, D-Fend Reloaded will use this external program to extract and pack this archive formats instead of the internal functions.
  • Commandline for extracting an archive file
    In this inputline you can define the commandline parameters to be used when calling the archiving program to extract an existing archive file. The placeholder "%1" will be replaced by the path and filename of the existing archive file and the placeholder "%2" will be replaced by the path name of the folder where the archive file should be extracted to.
  • Commandline for creating an archive file
    In this inputline you can define the commandline parameters to be used when calling the archiving program to create a new archive file. The placeholder "%1" will be replaced by the path and filename of the new archive file and the placeholder "%2" will be replaced by the path name of the folder which should be packed into the archive file.
  • Commandline for adding files / updating an archive file
    In this inputline you can define the commandline parameters to be used when calling the archiving program to update an existing archive file. The placeholder "%1" will be replaced by the path and filename of the archive file and the placeholder "%2" will be replaced by the path name of the folder which should be added to the archive file.
  • Add trailing "\" to path names.
    Defines whether the path names where the files to pack are located or where the archive file should be extracted to should include a trailing "\" or not. (Some external packers like uha do not work correctly if the path name has a trailing "\".)
  • Set default values for ...
    D-Fend Reloaded already knows the right parameters for packing and extracting archive file for some archiving programs. The the currently chosen archiving program is already known, you can set the default parameters in the three input lines above by clicking this button.

See also:

Program options dialog


Program options | Text editor

Menu: File | Program options | Text editor

Program options dialog page "Text editor"

This page will only be visible if the advanced setup mode is selected at the bottom of the program options dialog.

On this page you can setup which text editor D-Fend Reloaded should use for opening text files (like DOSBox conf files or ScummVM ini files).

  • Use default editor for file type
    If this option is activated, D-Fend Reloaded will use the editor defined in the registry for opening files.
    (This option is the default value.)
  • If no default editor is registered for given file type use default editor for txt files
    If this checkbox is checked in conjunction with the option above, D-Fend Reloaded will also use the editor defined in the registry for opening files. But if there is no editor defined (for example for prof files) it will use the editor defined for txt files.
    (Default value for this option: on)
  • Always use Notepad
    If this option is activated, text files will always be opened in Windows Notepad.
  • Use custom editor
    By entering the name of a text editor in the input field you can instruct D-Fend Reloaded to always use the given text editor when opening text files.
  • Automatically fix line wrap on openinfg files if needed
    If this option is activated D-Fend Reloaded will check each text file before opening it if the line wraps are in DOS/Windows style and not in Unix style. Text files with Unix style line wraps are shown in some editors (like Notepad) as a single line. Activating this option will fix files automatically id needed so even editor not understanding Unix style text file can handle them.
    (Default value for this option: off)

See also:

Program options dialog


Program options | Media viewers

Menu: File | Program options | Media viewers

Program options dialog page "Media viewers"

This page will only be visible if the advanced setup mode is selected at the bottom of the program options dialog.

On this page you can define how D-Fend Reloaded should open pictured, sound files and videos for previewing. For each of the three file types you can define individually:

  • Use internal viewer
    If this option is checked D-Fend Reloaded will use its internal viewer for displaying or playing files of the selected type. The internal viewer will open very quickly and has some forward/backward buttons to cycle through the captured files of the given type but does not has any functions for editing the files.
    (This option is the default value.)
  • Use default program for opening files
    If this option is activated the media files of the selected type will be opened in the default program registered in Windows for the given file extension. Doubleclicking on any screenshot, sound or video file in D-Fend Reloaded will have the same result than doubleclicking the file in the Explorer.
  • Use custom program
    if this option is checked D-Fend Reloaded will open files of the selected type in the external program defined in the following line.

Show internal image viewer as modal window

If this option is activated, the screenshot image viewer will be displayed as a modal dialog window. This means as long as this window is visible the main window will not respond on input events.
(Default value for this option: on)

See also:

Program options dialog


Program options | Windows games

Menu: File | Program options | Windows games

Program options dialog page "Windows games"

On this page you can setup the behavior of the D-Fend Reloaded main window when a Windows game is started or is closed.

  • Minimize D-Fend Reloaded when Windows game starts
    If this option is activated, the D-Fend Reloaded main window will minimize as soon as you start a Windows based game profile.
    (Default value for this option: off)
  • Restore program window when Windows game is closed
    This option can only be activated if "Minimize D-Fend Reloaded when Windows game starts" is active. It will restore the D-Fend Reloaded main window as soon as the Windows game instance you have started by starting some profile closes.
    The main window will only be restored if the Windows program was running at least 5 seconds. So if the called program is only a launcher for the main game the D-Fend Reloaded program window will not be restored immediately.
    (Default value for this option: off)
  • Allow D-Fend Reloaded to create archive files from Windows profiles and import Windows profile package files
    If this option is on, D-Fend Reloaded will let you create archive file packages from Windows profiles and will let you import archive files containing Windows profiles. Transfering Windows games using D-Fend Reloaded archive files is not recommended and can cause many problems.
    (Default value for this option: off)

See also:

Program options dialog


Program options | Service

Menu: File | Program options | Service

Program options dialog page "Service"

This page will offer you 2 to 5 (depending of the setup mode) function for maintaining your profiles database:

  • Restore "DOSBox DOS" profile
    Clicking this button will restore the default "DOSBox DOS" profile. If the profile does not exist it will be created and if it already exists it will be overwritten.
  • Restore default templates
    By clicking this button all templates will be restored to the state when D-Fend Reloaded was installed.

The following settings will only be visible if the advanced setup mode is selected at the bottom of the program options dialog:

  • Delete old unsued setup files from D-Fend v2
    D-Fend v2 (classic) used to store additional conf files in the profiles folder which are not used by D-Fend Reloaded. Additonally canceling the add profile dialog in D-Fend v2 can result in some Tempprof.* files in the profiles folder. Clicking this button will delete these old, unused files.
  • Make absolute to relative paths
    When clicking this button, D-Fend Reloaded will check all profiles for path names that are stored absolute but can be expressed as relative paths and will change them. (Using relative path names is required for usage of the functions to transfer profiles and to build installer packages.)
  • Caclulate checksums for all profiles
    D-Fend Reloaded is using checksums to monitor the game files for changes. Checksums are created (if not existent) or checked (if they already exist) when opening and closing the profile editor and when trying to run a profile. By clicking this button you can create checksums for all profiles at once.
  • Clear package cache and lists
    By clicking this option you can delete all downloaded packages lists and cached data packages. The next time you open the packages manager you will need to redownload the list files.
  • Create capture folders for all profiles
    Clicking this button creates capture folders (for screenshots, records sounds and videos) for all profiles. If there is no capture folder defined in the profile an unique folder name is derived from the profile name.
  • Create game data folders for all profiles
    Clicking this button creates game data folders (for manuals etc.) for all profiles. If there is no game data folder defined in the profile an unique folder name is derived from the profile name.
  • Rename all media files for all profiles
    Renames the screenshots, sounds or cpatures videos of all profiles to user defined file name schema.

See also:

Program options dialog


Program options | Search for updates

Menu: File | Program options | Search for updates

Program options dialog page "Search for updates"

On this page you can define if and how often D-Fend Reloaded should look for updates.

Program updates

The update checker will not transfer any of your private data to the internet. It will just read the content of a text file offered on the D-Fend Reloaded homepage. If the version named in this file is bigger than the current version number it will offer to you to download und run the update installer also named in this text file. That all.
(Default value for this option: "Only manual")

Add current version number to request URL

If this option is activated, the update checker will add the current version number to the request URL. This will allow the scripts on the D-Fend Reloaded homepage to offer different (maybe smaller) update packages for different versions (see details below). At the moment the update information text file is a real text file and this feature is not used on the homepage.
(Default value for this option: on)

Package lists update

From this box you can select if and when D-Fend Reloaded should update the lists offered in the packages manager. The lists can also be updated via the "Update package lists" button in the package manager dialog at any time manually.
(Default value for this option: "Only manual")

Cheats database

From this box you can select if and when D-Fend Reloaded should search and install updates to the cheats database.
(Default value for this option: "Only manual")

Mobygames reader configuration update

From this box you can select when the function for reading game information from the Mobygames homaepage should update its configuration from the D-Fend Reloaded homepage. To be able to react on changes of the Mobygames homepage the reader function is configurateable. On the D-Fend Reloaded homepage there is always a file telling the reader how to interpret the Mobygames search result page to get the game information.
(Default value for this option: "On first use each day")

Search for updates now

Clicking this button opens the same dialog as the menu item Search for updates from the help menu.

Details on the function of the program update checker

The program update checker is reading this file from Sourceforge: "http://dfendreloaded.sourceforge.net/UpdateInfo.txt" The file contains two lines; in the first line the version number of the current D-Fend Reloaded version on the server is given and in the second line the download URL of the update installer for this version is given. If the version number in the UpdateInfo.txt is bigger than the version number of the currently installed D-Fend Reloaded version, the update checker will ask you, if you want to update to the new version.

The update checker will use the windows connection settings (which you can edit in the Internet Explorer). This means: If you have setup a proxy server in the Internet Explorer, the D-Fend Reloaded update checker will use this proxy, too.

See also:


Quit

This program option closes D-Fend Reloaded. Because D-Fend Reloaded is keeping all profile files up to date on disk at any time, there is no need to save anything when closing the program.

You can also close D-Fend Reloaded at any time by just clicking on the "x" on the right of the title bar of the program window.

Background operations

D-Fend Reloaded allows to use zip-files as DOSBox drives. It will expand the zip-file before DOSBox is starting and repacking the files to the zip-file when DOSBox closes. If you try to close D-Fend Reloaded while it is waiting for one or more DOSBox instances to close and to repack the corresponding zip-file, it will warn you before it will close and will give to the option to cancel the close operation.


Show menubar

By deactivating this option you can remove the menubar from the D-Fend Reloaded main window. To restore the the menubar, use the context menu of the toolbar. For always being able to restore the menubar, you cannot hide the menubar and the toolbar at the same time.


Show groups tree

Will show a tree structure with all available game categories left to the games list when activated. From this tree you can select any value for any game category and D-Fend Reloaded will show all games with this value for the chosen category in the games list.


Show screenshots and sound files

If activated D-Fend Reloaded will show an information area below the games list. In this information area it will show you the captured screenshots, sounds etc. for the selected game.


Show searchbox

If activated, D-Fend Reloaded will show a search-as-you type box in the toolbar. If you enter any text in this box, it will show you only games with names matching this phrase.


Show infocolumns in games list

D-Fend Reloaded will show some infocolumns with additional game information like developer, publisher, year, language etc. in the games list if you activate this option (and if you have chosen the view mode Report or Report (no icons) form the "View" menu.


Show tooltips in games list

If activated, D-Fend Reloaded will show tooltips with additional information if you place the mouse over any game in the games list.


View modes

Via the seven following items of the view menu you can set up the appearance of the games list:

  • List (no icons):
    Will show only the names of the profiles. The profiles are ordered in columns.
  • List:
    Will show only the names and the icons of the profiles. The profiles are ordered in columns.
  • Report (no icons):
    Will show many information about each profile (Genre, Developer, etc.). You can set up on the "Columns in the games list" page in the program options dialog which columns should be shown. The profiles are ordered in one column.
  • Report:
    Will show many information about each profile (Genre, Developer, etc.) including the profile icon. You can set up on the "Columns in the games list" page in the program options dialog which columns should be shown. The profiles are ordered in one column.
  • Small icons:
    Will show only the names and the icons of the profiles. The profiles are ordered in rows.
  • Icons:
    Will show larger icons for each profile. The icons are ordered in rows.
  • Screenshots:
    Will use screenshots from the profile capture folders instead of the icons to show in the games list. The screenshots are ordered in rows. (See also page "List in screenshot mode" in the program options dialog.)

Hint:

You can choose the screenshot to show in screenshot view mode via the context menu of the screenshot previewer at the bottom of the program window.


Quick starter window

From the quick starter window you can directly start any DOS program file inside DOSBox. The quick starter window looks like the Windows Explorer a bit: On the left side there is a tree structure and on the right side there is a file list.

Directory tree

In the directory tree on the left side of the quick starter window you can see a list of directories where your games or game related files can be stored. From the drop down box at the top of the tree structure you can choose which directories to show. In most cases it will be easier not to show the complete directory tree of your computer but only the games directory (defined on the directories page of the program options dialog) with it subdirectories.

By clicking on a directory on the left the file list on the right will show the content of the directory.

You can also open any directory inside DOSBox or with the Windows Explorer via the context menu of the directory tree.

File list

The file list on the right side of the quick starter window shows the content of the directory selected in the tree structure on the left.

You can open/start any file from the file list just by double clicking it. D-Fend Reloaded will decide automatically how the file should be started. (Text files will be opened in a text editor, Windows exeE files will just be started, DOS exe, com and bat files will be started inside DOSBox, images, sounds and videos will be played by the D-Fend Reloaded previewers.) For some files that can be started but also opened in a text editor (like html files or bat files) there is a context menu item to open the file in a text editor instead of running them the normal way.

When starting a file inside DOSBox via the quick starter the template and the settings from the bottom of the quick starter window will be used.

You can also directly make profiles from any DOS program file right via the context menu. There are two menu items "Make profile from file" and "Make profile from file (wizard)". The first item will open the profile editor with the chosen program file and the (on the bottom of the quick starter window) chosen template. The second will open the profile wizard with the chosen program file.

By dragging and dropping files or folders to the file list on the right of the quick starter window you can copy files and folders to the selected directory.

Hint:

The quick starter window is just a normal window and not a modal dialog. This means you can work on the D-Fend Reloaded main program window (filtering, changing, starting profiles etc.) while the quick starter window is opened.


Run program

Clicking this menu item will start the main program file for the selected profile.


Run setup

Clicking this menu item will start the setup program for the selected profile. If there is no setup file defined for the selected profile, this menu item will be disabled.


Run DOSBox

This menu item will run DOSBox with it's default configuration file from the DOSBox directory. You can open the DOSBox default configuration file in an editor via the Open DOSBox configuration file menu item from the "Run" menu.

The default DOSBox configuration file from the DOSBox directory has no meaning for D-Fend Reloaded. It will no be used when creating profile. You can change the configuration file template for new profiles via the Templates menu item from the "Extras" menu.


Run DOSBox keymapper

Clicking this menu item will start DOSBox and will start the keymapper inside DOSBox immediately.

The keymapper

The keymapper will allow you to map physical keys to virtual keys inside DOSBox. This can fix many keyboard problems. But you do not need to use the keymapper to setup a keyboard layout (for a language) inside DOSBox. You can do this much easier via the profile editor dialog by just selecting the desired language.

The keymapper file

The mapping settings will be stored in a key mapping file. You can setup the path and the name of this file via the program options dialog. This mapper file will be used by all profiles by default but you can also setup any other custom mapper file for any profile.


Open DOSBox configuration file

This menu item will open the DOSBox default configuration file in an editor. You can run DOSBox with this configuration file via the Run DOSBox menu item from the "Run" menu.

The default DOSBox configuration file from the DOSBox directory has no meaning for D-Fend Reloaded. It will no be used when creating profile. You can change the configuration file template for new profiles via the Templates menu item from the "Extras" menu.


DOSBox output methods test

In this window you can check the different DOSBox output methods. Not every graphics driver is supporting every DOSBox output method. If you select some not supported output method in a profile, the profile will not run.

The DOSBox output method to be used can be selected in the "Render" field on the Graphics page of the profile editor. Additionally you can change the output method for multiple or even all profiles at once in the Edit multiple profiles dialog.

See also:


Run ScummVM

By clicking the menu item you can start ScummVM without selecting any specific game to run.

Information:

This menu item will only be visible if you have set up a ScummVM folder in the program options dialog.


Open ScummVM configuration file

Selecting this menu item will open the ScummVM default configuration file in an editor. This settings from this configuration will only be used if D-Fend Reloaded has no own configuration setting for some keys.

Information:

This menu item will only be visible if you have set up a ScummVM folder in the program options dialog.


Add profile

Menu: Profile | Add

Add DOSBox profile

Clicking this option will create a new DOSBox based profile and open it in the profile editor dialog. (If you have chosen to use the classic profile editor dialog this one will open, otherwise the modern profile editor dialog will be used.)

If you want to add a ScummVM based profile or a link to a Windows game, you have to use the menu items Add ScummVM profile and Add Windows game profile from the "Profile" menu.

See also:


Add ScummVM profile

Clicking this option will create a new ScummVM based profile and open it in the profile editor dialog.

The menu item "Add ScummVM profile" will only be visible if you have defined the path to ScummVM on the ScummVM page of the program options dialog.

See also:

Profile editor dialog


Add Windows game profile

Clicking this menu item will create a new Windows game profile and open it in the profile editor dialog. Windows game profiles are not much mone than simple links to Windows executables. There no special need to start your Windows games via D-Fend Reloaded but with this option you can manage all of your games (DOS games, ScummVM games and Windows games) in one place.

See also:

Profile editor dialog


Add from template

This menu item will open a submenu with all templates defined in the templates editor. By clicking on one of these templates a new profile based on the selected template will be created and opened in the profile editor dialog.

See also:

Profile editor dialog


Add with wizard

The profile wizard offers you a very easy way of adding new profiles to D-Fend Reloaded. The profile wizard consists of five pages. D-Fend Reloaded will show two to all five pages depending on the already known and still needed information on the game.

Page 1: Type of the profile

One the first page all you have to choose is the profile type: You can add a DOSBox based profile, a ScummVM profile or a profile for a Windows game. (The option "Scumm-based adventure" will only be offered if you have defined the path to ScummVM in the program options dialog.) You can run nearly all DOS games by using DOSBox. ScummVM is only used for the old Scumm adventures.

Additionally you can setup how many things the wizard should ask you. If you keep the default setting "Only setup game automatically if matching auto setup template exists", the wizard will already close after the first two pages if the new game has beend indentified via an auto setup template, because in this case the new profile can be created completely automatically with no need of any user interaction. Alternatively you can setup that the wizard should always show all pages or that the wizard should always close after the first two pages. (If there is no matching auto setup template and if the wizard should always close after the first two pages, D-Fend Reloaded will try to configurate the game via the default template.)

Page 2: Program files (for a new DOSBox profile)

One this page you can select the program file and optionally a setup file for the profile. The program file defined on this page will be started inside DOSBox if you double click on the profile in the games list later.

To allow D-Fend Reloaded to use realtive path names, the game files should be located in the folder shown as "Recommend parant directory" (see also the introduction to D-Fend Reloaded for a description of the recommended directory structure). You can also setup the default games folder offerend on this page on the directories page of then program options dialog.

By pressing the Setup additonal files manually you can extended the dialog to show you an input line for defining an additional folder for manuals etc. The content of this folder will be shown on the bottom of the main window when single clicking on the profile in the games list later. Alternatively you can check Setup additional files directory automatically option to let D-Fend Reloaded automatically create an data folder based on the name of the new profile.

Page 2: Program files (for a new ScummVM profile)

One this page you can select the folder where the game files are located. The folder defined on this page will be given to ScummVM for running the game.

To allow D-Fend Reloaded to use realtive path names, the game files should be located in the folder shown as "Recommend parant directory" (see also the introduction to D-Fend Reloaded for a description of the recommended directory structure). You can also setup the default games folder offerend on this page on the directories page of then program options dialog.

In the game dropdown box you can select for which game you want to create a profile. This information is also given to ScummVM for running the game.

By pressing the Setup additonal files you can extended the dialog to show you an input line for defining an additional folder for manuals etc. The content of this folder will be shown on the bottom of the main window when single clicking on the profile in the games list later.

Page 2: Program files (for a new Windows game profile)

One this page you can select the program file and optionally a setup file for the profile. The program file defined on this page will be started if you double click on the profile in the games list later.

By pressing the Setup additonal files you can extended the dialog to show you an input line for defining an additional folder for manuals etc. The content of this folder will be shown on the bottom of the main window when single clicking on the profile in the games list later.

Page 3: Settings (for a new DOSBox profile)

On this page you can define the main game settings. Setting up games via the profile wizard mainly means choosing a template to use. There are 5 different template usage modes:

  • Use compatible auto setup template
    The templates listed in this dropdown box are found to be compatible with the selected game. (They match to the program file via a checksum.) If there is a auto setup template listed in this drowdown box it is recommended to choose it.
  • Use auto setup template which only matchs by filename
    The templates listed in this dropdown box match to the given program file by the filename but not by the checksum. May be your game version just differs from the game version the auto setup template was made from. If this list of compatible auto setup templates but there are templated listed in this dropdown box, you should select one from this list.
  • Use user-defined auto setup template
    In this dropdown box you will find all available auto setup templates. If there are no entries in the two lists above and if you are sure your new game is one from this list, you can choose the corresponding auto setup template.
  • Use user-defined template
    In this dropdown box you will find all user-defined templates. You can use any of this templates for new profiles at any time. But this templates do not contain any settings specific for a the selected game.
  • Use default wizard template
    Choosing this radio button will result in using a built-in wizard template for the new profile. Via the dropdown box and the checkboxes below you can select some settings for the new profile.

Page 3: Settings (for a new ScummVM profile)

On this page you can configurate some additional settings for the seleced game. The settings offered on this page depend on the game you have selected on the last page.

Page 4: Game information

On this page you can define many additional game information like name, genre, developer etc. The information entered on this page are shown in the games list (in view mode report) and the profiles can be filtered by them.

Via the "Look up game at ..." you can search for the profile name on different classic game related search engines.

If you are just adding a DOSBox based profile via a auto setup template, the game information page will not be shown because all additional game information are already included in the template.

Page 5: Virtual drives (for a new DOSBox profile)

On this page you can select the virtual drives DOSBox should use. The game files must be reachable inside DOSBox to be able to start the game. D-Fend Reloaded will try to detect which drives are needed automatically and will create drive records on this page. If the settings made on this page are not sufficient, you can change the drive settings via the profile editor at any time.

See also:

Profile editor dialog


Install from source media

By using this dialog you can add games to the D-Fend Reloaded games list that need to be installed before being useable. In the dialog you can choose on which type of medium the game files are available and select the source media files. After Clicking "Ok" D-Fend Reloaded will mount the installation media temporarely and run DOSBox in window mode. If D-Fend Reloaded finds an unique installation program on the first installation medium, it will automatically run this installer. All you have to do is follow the commands of the installer and install the game in any folder on C:. When the installation is done D-Fend Reloaded will automatically search in the games folder for a new game and add it to the games list.

See also:


Edit profile

The profile editor allows you to modify all settings belonging to a profile. Because there are many settings to configurate for each profile the profile editor dialog has been divided into pages. On the left side of the dialog there is a tree structure. Clicking on any of the items on the left will change the page shown on the right side of the dialog.

Pages of the profile editor dialog

Because the profile editor is used to configurate DOSBox, ScummVM and Windows game profiles, not all pages are shown at the same time. (The pages shown in DOSBox mode are marked with "D", the pages shown in ScummVM mode are marked with "S", pages shown in Windows game mode are marked with "W" and the pages shown when editing templates only are marked with "T".)

  • Profile (D, S, W)
    • Additional checksums (T)
    • Program information (D, S, W)
    • Directories (D, S, W)
    • Helper programs (D, S, W)
  • DOSBox settings (D)
  • ScummVM settings (S)
  • Hardware (D, S)
    • CPU (D)
    • Memory (D)
    • Graphics (D, S)
    • Keyboard (D)
    • Mouse (D)
    • Sound (D, S)
      • Volume (D)
      • SoundBlaster (D)
      • GUS (D)
      • MIDI (D)
      • Innovation SSI-2001 (D)
    • Joystick (D)
    • Drives (D)
    • Serial ports (D)
    • Network (D)
    • Printer (D)
  • DOS environment (D)
  • Starting (D)

To add ScummVM based profiles you will first need to install ScummVM and configurate it on the ScummVM page of the program options dialog.

Classic D-Fend v2 style profile editor

There is also a classic profile editor for compability with D-Fend v2. This classic profile editor does not cover all settings available in D-Fend Reloaded. Additionally it can not be used on ScummVM and Windows game profiles. If you do want to have the D-Fend v2 look and feel, you should use the modern style profile editor. You can change to profile editor to use via the profile editor page of the program options dialog.

See also:

Classic profile editor dialog


Profile editor | Profile

Menu: Profile | Edit | Profile

Profile editor dialog page "Profile"

On this page you can configurate the main settings for your profiles. The content of this pages differs depending of the profile type (DOSBox profile, ScummVM profile or Windows game profile).

  • Select icon
    You can define an icon for each profile. The icon will be shown in the games list in most view modes. The icons can be managed global via the icon manager but you can also choose any icon file for use with the profile. If you use a custom icon file, you can use relative path names like for all other game data.
  • Delete icon
    The delete icon button will remove the selected icon from the profile data record. The icon file itself will not be deleted when removing the icon from the profile.
  • Profile name
    The name entered in this field will be shown in the games list. The name will not directly be used for the file name (like D-Fend v2 did) so you can enter any characters in this field.
  • Filename
    In this field you can edit the filename (without extension) which will be used when storing the profile. All non valid characters for filenames will be removed automatically. When adding a new profile the filename field will be disabeled because the first filename will be generated from the initial profile name.
  • Program (only availalbe in DOSBox and Windows mode)
    In this box you can define the program file to run and the parameters to use. The file name will be stored relatively to the base folder (defined on the directories page of the program options dialog). D-Fend Reloaded will translate it to the DOSBox directory structure at run time. If the current profile is a DOSBox based profile, you can also select File path is relaive to the DOSBox directory structure. In this case D-Fend Reloaded will treat the path as a DOSBox pathname and will not try to translate it in anyway when running the program file.
  • Setup (only availalbe in DOSBox and Windows mode)
    In this box you can define the setup file to run and the parameters to use. The usage of a setup file is optional. The file name will be stored relatively to the base folder (defined on the directories page of the program options dialog). D-Fend Reloaded will translate it to the DOSBox directory structure at run time. If the current profile is a DOSBox based profile, you can also select File path is relaive to the DOSBox directory structure. In this case D-Fend Reloaded will treat the path as a DOSBox pathname and will not try to translate it in anyway when running the setup file.
  • Extra program files (only availalbe in DOSBox and Windows mode)
    Additionally to the program and the setup file you can define more files to be associated with the profile via this extra program files button. The files defined in this dialog will be offered to run via the context menu of the profile.
  • No Windows file warnings for this profile (only availalbe in DOSBox mode)
    D-Fend Reloaded will warn you, if you try to execute a Windows EXE file in DOSBox because DOSBox is not able to execute Windows program files. But there are a few games containing DOS and Windows code in a single EXE file. When using such an EXE file D-Fend Reloaded would warn you because it detects the Windows part of the file. To deactivate this (in this case useless) warnings you can activate this option. (The checkbox will appear only if a Windows EXE file is selected as game or setup file.)
  • Game (only available in ScummVM mode)
    From this box you can choose the name of the game you want to run. (ScummVM needs to know which of the supported games you want to run because it applys different settings to the different games.)
  • Game folder (only available in ScummVM mode)
    In this box you can select folder where ScummVM should look for the game files and the name of the game to run.
  • Extract game files from this zip file to the folder (only available in ScummVM mode)
    If this option is checked (and there is a zip file entered in the edit field below) D-Fend Reloaded will extract the given zip file to the folder selected in the "Game folder" before running ScummVM. ScummVM itself will be executed the normal way with the given game folder. When ScummVM quite D-Fend Reloaded will repack the content of the game folder to the archive file and then delete the games folder.

See also:

Profile editor dialog


Profile editor | Additional checksums

Menu: Profile | Edit | Additional checksums

Profile editor dialog page "Additional checksums"

This dialog page is only visible when editing a template.

On this page you can define additional files with their checksums. This checksums will be used when adding a game to identify the right auto setup template exactly.

See also:

Profile editor dialog


Profile editor | Program information

Menu: Profile | Edit | Program information

Profile editor dialog page "Program information"

On this page you can define many additional game information like genre, developer etc. The information entered on this page are shown in the games list (in view mode report) and the profiles can be filtered by them.

Via the "Look up game at ..." you can search for the profile name on different classic game related search engines.

See also:

Profile editor dialog


Profile editor | Directories

Menu: Profile | Edit | Directories

Profile editor dialog page "Directories"

On this page you can configurate additional files for the profile.

  • Screenshot folder
    The folder defined in this edit field will be used by DOSBox / ScummVM for storing screenshots, captured sounds and videos. You can also add files manually to this folder via the screenshot/sound/video viewer at the bottom of the main program window.
  • Data folder
    The optional data folder can be used to store manuals etc. for the game. The data folder can be opend in the Explorer at any time via the context menu of the profile and the content of the data folder can be accessed directly via the data folder viewer at the bottom of the main program window.
  • Additional program files and directories
    In this two boxes you can define files and folders belonging to the program but located outside the program folder. This will allow D-Fend Reloaded to transfer and uninstall this files together with the main program files.

See also:

Profile editor dialog


Profile editor | Helper programs

Menu: Profile | Edit | Helper programs

Profile editor dialog page "Helper programs"

On this page you can configurate programs that will be executed before and after the main program.

  • Execute commands before main program
    The commands you have entered in this box will be executed before the main program is started. Via this commands you can setup some input devices for example.
  • Run minimized (commands before main program)
    If this option is activated, the commands entered in the lines above will be executed as a minimized window.
  • Run commands in order(commands before main program)
    If this option is activated, the commands entered in the lines above will be executed in order. This means D-Fend Reloaded will wait before starting the next command for the previous command to terminate.
  • Wait before execution of the main program
    If this checkbox is checked, D-Fend Reloaded will wait for the "commands before main program" program to terminate before the main program is started.
  • Execute commands after the main program quits
    The commands you have entered in this box will be executed after the main program has terminated. (Attention: On Windows profiles D-Fend Reloaded might be not able to detect the correct time when the main programs quits.)
  • Run minimized (commands after the main program quits)
    If this option is activated, the commands entered in the lines above will be executed as a minimized window.
  • Run commands in order(commands after main program)
    If this option is activated, the commands entered in the lines above will be executed in order. This means D-Fend Reloaded will wait before starting the next command for the previous command to terminate.

See also:

Profile editor dialog


Profile editor | DOSBox settings

Menu: Profile | Edit | DOSBox settings

Profile editor dialog page "DOSBox settings"

On this page you can configurate some DOSBox specific settings.

  • DOSBox priority (foreground)
    This is the priority Windows should give DOSBox when it is running in foreground. Normal Windows applications will get priority "normal". Giving DOSBox a higher priority will give more CPU power to DOSBox than to other programs.
  • DOSBox priority (background)
    This is the priority Windows should give DOSBox when it is running in background. Normal Windows applications will get priority "normal". Giving DOSBox a higher priority will give more CPU power to DOSBox than to other programs.
  • Close DOSBox when program closes
    If this option is activated, the DOSBox window will be closed when the program running inside DOSBox quits. Otherwise the DOSBox window will stay open and you will have to enter "exit" to close it manually. If the program you want to run inside DOSBox terminates with an error turning off this options allows you to read the error message before DOSBox closes.
  • Use predefined DOSBox installation
    In this box you can select the DOSBox installation you want to use. The DOSBox installation listed in this box can be configurated on the DOSBox page of the program options dialog.
  • Use this custom DOSBox installation
    In this edit field you can define a custom directory for a DOSBox version to use.
  • Use this custom settings for the console window
    By activating this option you can overwrite set setting to show or to hide the DOSBox console made on the DOSBox page of the program options and define if the console shall be shown always or never for the current profile.
  • Use this custom language in DOSBox By activating this option you can choose a custom language for DOSBox messages when running this profile. If no custom language is activated the language selected on the DOSBox page of the program options dialog will be used.
  • Custom settings
    The lines entered in this edit field are added to the DOSBox configuration file when running DOSBox. You can overwrite all other settings by writing something in this box. Also settings perhaps offered by some newer DOSBox versions can be used by writing the configuration lines to this field.

See also:

Profile editor dialog


Profile editor | ScummVM settings

Menu: Profile | Edit | ScummVM settings

Profile editor dialog page "ScummVM settings"

On this page you can configurate some ScummVM specific settings. Depending on the game chosen on the profile page some settings may be disabled.

  • Language
    If the game is multilingual you can choose the game language you want to use from this dropdown box. If you choose "default" no language information will be given to ScummVM. (This option will be visible in the dropdown list if there are no language data for the chosen game in the D-Fend Reloaded ScummVM games languages list.) By choosing "user defined" you can enter any language even so it is not on the list of supported languages. You can also edit the list of supported language directly on the default values page of the program options dialog.
  • Autosave interval
    In this box you can select the number of seconds between autosaving.
  • Text speed
    In this box you can change the text speed in the game.
  • Enable subtites (in games with voice)
    If this option is activated subtitles will be shown in games with speech output. (In games without voice support dialogs will be shown as text in any case.)
  • Confirm program exit
    If this option is activated ScummVM will ask the user if he really wants to quit the program if he clicks on the close button of the ScummVM window.
  • Folder for saved games
    From this box you can choose where ScummVM should store the files used for saving games. The default setting is using the game directory but you can also use any other path for storing the saved games.
  • Extra path for additional game data files
    In this directory you can store additionally game data files. (Please see the ScummVM documentation to see for which versions of which games this extra directory is supported.)
  • Additional ScummVM command line parameters
    The parameters entered here are passed additionally to ScummVM when starting the game.
  • Custom settings
    The lines entered in this edit field are added to the DOSBox configuration file when running DOSBox. You can overwrite all other settings by writing something in this box. Also settings perhaps offered by some newer DOSBox versions can be used by writing the configuration lines to this field.

See also:

Profile editor dialog


Profile editor | Hardware

Menu: Profile | Edit | Hardware

Profile editor dialog page "Hardware"

On this page you can configurate which hardware should be used by ScummVM. For DOSBox profiles this page will be empty.

  • CD drive for playing audio (for games using CD audio)
    In this box you can define which CD drive should be used for playing music from in the game. The number of the first CD drive is 0.
  • Use Joystick number
    If the game supports joysticks for input you can choose from this edit field which joystick ScummVM should use for user input. The number of the first joystick conntected to the system is 0.
  • Platform
    In most cases the default value "auto" should not be changed. In "auto" mode ScummVM will try to auto detect the platform of the game files. Only if the game is not running well you should select the platform for which the game was made here.

See also:

Profile editor dialog


Profile editor | CPU

Menu: Profile | Edit | CPU

Profile editor dialog page "CPU"

On this page you can setup how DOSBox should emulate the CPU for the game you want to run.

  • Emulation core
    In this box you can choose the emulation core you want to use.

    • Auto: DOSBox will choose the core type automatically.
    • Normal: DOSBox will execute the game instructions on a virtual CPU step by step. All games should run with this core type but this type will bring a big slow down of the emulation.
    • Dynamic: DOSBox will try to execute the game instructions directly on the real CPU. This emulation type is very fast but can have problems with some games. Unless you do not experience any problems with a game you should use this emulation type.
    • Simple: DOSBox will run the game on a virtual CPU core just like "Normal", but the CPU emulation is much more simple (and therefore faster).
  • CPU cycles
    In this box you can enter the amount of instructions DOSBox shall try to emulate each millisecond. Setting this value to "Max" will make DOSBox automatically run as many cycles as possible. Setting it to "Auto" will make DOSBox try to automatically detect the needed number of cycles and will switch to "Max" if appropriate.
  • Increate CPU cycles
    In this box you can enter the amount of cycles DOSBox will increase the total number of cycles emulated per millisecond when pressing Ctrl+F12 inside DOSBox.
  • Decrease CPU cycles
    In this box you can enter the amount of cycles DOSBox will decrease the total number of cycles emulated per millisecond when pressing Ctrl+F11 inside DOSBox.
  • CPU type (*)
    From this dropdown box you can choose the CPU type DOSBox should emulate.

The option marked with (*) is only visible if the corresponding DOSBox CVS features is enabled on the DOSBox CVS features page of the program options dialog. The official DOSBox 0.72 build delivered with D-Fend Reloaded does not support is special setting.

See also:

Profile editor dialog


Profile editor | Memory

Menu: Profile | Edit | Memory

Profile editor dialog page "Memory"

On this page you can setup how much memory and what kind of memory DOSBox should give to the game.

  • Memory (in MB)
    In the box you can enter the total number of MB DOSBox should give to the game you want to run.
  • Use XMS memory
    By activating this checkbox you activate the XMS support inside DOSBox. If the game you want to run wants to use XMS memory, all you have to do is activating this checkbox. (There is no need to install a separate memory manager like EMM386 etc.) You should always keep this option activated unless the game you want to run has problems when XMS memory is activated.
  • Use EMS memory
    By activating this checkbox you activate the EMS support inside DOSBox. If the game you want to run wants to use EMS memory, all you have to do is activating this checkbox. (There is no need to install a separate memory manager like EMM386 etc.) You should always keep this option activated unless the game you want to run has problems when EMS memory is activated.
  • Use UMB memory
    By activating this checkbox you activate the UMB support inside DOSBox. If the game you want to run wants to use UMB memory, all you have to do is activating this checkbox. (There is no need to install a separate memory manager like EMM386 etc.) You should always keep this option activated unless the game you want to run has problems when UMB memory is activated.
  • Use Loadfix
    If you have problems running some game you can try to activate this option. It will reduce the amount of memory available to programs running in DOSBox because some games have problems if there is too much available memory.
  • Use DOS32A extender (*)
    If the game you want to run uses some DOS extender like DOS4/GW you can replace the DOS extender by DOS32A which is faster than most of the other extenders. D-Fend Reloaded will show you via an icon right to the checkbox if the game you want to run uses a DOS extender or not. You should only activate this option if the game you want to uses a DOS extender.

The option marked with (*) is implemented by using the FreeDOS DOS32A extender. This means FreeDOS must be available to use this options. You can configurate the path to FreeDOS on the FreeDOS page of the program options dialog. If the information text below the option is displayed in gray, FreeDOS is available. Otherwise the text will be displayed in red.

See also:

Profile editor dialog


Profile editor | Graphics

Menu: Profile | Edit | Graphics

Profile editor dialog page "Graphics"

On this page you can setup the virtual graphic card DOSBox or ScummVM should emulate.

For DOSBox profiles

  • Window resolution
    In this dropdown box you can select the resolution you want to use if DOSBox is running in window mode. "Original" means using the resolution the game uses without scaling. In all other cases DOSBox is upscaling the game resolution to the chosen resolution.
  • Fullscreen resolution
    In this dropdown box you can select the resolution you want to use if DOSBox is running in fullscreen mode. "Original" means using the resolution the game uses without scaling. In all other cases DOSBox is upscaling the game resolution to the chosen resolution.
  • Start in fullscreen mode
    If this option is activated, DOSBox will start in fullscreen mode. Otherwise it will start in window mode.
  • Use double buffering
    If this option is activated double buffering will be activated in fullscreen mode. Activation this option can cause or solve some graphic problems depending on your video driver, your operation system and the game you want to run.
  • Keep correct aspect
    Aspect correction is useful for games that uses the 320x200 mode with non-square pixel. If a game using this mode is displayed on a modern screen using a mode with regular square pixel it looks stretched. Aspect correction stretches the image vertically so the 320x200 will become 320x240 and it looks better depending on the interpolation algorithm.
  • Glide emulation (*)
    If this option is activated DOSBox will offer glide emulation to the game.
  • Render
    From this dropdown box you can choose the output method DOSBox should use to display the content of its window (this means the way DOSBox will communicate with the Windows device driver). The default value is "surface". The best render method depends on your video driver and operating system.
  • Video card
    From this dropdown box you can select the graphic card type you want DOSBox to emulate. For most games "vga" should work fine. Only if the game requieres some special graphic card you should select some other video card type. Note that "vga" fully supports most cga modes, so you should be able to leave DOSBox in vga mode for playing most cga games.
  • Pixel shader (*)
    From this dropdown box you can select the pixel shader program to use. The pixel shader programs offered in this box are fx files in the Shaders subdirectory of the directory of the chosen DOSBox installation.
  • Settings for video card type "vga" (*)
    In this box you can select the exact type of vga card to emulate in video card mode "vga". This can be helpful when running some newer DOS games expecting some special vga chipset.
  • Scale
    From this dropdown box you can select the scale algorithm to use when displaying a game in a higher resolution than the game uses. The best scaling mode depends on the game you want to use. In general modes at the top of the list tend to be faster and modes at the bottom tend to produce smoother images.
  • Frameskip
    In this box you can select how many frames DOSBox should skip when showing the game frames. Skipping frames makes the running a game faster. The frameskip is not based on the games frames per second (fps), but on the screen refresh rate, which is 70 fps for most modes and 60 fps for 640*480 VGA modes. A frameskip of one means 35 / 30 fps, a frameskip of two means 23.3 / 20 fps and three means 17.5 / 15 fps.
  • Text mode lines (*)
    In this box you can select how many text lines DOSBox should use in text mode (on the command line for example). The default value is 25.

The settings marked with (*) are only visible if the corresponding DOSBox CVS features are enabled on the DOSBox CVS features page of the program options dialog. The official DOSBox 0.72 build delivered with D-Fend Reloaded does not support these special settings.

For ScummVM profiles

  • Filter
    From this box you can select the method ScummVM should use for up scaling the game graphics to your physical resolution.
  • Render mode
    In the box you can setup the graphical card ScummVM should emulation. In most cases the default value "default" will lead to good results.
  • Start in fullscreen mode
    If this option is activated, ScummVM will start in fullscreen mode. Otherwise it will start in window mode.
  • Keep correct aspect
    Aspect correction is useful for games that uses the 320x200 mode with non-square pixel. If a game using this mode is displayed on a modern screen using a mode with regular square pixel it looks stretched. Aspect correction stretches the image vertically so the 320x200 will become 320x240 and it looks better depending on the interpolation algorithm.

See also:

Profile editor dialog


Profile editor | Keyboard

Menu: Profile | Edit | Keyboard

Profile editor dialog page "Keyboard"

On this page you can setup the virtual keyboard DOSBox should emulate and the keyboard driver, DOSBox should provide to the programs running inside DOSBox.

  • Use scan codes
    By activating or deactivating you can change the method DOSBox will use to get the information about the pressed keys on the real keyboard. Activating or deactivating this option can cause or solve some keyboard problems depending on your keyboard and your operating system.
  • Keyboard layout
    In this dropdown box you can select the keyboard layout you want to use in DOSBox. You should use the layout of your real keybaord. If you select "default" the keyboard layout defined for the chosen DOSBox installation (or if there is also "default" selected) in the current language file will be used. (The keyboard layout chosen in this case will be shown in the information text below the dropdown box.) Selecting "default" will make DOSBox use the "US" layout when the D-Fend Reloaded program language is English, layout "GR" (=German) when the D-Fend Reloaded program is German etc.
  • Codepage
    In this dropdown box you can select the codepage you want to use in DOSBox. The codepage influences how characters are displayed on the DOSBox command line. If you select "default" the codepage defined for the chosen DOSBox installation (or if there is also "default" selected) in the current language file will be used. (The codepage chosen in this case will be shown in the information text below the dropdown box.)
    Attention: Not all codepages are supported for all keyboard layouts. You can find a list of all possitible keyboard layout and codepage combinations here.
  • Num lock status, Caps lock status and Scroll lock status
    Via this three boxes you can select the initial state of the three toggle keys num lock, caps lock and scroll lock. The option "Do not change" means DOSBox will use the state given by the Windows keyboard device driver as the initial state of the three virtual toggle keys.
  • Use default DOSBox key mapping file
    DOSBox uses a key mapping file for storing which physical key shall be connected with which virtual key inside DOSBox. If this option is activated the key mapping file defined on the DOSBox page of the program options dialog will be used.
  • Use this custom DOSBox key mapping file
    If this option is activated the given key mapping file will be used inside DOSBox instead of the regular key mapping file.

Hint:

You can open the key mapper to change the mapping from physical to virtual keys inside DOSBox at any time by pressing Ctrl+F1.

See also:

Profile editor dialog
Liste of possible keyboard layout and codepage combinations.


Profile editor | Keyboard

Menu: Profile | Edit | Keyboard

Profile editor dialog page "Keyboard"

Liste of possible keyboard layout and codepage combinations:

Country/Region                    Name     Codepages                  CPX
--------------                    ----     ---------                  ---

A
---------------------------------------------------------------------------
Argentina (1)                     la       858, 850, 437              EGA
                                           30003, 30029, 30030        EGA12
Australia (1)                     us       858, 850, 437, 853         EGA
                                           775, 859                   EGA2
Austria (1) (Standard)            gr, de   858, 850, 437, 852, 853    EGA
                                           859                        EGA2
                                           30009                      EGA11
                                           30020                      EGA14
            (Dual-layer)          gr453    858, 850, 437, 852, 853    EGA
                                           859                        EGA2
                                           30009                      EGA11
                                           30020                      EGA14

B
---------------------------------------------------------------------------
Belgium (1)                       be       858, 850, 437              EGA
                                           859                        EGA2
                                           30007                      EGA11
Bosnia & Herzegovina              yu, ba   852, 858, 850              EGA
                                           113                        EGA5
Brazil (ABNT layout)              br       858, 850, 437              EGA
       (US layout)                br274    858, 850, 437              EGA

C
---------------------------------------------------------------------------
Canada (1) (Standard)             cf, ca   858, 863                   EGA9
                                           850                        EGA
                                           859                        EGA2
                                           30022                      EGA16
           (Dual-layer)           cf445    858, 863                   EGA9
                                           850                        EGA
                                           859                        EGA2
                                           30022                      EGA16
           (Legacy)               cf501    858, 863                   EGA9
                                           850                        EGA
                                           859                        EGA2
                                           30022                      EGA16
Chile (1)                         la       858, 850, 437              EGA
                                           30003, 30029, 30030        EGA12
Colombia (1)                      la       858, 850, 437              EGA
                                           30003, 30029, 30030        EGA12
Croatia                           yu, hr   852, 858, 850              EGA
                                           113                        EGA5
Czech Republic (101-key, prog.)   cz       852, 858, 850              EGA
                                           867                        EGA9
               (Standard)         cz243    852, 858, 850              EGA
                                           867                        EGA9

D
---------------------------------------------------------------------------
Denmark (1)                       dk       858, 865                   EGA9
                                           850                        EGA
                                           30004                      EGA11

E
---------------------------------------------------------------------------
Ecuador (1)                       la       858, 850, 437              EGA
                                           30003, 30029, 30030        EGA12

F
---------------------------------------------------------------------------
Finland (1)                       su, fi   858, 850, 437              EGA
                                           859                        EGA2
                                           30000                      EGA11
France (1) (Standard)             fr       858, 850, 437              EGA
                                           859                        EGA2
                                           30021                      EGA14
           (Comma on Numeric Pad) fr120    858, 850, 437              EGA
                                           859                        EGA2

G
---------------------------------------------------------------------------
Germany (1) (Standard)            gr, de   858, 850, 437, 852, 853    EGA
                                           859                        EGA2
                                           30009                      EGA11
                                           30020                      EGA14
            (Dual-layer)          gr453    858, 850, 437, 852, 853    EGA
                                           859                        EGA2
                                           30009                      EGA11
                                           30020                      EGA14

H
---------------------------------------------------------------------------
Hungary (101-key)                 hu       852, 858, 850              EGA
                                           57781                      EGA10
        (102-key)                 hu208    852, 858, 850              EGA
                                           57781                      EGA10

I
---------------------------------------------------------------------------
Ireland (1) (Standard)            uk       858, 850, 437, 852, 853    EGA
                                           859                        EGA2
                                           30001                      EGA11
            (Alternate)           uk168    858, 850, 437, 852, 853    EGA
                                           859                        EGA2
                                           30001                      EGA11
Italy (1) (Standard)              it       858, 850, 437, 852         EGA
                                           869                        EGA5
                                           30007                      EGA11
          (Comma on Numeric Pad)  it142    858, 850, 437, 852         EGA
                                           869                        EGA5
                                           30007                      EGA11

J
-------------------------------------------------------------------------
Japan (2)                         jp       932                        ---

L
---------------------------------------------------------------------------
Latin America (1)                 la       858, 850, 437              EGA
                                           30003, 30029, 30030        EGA12

M
---------------------------------------------------------------------------
Mexico (1)                        la       858, 850, 437              EGA
                                           30003, 30029, 30030        EGA12

---------------------------------------------------------------------------
Netherlands (102-key) (1)         nl       858, 850, 437              EGA
                                           30020                      EGA14
New Zealand (1)                   us       858, 850, 437, 853         EGA
                                           775, 859                   EGA2
Norway (1)                        no       858, 865                   EGA9
                                           850                        EGA
                                           30000                      EGA11

P
---------------------------------------------------------------------------
Poland (1) (101-key, prog.)       pl       852, 858, 850              EGA
                                           667, 668, 790, 991         EGA10
                                           58335                      EGA12
                                           848, 849                   EGA4
           (102-key)              pl214    852, 858, 850              EGA
                                           667, 668, 790, 991         EGA10
                                           58335                      EGA12
                                           848, 849                   EGA4
Portugal                          po       858, 860                   EGA9
                                           850                        EGA

S
---------------------------------------------------------------------------
Slovakia                          sk       852, 858, 850              EGA
                                           867                        EGA9
Slovenia                          yu, si   852, 858, 850              EGA
                                           113                        EGA5
South Africa (1)                  us       858, 850, 437, 853         EGA
                                           775, 859                   EGA2
Spain (1)                         sp, es   858, 850, 437              EGA
                                           30007                      EGA11
Sweden (1)                        sv       858, 850, 437              EGA
                                           859                        EGA2
                                           30000                      EGA11
Switzerland (French) (1)          sf       858, 850, 437              EGA
                                           859                        EGA2
            (German)              sg, sd   858, 850, 437              EGA

U
---------------------------------------------------------------------------
UK (1) (Standard)                 uk       858, 850, 437, 852, 853    EGA
                                           859                        EGA2
                                           30001                      EGA11
       (Alternate)                uk168    858, 850, 437, 852, 853    EGA
                                           859                        EGA2
                                           30001                      EGA11
US (Standard) (1)                 us       858, 850, 437, 853         EGA
                                           859                        EGA2
                                           30021                      EGA14
                                           30023                      EGA15
   (Dvorak)                       dv       858, 850, 437              EGA
   (Left-Hand Dvorak)             lh       858, 850, 437              EGA
   (Right-Hand Dvorak)            rh       858, 850, 437              EGA

V
---------------------------------------------------------------------------
Venezuela (1)                     la       858, 850, 437              EGA
                                           30003, 30029, 30030        EGA12

Layouts available on the KEYBRD2.SYS library file
=================================================

Country/Region                    Name     Codepages                  CPX
--------------                    ----     ---------                  ---

B
--------------------------------------------------------------------------
Bulgaria (101-key)                bg       872, 855                   EGA3
                                           858, 850                   EGA
         (102-key)                bg241    872, 855                   EGA3
                                           858, 850                   EGA

G
--------------------------------------------------------------------------
Greece (319)                      gk, el   869, 737, 851, 858         EGA5
                                           850                        EGA
       (220)                      gk220    869, 737, 851, 858         EGA5
                                           850                        EGA
       (101-key)                  gk459    869, 737, 851, 858         EGA5
                                           850                        EGA

I
--------------------------------------------------------------------------
Iceland (101-key)                 is       858, 861                   EGA9
                                           850                        EGA
        (102-key)                 is161    858, 861                   EGA9
                                           850                        EGA

R
---------------------------------------------------------------------------
Romania (1) (Standard)            ro       852, 858, 850              EGA
                                           848, 30010                 EGA4
                                           30009                      EGA11
            (Qwerty)              ro446    852, 858, 850              EGA
                                           848, 30010                 EGA4
                                           30009                      EGA11
Russia (3) (Standard)             ru       808, 866, 872, 855         EGA3
                                           858, 850, 437              EGA
           (Typewriter)           ru443    808, 866, 872, 855         EGA3
                                           858, 850, 437              EGA
           (Chechnya Standard)    ce       30019, 30011               EGA7
           (Chechnya Typewriter)  ce443    30019, 30011               EGA7
           (Tatarstan Standard)   tt       30018, 30013               EGA7
           (Tatarstan Typewriter) tt443    30018, 30013               EGA7
           (Extended Standard)    rx       30011, 30013, 30014,       EGA7
                                           30017, 30018, 30019        EGA7
                                           30012, 30015, 30016        EGA14
           (Extended Typewriter)  rx443    30011, 30013, 30014,       EGA7
                                           30017, 30018, 30019        EGA7
                                           30012, 30015, 30016        EGA14

S
--------------------------------------------------------------------------
Serbia & Montenegro (Deadkey) (1) yc, sr   872, 855                   EGA3
                                           848                        EGA4
                                           858, 850                   EGA
                 (No deadkey) (1) yc450    872, 855                   EGA3
                                           848                        EGA4
                                           858, 850                   EGA

T
-------------------------------------------------------------------------
Turkey (Qwerty) (1)               tr       857, 858, 850, 853         EGA
       (Non-standard) (1)         tr440    857, 858, 850, 853         EGA

Layouts available on the KEYBRD3.SYS library file
=================================================

Country/Region                    Name     Codepages                  CPX
--------------                    ----     ---------                  ---

A
--------------------------------------------------------------------------
Albania (No deadkeys)             sq       852, 858, 850, 437         EGA
        (Deadkeys)                sq448    852, 858, 850, 437         EGA
Armenia                           hy       899                        EGA6
Azerbaijan                        az       60258, 58210               EGA6

B
---------------------------------------------------------------------------
Belarus                           bl, by   849, 1131                  EGA4
                                           872, 855                   EGA3
                                           858, 850                   EGA
Benin (1)                         bn       30027                      EGA15

E
--------------------------------------------------------------------------
Estonia                           et, ee   775, 859, 1116             EGA2
                                           858, 850                   EGA

F
--------------------------------------------------------------------------
Faeroe Islands                    fo       858, 861                   EGA9
                                           850                        EGA

G
--------------------------------------------------------------------------
Georgia (4)                       ka       59829, 60853, 30008        EGA6

K
---------------------------------------------------------------------------
Kazakhstan                        kk       58152                      EGA13
Kyrgyzstan                        ky       58152                      EGA13

L
--------------------------------------------------------------------------
Latvia (Standard)                 lv       775, 1117                  EGA2
                                           770, 773                   EGA8
                                           61282                      EGA4
       (Dual-layout)              lv455    775, 1117                  EGA2
                                           770, 773                   EGA8
                                           61282                      EGA4
Lithuania (Standard, LST 1582)    lt221    775                        EGA2
                                           771, 772                   EGA3
                                           770, 773, 774, 777, 778    EGA8
          (Dual-layout)           lt456    775                        EGA2
                                           771, 772                   EGA3
                                           770, 773, 774, 777, 778    EGA8
          (101-key, prog.)        lt210    775                        EGA2
                                           771, 772                   EGA3
                                           770, 773, 774              EGA8
          (Azerty)                lt211    775                        EGA2
                                           771, 772                   EGA3
                                           770, 773, 774, 777, 778    EGA8
          (Baltic)                lt       775                        EGA2
                                           771, 772                   EGA3
                                           770, 773, 774, 777, 778    EGA8

M
---------------------------------------------------------------------------
Macedonia (FYROM) (1)             mk       872, 855                   EGA3
                                           858, 850                   EGA
                                           30009                      EGA11
Malta (48-key)                    mt, ml   853, 858                   EGA
      (47-key)                    ml47     853, 858                   EGA
Mongolia                          mn, mo   58152                      EGA13

N
---------------------------------------------------------------------------
Niger (1)                         ne       30028                      EGA15
Nigeria (1)                       ng       30005                      EGA16

P
-------------------------------------------------------------------------
Philippines                       ph       858, 850, 437              EGA

T
---------------------------------------------------------------------------
Tadjikistan                       tj       30002                      EGA13
Turkmenistan                      tm       852, 59234                 EGA13

U
---------------------------------------------------------------------------
Ukraine (101-key)                 ur465    848, 1125, 849, 1131       EGA4
                                           858, 850                   EGA
        (102-key)                 ur, ua   848, 1125, 849, 1131       EGA4
                                           858, 850                   EGA
US (International) (5)            ux       858, 850, 437              EGA
                                           30021                      EGA14
                                           30023, 30024, 30025, 30026 EGA15
Uzbekistan                        uz       62306                      EGA13

V
---------------------------------------------------------------------------
Vietnam                           vi       30006                      EGA14

See also:


Profile editor | Mouse

Menu: Profile | Edit | Mouse

Profile editor dialog page "Mouse"

On this page you can setup the virtual mouse DOSBox should emulate.

  • Auto lock mouse
    If this option is activated the mouse pointer will be locked inside the DOSBox window if you click on it. This can solve some mouse problems when running programs that uses the mouse in windows mode. To free the mouse pointer you have to press Ctrl+F10.
  • Mouse sensitivity
    By changing this value to can setup the mouse sensitivity. A higher value means the mouse will move faster and a lower values will make it move slower.
  • Force 2-button mouse mode (*)
    DOSBox emulates a virtual 3-button mouse. For most games this works very well but some games need a 2-button mouse. This the mouse moves very strange and cannot be conntrolled in the game, you should try this option.
  • Swap mouse buttons (*)
    By activating this option you can swap the left and the right mouse button inside DOSBox.

The two options marked with (*) are implemented by using the FreeDOS mouse driver. This means FreeDOS must be available to use this options. You can configurate the path to FreeDOS on the FreeDOS page of the program options dialog. If the information texts below the two options are displayed in gray, FreeDOS is available. Otherwise the texts will be displayed in red.

See also:

Profile editor dialog


Profile editor | Sound

Menu: Profile | Edit | Sound

Profile editor dialog page "Sound"

On this page you can configurate the main sound card emulation settings for DOSBox. inside DOSBox.

  • Activate sound
    If this option is deactivated the whole sound support inside DOSBox will be disabled and all other options will have no effect.
  • Mixer
    In this box you can setup the DOSBox internal mixer. DOSBox will collect the sound output of the game in its mixer and send it in the given format to the real sound card. In most cases the default values should not be changed.
  • Activate PC speaker and PC speaker sample rate
    If this option is activated DOSBox will emulate a virtual PC speaker for the games. The sounds a game want to play though the virtual speaker device will be redirected to the real sound card.
  • Tandy speaker and Tandy speaker sample rate
    By changing this settings you can influence the Tandy speaker emulation. In most cases the default values should work very well.
  • Activate Disney Sounds Source
    By checking this option you can activate the Disney Sounds Source support.

See also:

Profile editor dialog


Profile editor | Volume

Menu: Profile | Edit | Volume

Profile editor dialog page "Volume"

On this page you can set the volume for the different sound card types. A value of "0" is the minimum and means muting the sound device. A value of "100" means maximal sound volume.

After applying the corresponding sound card volume the "Master" volume will be applyed to the sound volume.

See also:

Profile editor dialog


Profile editor | SoundBlaster

Menu: Profile | Edit | SoundBlaster

Profile editor dialog page "SoundBlaster"

On this page you can setup the virtual SoundBlaster card. The settings on this page should match to the settings you have selected in the game setup program for the sound output.

Meaning of the "Type" dropdownbox

Type | Name | Bits | Stereo
none | SoundBlaster emulation disabled |  |
sb1 | SoundBlaster ver. 1.0 | 8 | no
sb2 | SoundBlaster ver. 2.0 | 8 | no
sbpro1 | SoundBlaster Pro ver. 1.0 | 8 | yes
sbpro2 | SoundBlaster Pro ver. 2.0 | 8 | yes
sb16 | SoundBlaster 16 | 16 | yes

See also:

Profile editor dialog


Profile editor | GUS

Menu: Profile | Edit | GUS

Profile editor dialog page "GUS"

On this page you can setup the virtual Gravis Ultra Sound (GUS) card. The settings on this page should match to the settings you have selected in the game setup program for the sound output.

To use the Gravis Ultra Sound support inside DOSBox you will need some external patch files. The path to this patch files can be entered in the edit field named "path". In this directory there should be a MIDI directory that contains the patch files for GUS playback.

See also:

Profile editor dialog


Profile editor | MIDI

Menu: Profile | Edit | MIDI

Profile editor dialog page "MIDI"

On this page you can setup the virtual MIDI device emulated by DOSBox. Unless you have problems using the MIDI support in some games you should not change any settings here. In particular you should keep one of the values "default" or "win32" in the "MIDI device" dropdown box.

See also:

Profile editor dialog


Profile editor | Innovation SSI-2001

Menu: Profile | Edit | Innovation SSI-2001

Profile editor dialog page "Innovation SSI-2001"

On this page you can setup the virtual Innovation SSI-2001 device emulated by DOSBox.

See also:

Profile editor dialog


Profile editor | Joystick

Menu: Profile | Edit | Joystick

Profile editor dialog page "Joystick"

On this page you can setup the virtual joystick DOSBox should emulate. DOSBox will map this virtual Joystick to any real Joystick connected to your computer and supported by Windows automatically.

  • Joystick type
    From this drowpdown box you can select the type of joystick DOSBox should emulate:

    • auto:chooses emulation depending on real joystick(s)
    • none: disables joystick emulation
    • 2axis: supports two joysticks
    • 4axis: supports one joystick, first joystick used
    • 4axis_2: supports one joystick, second joystick used
    • fcs: Thrustmaster
    • ch: CH Flightstick
  • Timed intervals for axis
    Enable timed intervals for axis.
  • Autofire
    If this option is activated, DOSBox will send separate fire-button press events to the game as long as you keep the button pressed.
  • Swap axis 3 and 4
    If this option is activated the 3rd and 4th axis phyisical axis of the connected joystick will be swaped in the emulation.
  • Activate button wrap
    If this option is activated, on joysticks with more physical buttons than emulated virtual buttons (see "type" dropdown box) the higher physical buttons are mapped to lower logical buttons in the emulation. For example if you use a joystick with more than 4 buttons and you have configurated in the "type" dropdown box a 4-button joystick, physical button 5 is mapped to logical button 1, physical button 6 to logical button 2 etc.

See also:

Profile editor dialog


Profile editor | Drives

Menu: Profile | Edit | Drives

Profile editor dialog page "Drives"

On this page you can setup the virtual drives DOSBox should emulate for the games running inside it. DOSBox can use physical drives, folders, image files or (if you are using a special CVS build) zip files as drives. Additionally D-Fend Reloaded allows to use zip files as drives even with the default DOSBox build (by extracting them before running DOSBox and automatically repacking them when DOSBox quits.)

You can add, edit and delete drives by clicking the buttons at the bottom of the page. Additionally you can also add drives by pressing Ins, edit the selected drive by pressing Return and delete drives by pressing Del.

You can also let D-Fend Reloaded try to create the needed connections from physical folders to DOSBox drives automatically by clicking the "Auto create" button. This should work fine for games only needing their game directories to run. For games needing drive images or CD drive connections D-Fend Reloaded will not be able to setup all needed drive records automatically.

  • Additional automatically mount all available CDs
    If this option is activated, D-Fend Reloaded will also mount all not explicitely mounted CD drives when starting DOSBox.
  • Disable mounting of drives after DOSBox start
    If this secure mode is activated, you (or any program inside DOSBox) will not be able to mount any further drives as soon as DOSBox is started. Whis this option activated you can be sure even a virus will not be able to damage any data you have not explicitely mounted in this dialog.

The "Edit drive" dialog

From this dialog you can choose the type of drive DOSBox should emulate and configurate it. From the "Type" dropdown box you can select on of the following drive types:

  • Folder as hard disk
    This option allows you to mount any folder as a hard disk in DOSBox. (Advice: You should not mount the root folder of a drive as a DOSBox drive. Mounting a complete drive as a DOSBox drive will allow applications running inside DOSBox to change or delete any file on the real hard disk.)
  • Folder as floppy
    This option allows you to mount a folder as a virtual floppy disk.
  • CD-drive
    This options allows you to mount a real CD drive a a virtual CD drive inside DOSBox. You can select the CD drive via a fixed path (which should be the root folder of a real CD drive) or let D-Fend Reloaded automatically select the CD drive on DOSBox start via a file or a folder on the CD or via the name of the CD.
  • Floppy image
    This options allows you to mount an image file as a virtual floppy drive. Via the "Create image file" on the right you can create a new floppy image from a real floppy disk or create a new, empty floppy disk image.
  • ISO image
    This options allows you to mount an image file as a virtual CD drive. Via the "Create image file" on the right you can create a new ISO image from a real CD drive.
  • Hard disk image
    This options allows you to mount an image file as a virtual hard disk. Via the "Create image file" on the right you can create new, empty hard disk images.
  • DOSBox PhysFS (*)
    By selecting this option you can mount a zip file as a drive in DOSBox. DOSBox will make a drive from a zip file and a folder. It will read from the zip file and perform all write operations to the given folder (the zip file is read only). Via the "Repack folder content to zip file" option you let D-Fend Reloaded repack the content of the folder to the zip file when DOSBox terminates.
  • Zip file
    By selecting this option you can mount a zip file as a drive in DOSBox without using the DOSBox PhysFS support (which is not available in all DOSBox versions). D-Fend Reloaded will extract the content of the zip file to the given folder, mount this folder as a drive in DOSBox, run DOSBox, waits for DOSBox to terminate and repack to folder content to the zip file.

The option marked with (*) is only available if the corresponding DOSBox CVS feature is enabled on the DOSBox CVS features page of the program options dialog. The official DOSBox 0.73 build delivered with D-Fend Reloaded does not support this mount type and does not support the secure mode.

Via the "Drive letter" dropdown box you can choose which drive letter DOSBox should use for the mounted folder or image. When mounting a floppy or hard disk image you can also choose a number from 0 to 3 instead of a drive letter. Choosing one of this numbers will connect to image to the internal floppy / hard disk controller instead of connecting it to a drive letter. By doing this the drive will also stay available when booting a custom operation system inside DOSBox.

See also:

Profile editor dialog


Profile editor | Serial ports

Menu: Profile | Edit | Serial ports

Profile editor dialog page "Serial ports"

On this page you can setup the virtual serial ports DOSBox should offer to the game running inside it. There are 5 different operation modes for each emulated serial port:

  • Disabled
    Support for the selected serial port will be disabled.
  • Dummy
    Will create a dummy serial port inside DOSBox without any real function.
  • Modem
    Will emulate a virtual modem connected to the serial port inside DOSBox. The real connection will be established via the network of the real computer. Therefore you will have to choose "Listen for connections" on the server.
  • Nullmodem
    Activating this option will emulate a virtual nullmodem cable connected to the serial port inside DOSBox. The "other side" of the cable must be connected to another DOSBox instance running on another computer. One computer will be the server and one the client. On the client computer you will have to specifiy the address of the server computer.
  • Direct serial
    This option will connect the selected virtual serial port inside DOSBox with a real real serial port of the real computer.

See also:

Profile editor dialog


Profile editor | Network

Menu: Profile | Edit | Network

Profile editor dialog page "Network"

On this page you can configurate to connect to DOSBox instances on different computers via a network. DOSBox will offer a virtual UDP/IP network adapter inside it for the game.

  • Activate UDP/IP emulation
    Will turn the whole network emulation inside DOSBox on or off. If this option is deactivated, all other options on this page will have no effect.
  • Establish IPX connection
    From this box you can select if the current computer should be the server or the client.
  • IPX server IP address (for Client-mode)
    If you have chosen the current computer to be the client you can enter the IP address of the server to connect to in this edit field.
  • IPX Port
    From this box you can select the port DOSBox should use for connection. The port on the client and on the server must be the same for a connection.

See also:

Profile editor dialog


Profile editor | Printer

Menu: Profile | Edit | Printer

Profile editor dialog page "Printer"

On this page you can setup the printer emulation inside DOSBox.

This page will only be visible if the printer emulation support is enabled on the DOSBox CVS features page of the program options dialog. The official DOSBox 0.72 build delivered with D-Fend Reloaded does not support the emulation of a printer.

  • Enable printer emulation
    Changing this option will activate or deactivate the whole printer emulation inside DOSBox. If this option is turned off, all other options on this page will take no effect.
  • Resolution (in dpi)
    On this option you can choose the resolution of the virtual printer.
  • Paper width and Paper height
    In this edit fields you can define the size of the virtual page. The sizes entered in this boxes is measured in 1/10 inch.
  • Output format
    From this dropdown box you can select the way DOSBox should output the data printed on its virtual printer:

    • png: Will create a png (portable network file) graphics file. DOSBox will prompt you for the file name.
    • ps: Will create a ps (post script) file. DOSBox will prompt you for the file name.
    • bmp: Will create a bmp (bitmap) graphics file. DOSBox will prompt you for the file name.
    • printer: Will send the data printed on the virtual printer to the real Windows default printer.
  • Activate multipage printing
    (This option will only take effect if postscript output is selected.) If this option is deactivated each page the application inside DOSBox wants to print will be directed to an individual output file. By activating this option multiple pages can be directed to a single file. To quit printing to a file you will have to press Ctrl+F2.

See also:

Profile editor dialog


Profile editor | DOS environment

Menu: Profile | Edit | DOS environment

Profile editor dialog page "DOS environment"

On this page you can configurate the DOS environment DOSBox will offer to the game:

  • Reported DOS version
    From this box you can select which DOS version DOSBox should report. Most programs do not care for the DOS version but if you want to run a program requiering a special DOS version you can select this version from this box.
  • Use 4DOS as command line interpreter (*)
    If this option is activated, 4DOS will be used as the command line interpreter instead of the default DOSBox command line interpreter.
  • Environment variables
    In this list you can specify the environment variables DOSBox should use. In most cases there if no need to configurate any special environment variables.

The option marked with (*) is implemented by using the FreeDOS 4DOS command line interpreter. This means FreeDOS must be available to use this options. You can configurate the path to FreeDOS on the FreeDOS page of the program options dialog. If the information text below the option is displayed in gray, FreeDOS is available. Otherwise the text will be displayed in red.

See also:

Profile editor dialog


Profile editor | Starting

Menu: Profile | Edit | Starting

Profile editor dialog page "Starting"

On this page you can setup what DOSBox should do when it starts (that means you can setup here the way DOSBox will start the chosen game).

  • Override game start
    If this option is activated the program file and the setup file configurated on the Profile page are ignored when starting the profile.
  • Override mounting
    If this option is activated the settings made on the Drives page are ignored when starting DOSBox. This means no drives will be mounted when starting DOSBox.
  • Autoexec.bat
    The commands entered in this box will be executed when starting DOSBox before starting the game. The lines entered in this box have the same meaning as the Autoexec.bat in real DOS.
  • Finalization
    The commands entered in this box will be executed after executing of the game before closing DOSBox.
  • Start DOSBox normally
    If this option is activated the game or setup file entered on the Profile page will be started when starting the profile. This should be the right setting for all most all games. You should only use one of the two following options if you want to boot an image file.
  • Start hard disk image
    If you have configurated a hard disk image without a DOSBox drive letter on the Drives page, you can setup to boot from this image from the dropdown box next to this option.
  • Start floppy image
    By activating this option you can boot from any floppy disk image. There is no need to mount the floppy images you want to boot from. You can also specifiy multiple floppy images for booting. DOSBox will use the first image for inital boot and you can swap the virtual floppies in the virtual drive by pressing Ctrl+F4.

See also:

Profile editor dialog


Copy profile

Instead of creating new profiles for each game, you can also copy existing profiles. In the "Copy profile" dialog there are two optional settings:

  • Set new screenshot folder
    If this checkbox is marked, the new game will get a new screenshot folder name. Otherwise the screenshot folder name will also be copied from the source profile and both profile will share the same screenshots folder.
  • Remove data folder record
    If this option is activated, the link to the data folder will be removed from the new profile. This means the source and the destination profile will not share the same data folder.


Uninstall profile

Clicking this menu item will uninstall the selected profile from D-Fend Reloaded. You can choose in the dialog which components you want to be removed.

From the uninstall dialog you can choose which game files to delete. If you want to delete a game you can keep all options listed in this dialog activated. D-Fend Reloaded will only offer files to delete that are not used by any other games and that are located in the base folder or its subfolders (see directories page of the program options dialog). This will ensure that even uninstalling of misconfigurated games cannot damage you software installation outside D-Fend Reloaded. (You can turn off this protection on the security page of the program options dialog if you really want to.)

See also:


Make installer package

D-Fend Reloaded can make exe installer packages from installed games. This packages will contain all game data (program files, profile, data folder, captured screenshots etc.) and can be archived and installed again later.

For making exe installers D-Fend Reloaded is using the open source installer maker Nullsoft scriptable install system (NSIS). D-Fend Reloaded will create a nsi script from which NSIS will create the exe file. This means you will need to have NSIS installed on your system to use this feature. (There is no need to configurate the NSIS installation path in D-Fend Reloaded because the path can be read from the registry.)

Package settings

From this box you can select if D-Fend Reloaded should only create a nsi script (for later use with NSIS) or should create a nsi script and compile it with NSIS to an exe installer. (In most cases you probabily want the second option.)

Package file name

In this edit field you can enter the name of the exe installer to create. The file must be located in the base data folder (see directories of the program options dialog) because there are relative path names used in the nsi script. (The exe installer itself can be copied an executed from any location.)

See also:


Make archive file package

By using this function you can pack a complete game (program files, profile, data folder, captured screenshots) into a single archive file for archiving. You can install a game stored in such an archive file at any time again via the menu item "Import archive file" from the "File" menu or by simply dragging the archive file to the D-Fend Reloaded program window.

The archive packages are very good for long term archivating (better than the exe installers) because an archive package can also be used without D-Fend Reloaded: Besides the game files the archive file will not only contain the D-Fend Reloaded profile file but also a DOSBox conf file. This means the game and its DOSBox configuration will still be usable in the late future even without D-Fend Reloaded.

Without any external helper program D-Fend Reloaded is supporting the archive file formats zip und 7z. On the page Archiving programs of the program options dialog you can set up external packing program so D-Fend Reloaded can read and write more archive file formats.

See also:

Make installer package


Change saved game

Using this dialog you can change saved games for your advantage (to have more money or your game character better properties and item etc.). D-Fend Reloaded contains a data base with information about on which addresses of the saved games of which games which information is stored, so you can just change the value you want.

When opening this dialog D-Fend Reloaded will scan the folder of the currently selected game for files matching to the file masks of the cheat records and will just offer the cheats for game where there are matching files in the games folder. All you have to do is select one of the games from the file mask match list, the properties you want to have changed and the saved game file to change.

You can also add cheats to the data base yourself. Either you can add cheats manually via the Edit cheats data base dialog or by using the öffnen oder über die address search function.

See also:


View DOSBox conf file

Clicking this option will create a temporary DOSBox configuration file and open it in a text editor.

If you have trouble running a game and want to ask for help in a forum this conf file will provide all needed information for other people to help you.


View ScummVM ini file

Clicking this option will create a temporary ScummVM configuration file and open it in a text editor.

If you have trouble running a game and want to ask for help in a forum this ini file will provide all needed information for other people to help you.


Open program folder

Clicking this option will open the program folder in the Explorer. The "program folder" is the folder of the file selected on the profile page of the profile editor for the selected game.


Open capture folder

Clicking this option will open the capture folder in the Explorer. The "capture folder" is the folder for storing captured screenshots, sound and videos for the selected game. You can setup the capture folder on the directories page of the profile editor dialog.


Open data folder

Clicking this option will open the data folder of the selected game in the Explorer. The data folder can be configurated on the directories page of the profile editor for the selected game.

You can also directly open a single file from the data folder via the "Open file in data folder" menu item.

See also:

Open file in data folder


Open file in data folder

This menu item will open a submenu listing all file from the data folder of the selected game. By clicking one of the filenames in the submenu you can open the selected file directly. (And this will also work with files in sub-subfolders of the data folder etc.)

The data folder can be configurated on the directories page of the profile editor for the selected game.

You can also open the whole data folder in the Explorer via the "Open file in data folder" menu item.

See also:

Open data folder


Internet address

By clicking this menu item you can go to the internet address defined on the program information page of the profile editor dialog.


Mark as favorite

By clicking this menu item you can mark a game as favorite or remove the favorite mark. Games marked as favorites will be shown when selecting "Favorites" from the tree structure on the left.


Create shortcut

This function will create a shortcut for the chosen profile on the desktop or in the start menu. Clicking this shortcut will start the game directly.

I you are using D-Fend Reloaded in Wine on Linux, you can configurate this option to create shell scripts for you. (See the help page of the Wine support page of the program options dialog for more information about this.)


Search game

From this submenu you can select a search engine to search for information about the selected game.

Edit links

By clicking the menu item you can open the edit links dialog. In this dialog you can configurate the search engine you want to use for searching information about the games.


Manage icons

In this dialog you can manage the icons to be used in the games list. Via the buttons "Add" and "Delete" you can add icons to this list. The icons from this list can be used from the profile page of the profile editor page. (But you can also use any other icons from this page.)

See also:

"Profile" page of the profile editor dialog


View history

In this dialog you can find a list of all games you have every played using D-Fend Reloaded. Additionally you can see how often each game was started.

See also:

"Data privacy" page of the program options dialog


Open games folder

Clicking this menu item will open the games folder configurated on the directories page of the program options dialog.

Also you can store your games where ever you want, but it is recommended to store the games to be used with D-Fend Reloaded in subdirectories of this games folder.

See also:

"Directories" page of the program options dialog


Templates

In the temapltes dialog you can manage the templates that can be used when creating new profiles. The templates are just profiles not specified to a special game. By clicking on "Edit" you can edit each template just like a normal profile. By clicking on "Use" (not available for auto setup templates) you can create a new profile based on the chosen template. And by clicking on "Add" you can either create a completely new template or create a new template from an existing profile.

In D-Fend Reloaded there are two kinds of templates:

Templates

The templates in this list can be used for creating new profiles via the "Add from template" menu item from the "Profile" menu.

There are two special templates in this list called "Default template" and "Default template for ScummVM profiles". This templates are displayed in blue, cannot be renamed and cannot be deleted. This templates are used when creating a new DOSBox or ScummVM profile via the "Add" or the "Add ScummVM profile" menu item of the "Profile" menu.

Auto setup templates

The templates in this listed will be used to automatically identifiy a game when adding a profile via the new profile wizard.

Hint:

From the "Edit" menu of the templates dialog you can also edit multiple templates at once by clicking "Edit multiple templates".

See also:

Profile editor


Edit cheats data base

From this dialog you can edit the D-Fend Reloaded cheats data base. You can edit or delete existing cheats or add new records.

In the upper part of the dialog you can select which game and which action belonging to the game you want to change. Action can be "More money" or "Improve game characters". Each action itself can consist of multiple steps. Every change of an address is one step of an action.

In the lower part of the dialog you can edit the data for the selected step of the selected action of the selected game. Mainly D-Fend Reloaded knows two kinds of cheating steps. It can change the value on an address of a saved game to a new, fixed value or it can ask the user which value to write to the address. You can enter decimal or hexadecimal numbers into all value and address fields. If you want you number to be interpreted as a hexadecimal number you need to write a "$" before the number.

The cheats configurated in this dialog can be applied to games via the Change saved game function. If you do not know exactly the address of the value you want to change in the saved game file, you can use the Search for address in saved game function.

See also:


Search for address in saved game

Using this function you can search in saved games for the address of some values (for example the address for the value of the money in the game). If D-Fend Reloaded finds an unique address for a value, it can add this address as a new cheat record to the cheats data base, so you can just use the Change saved game
function to change saved games of this game from then on.

D-Fend Reloaded offers two methods for searching addresses. If you know the exact numerical value of the property you want to change, you can directly search for this value. If D-Fend Reloaded finds multiple addresses for this value, it stores the list of addresses and you have to search in a second file for the value for the same property to reduce the number of possible addresses. Usually only few steps are needed to find an unique address for some value. This address can be added to the cheats data base automatically. If you do not know the exact numberical value for the property you want to change, a more complex method has to be used. As a first step D-Fedn Reloaded is storing a copy of the saved game file. When you reopen the search dialog you have to tell if the value has increased or decreased since the last search. D-Fend Reloaded compares the old against the current saved game file to find out the values at which addresses have been increased or decreased. Doing this multiple times reduces the number of possible addresses until only one address is left. Using this method usualy takes more steps to find an unique address for a value than searching for a known value.

See also:


Create image file

In this dialog you can create new, empty floppy disk and hard disk images. This images can be mounted as drives inside DOSBox via the drives page of the profile editor.

Floppy image / hard disk images

From the tabs at the top of the dialog you can choose whether to create a floppy or a hard disk image. On floppy images you can choose a floppy format or select the tracks, heads and sectors per track manually. On hard disk images you can select the size in MB.

  • Compress image in NTFS file system
    If this option is activated, the image file will be stored as a compressed file. This means the file will only use the amount of disk space it really needs to store the files inside it and not for every empty sector. The compression will be done by the Windows disk drivers so use can handle this file like a normal file without needing to use a (de-)compression program.
  • Make image bootable
    If this option is activated, D-Fend Reloaded will transfer the FreeDOS boot files to the disk image and will create a bootsector for making it bootable. (For using this option you will need to have FreeDOS installed. You can configurate the path a you FreeDOS installation on the FreeDOS page of the program options dialog.)
  • Use DOSBox default keyboard layout
    If this option is activated, D-Fend Reloaded will also transfer the keyboard driver to the disk image and will add a line to the autoexec.bat file to activate the keyboard layout which is defined as default for the current D-Fend Reloaded program language.
  • Include mouse driver
    If this option is activated, D-Fend Reloaded will transfer the mouse driver to the disk image and will add a line to the autoexec.bat file to activate it.
  • Add disk management utilities
    If this option is activated, utilities for creating partitions, formating and checking drives will be added to the disk image.
  • Add text editor
    If this option is activated, a text editor will be transfered to the image.

See also:

"Drives" page of the profile editor


Create IMG image from floppy

This dialog will allow you to create IMG image files from real floppy disks. IMG floppy images can be mounted as drives inside DOSBox via the drives page of the profile editor.

IMG floppy images can also be written to floppy disks again via the "Write IMG image to floppy" menu item of the "Images" submenu of the "Extras" menu.

See also:


Write IMG to floppy

This dialog will allow you to write IMG image files to real floppy disks.

IMG floppy images be read from real floppy disks via the "Create IMG image from floppy" menu item of the "Images" submenu of the "Extras" menu.

IMG floppy images can be mounted as drives inside DOSBox via the drives page of the profile editor.

See also:


Create image file from folder content

In this dialog you can create floppy disk images from the content of any hard disk folder.

  • Image type
    From this box you can choose whether to create a floppy or a harddisk image. Floppy images will be 1.44MB sized, harddisk images will be sized to be big enough for the files to be copied to the image (plus 5MB).
  • Make image bootable
    If this option is activated, D-Fend Reloaded will transfer the FreeDOS boot files to the disk image and will create a bootsector for making it bootable. (For using this option you will need to have FreeDOS installed. You can configurate the path a you FreeDOS installation on the FreeDOS page of the program options dialog.)
  • Use DOSBox default keyboard layout
    If this option is activated, D-Fend Reloaded will also transfer the keyboard driver to the disk image and will add a line to the autoexec.bat file to activate the keyboard layout which is defined as default for the current D-Fend Reloaded program language.
  • Include mouse driver
    If this option is activated, D-Fend Reloaded will transfer the mouse driver to the disk image and will add a line to the autoexec.bat file to activate it.
  • Use memory manager on disk image
    If this option is activated, the memory management tools himem and emm386 will be copied to the disk image and activated, so there is more free conventional memory for running programs.
  • Add disk management utilities
    If this option is activated, utilities for creating partitions, formating and checking drives will be added to the disk image.
  • Add text editor
    If this option is activated, a text editor will be transfered to the image.
  • Write image file to real floppy after creation
    If this option is activated, the floppy image will be written to a real floppy disk after creation.

See also:


Extract image to folder

From this dialog you can extract any existing disk image readable by DOSBox to a hard disk folder.


Create ISO image from CD

This dialog will allow you to create ISO image files from real CDs. ISO images can be mounted as drives inside DOSBox via the drives page of the profile editor.

The D-Fend Reloaded ISO image reader is only capable to read the first track of a CD. If you want to make an ISO image of a CD with multiple tracks (one data track followed by some sound tracks), you should use some exteral ISO image reader for creating the ISO image.

See also:

"Drives" page of the profile editor


Create image file based profile from normal profile

From this Dialog you can convert a DOSBox profile in which the game is ran directly inside the DOSBox DOS emulation to a harddisk image based profile. This can be usefull if the game is not running correctly inside the DOSBox DOS emulation.

Besides the name of the profiel to transfer you only have to define how many megabyte of free space you want to have on the harddisk image for further saved games etc., if the image shall be compressed in the NTFS file system and if HIMEM and EMM386 shall be added to the image. In most cases it is a good choise to add these memory manager but some games will not run if they are loaded.

The source profile will not be changed while creating the harddisk image and the new profile. The harddisk image based new profile will appear as a seond entry in the games list.

See also:


Scan games folder for new games

With this function you can scan the directory defined on the directories page of the program options dialog as the games folder for new games. D-Fend Reloaded can automatically add the found games to the games list.

  • Name scheme
    From this field you can select how the profile name should be chosen when adding a game without a matching auto setup template. The game filename or the folder name can be chosen as profile name for the new profile.

See also:


Check profiles for not existing files

Clicking this menu item will check all profiles for missing files (for example if the game file you have defined to start exists etc.) and folders. If there are missing files it will show a list of all profiles with missing files and the names of the missing files.


Edit multiple profiles

In this dialog you can change multiple profiles at once. The dialog consists of three pages. On the first page you can select the profiles you want to change and on the second and third page you can choose the settings to change. By clicking on "Ok" the selected profiles will be changed.

See also:

Profile editor


Uninstall multiple games

From this dialog you can uninstall multiple games at once. This means not only the profile files will be removed but also all game files can be removed. If you just want to delete the D-Fend Reloaded profiles while keeping the game files, you have to choose the the menu item "Delete" from the "Profile" menu.

Actions

In this box you can choose which files should be removed. If you want to delete a game you can keep the default option "Delete profile record and all program folders" activated. D-Fend Reloaded will only delete files that are not used by any other games and that are located in the base folder or its subfolders (see directories page of the program options dialog). This will ensure that even uninstalling of misconfigurated games cannot damage you software installation outside D-Fend Reloaded. (You can turn off this protection on the security page of the program options dialog if you really want to.)

See also:


Create shortcuts

This function will create shortcuts for the chosen profiles on the desktop or in the start menu. Clicking this shortcuts will start the game directly.

I you are using D-Fend Reloaded in Wine on Linux, you can configurate this option to create shell scripts for you. (See the help page of the Wine support page of the program options dialog for more information about this.)


D-Fend Reloaded language editor

The language editor helps you translating D-Fend Reloaded to another language. (You can also copy the language ini file and edit this with any text editor, but the language will be more comfortable.)

From the dropdown box at the top of the editor dialog you can choose the category to translate. The table will show three columns: In the first column you will find the identifiyer of the string to translate. This will be names like "File.Export" for the word "Export" in the "File" menu. In the second column you will find the english default translation and in the third, editable column you can enter the for the string in your language.

See also in the FAQ:


DOSBox language editor

The language editor helps you translating DOSBox to another language. (You can also copy the language lng file and edit this with any text editor, but the language will be more comfortable.)

From the dropdown box at the top of the editor dialog you can choose the string to translate. The text box will show the value of the selected key.

See also:

DOSBox settings in the program options dialog


Forum

There is no special D-Fend Reloaded forum on the D-Fend Reloaded homepage. But there is a long thread about D-Fend Reloaded on the Vogons ("Very old games on new systems") forum.

On the Vogons forum you will also find answers to many problems about running old games. Before asking any questions on the forum please note the following things:

  • Legal status of abandonded ware:
    Most of the Vogons forum members have a very strict interpretation of copyright laws. Also the legal status of abandonded ware is not clear, for most of the Vogons forum members any file from an abandonded ware site is illegal. So you will only get answers if you want to run old games you really own (by owning the floppy disks). Starting your request with "I have downloaded this game and it won't run." will decreate the your probability of getting an answer to zero.
  • Vogons is not D-Fend Reloaded:
    Also I use the Vogons forum for giving support for D-Fend Reloaded the Vogons forum is not related to the program in any way. The main subject of the forum is DOSBox. So do not expect all memebers to help you with special D-Fend Reloaded questions.
  • Real type of problem:
    If you start your request with "I have a problem with D-Fend Reloaded" you will get the answer: "Try running DOSBox without using any Frontend." In most cases you will indeed not having problems with D-Fend Reloaded but with running the game inside DOSBox. Because most of the forum members are DOSBox experts, it will be much more promising to ask for help running a game inside DOSBox and (when requested) posting the DOSBox conf file (which D-Fend Reloaded can create via the context menu of a profile or from the profile editor).
  • D-Fend Reloaded is not D-Fend:
    Also both program names start with "D-Fend" and both are frontends for DOSBox, they are two completely different programs and do not share any source code. D-Fend (without "Reloaded") was made for older versions of DOSBox and will have some problems working together with newer versions of DOSBox. So if you are using D-Fend Reloaded do not post questions like "Game ... won't run with D-Fend." because the answer will be "D-Fend is outdated, use D-Fend Reloaded."

If you have read the information above and promise th obey them you can go to the forum now:

D-Fend Reloaded on Vogons


Old games

From this submenu you can open old games related internet sites.

Edit links

By clicking the menu item you can open the edit links dialog. In this dialog you can configurate the names or the links and corresponding the internet pages. Each line represents one internet link; on the left side you can enter the name to display and on the right side the internet address to open. Empty lines will result in dividing lines. By starting a name with a "=" sign you can create submenu items.


Statistics

The statistics dialog will show you how many profiles, templates and icons you have got in your D-Fend Reloaded installation. Addtionally it will show you the quantity of profiles per game genre.


Operation mode

This dialog will show you the operation mode D-Fend Reloaded has been installed in. D-Fend Reloaded can be installed in three different operation modes:

  • User directory mode
    This is the default operation mode. The program files of D-Fend Reloaded and DOSBox will be installed to a subdirectory of your program files directory. When runnding D-Fend Reloaded no write access to this directory is needed any more. (This means you can run the program without having admin rights.) The profiles, settings and games will be stored in the a subdirectory named "D-Fend Reloaded" of your user profile directory.
  • Program directroy mode
    This mode is only offered for compability with D-Fend (classic). The program files of D-Fend Reloaded and DOSBox will be installed to a subdirectory of your program files directory. This directory will also be used for profiles, setting and your game files. This means you will need to have write access to this directory when running D-Fend Reloaded.
  • Portable mode
    This mode mostly behaves like "Program directory mode" but the base directory and the path to DOSBox etc. will be stored relatively to the program directory. This means you can copy the program directory to any location and everything will be ok. (This is ment for running D-Fend Reloaded and DOSBox directly from USB sticks etc.)

The checkboxes and (read-only) edit fields in this dialog will show you the information described above, too.


Search for updates

By clicking this option you can manually look for updates for D-Fend Reloaded. You can also configurate on the Search for updates page of the program options dialog to look for updates automatically at a chosen interval.

The update checker will not transfer any of your private data to the internet. It will just read the content of a text file offered on the D-Fend Reloaded homepage. If the version named in this file is bigger than the current version number it will offer to you to download und run the update installer also named in this text file. That all.

Details on the function of the update checker

The update checker is reading this file from Sourceforge: "http://dfendreloaded.sourceforge.net/UpdateInfo.txt" The file contains two lines; in the first line the version number of the current D-Fend Reloaded version on the server is given ("0.5.0" for example) and in the second line the download URL of the update installer for this version is given ("http://downloads.sourceforge.net/dfendreloaded/D-Fend-Reloaded-0.5.0-UpdateSetup.exe" for example). If the version number in the UpdateInfo.txt is bigger than the version number of the currently installed D-Fend Reloaded version, the update checker will ask you, if you want to update to the new version. If you say "yes", it will download the file from the second line of the UpdateInfo.txt to your temporary directory and will launch it. As the last step it tells Windows to delete this file as soon as possible. Because the installer is just running, Windows cannot delete the file and will put it on its "delete on next system start" list.

At the moment the UpdateInfo.txt is a static file, but in the future there could be version depending updates (smaller file to bring you from 0.5.0 to 0.5.1 and a bigger file to bring you from 0.4.1 to 0.5.1). Therefor D-Fend Reloaded is adding a "?Version=0.5.0" (or whatever the current version is) to the request URL. There is not privacy risk in sending the current version number because php scripts on Sourceforge are not allowed to write anything to a file and therefore cannot log any request.

The update checker does nothing else you would do when you look for updates. The update checker can automatically check for updates when D-Fend Reloaded is started. But because many people do not like applications "phoning home" without their permission, this feature is turned off by default. (You can turn it on in the category "Search for updates" in the program options dialog. And you can manually start the update checker at any time by choosing "Check for updates..." from the "Help" menu.)

The update checker will use the windows connection settings (which you can edit in the Internet Explorer). This means: If you have setup a proxy server in the Internet Explorer, the D-Fend Reloaded update checker will use this proxy, too.

See also:

Program options dialog


First run wizard

The first run wizard will help you to initially setup D-Fend Reloaded.

Program language and DOSBox language

The program and the DOSBox language will initially be chosen from the setup program so in most cases this two fields will already show the right language.

DOSBox installation to be used by default

In diesem Feld können Sie angeben, welche DOSBox-Installation standardmäßig zum Aufruf der DOS-Spiele verwendet werden soll. Sofern Sie bei der Installation von D-Fend Reloaded die Option, DOSBox mit zu installieren, nicht explizit abgewählt haben, können Sie die Einstellung "Mit D-Fend Reloaded installierte Version" beibehalten. Unabhängig von der hier gewählten Standard-Installation können Sie später jedem Profil auch eine individuelle DOSBox-Version zuweisen.

Automatically check for updates

Via this checkbox you can choose whether D-Fend Reloaded should look for updates automatically. (The update checker will only search for updates and inform you about new versions, it will never automatically install any update without asking you.) If you keep to default setting D-Fend Reloaded will never connect to the internet automatically. You can look for updates manually at any time via the Search for updates function from the help menu.

You can change all settings later at any time via the program options dialog.

See also:

Program options dialog


Profile editor | ScummVM settings | Game specific settings

Menu: Profile | Edit | ScummVM settings | Game specific settings

Profile editor dialog page "Game specific settings"

On this page you can configurate various settings which only apply to some games. The names of the games where the settings will take effect are listed below the checkboxes and edit fields. Additionally the checkboxes and edit fields are enabled only in case the currently chosen game for the profile is supporting them.

See also:


Edit profile (classic)

Menu: Profile | Edit (classic)

Edit DOSBox profile (Classic profile editor)

The classic profile editor is only available for compatibility with D-Fend v2. You should only use this profile editor if you want your D-Fend Reloaded look and feel like D-Fend v2. The classic profile editor does not cover all the new D-Fend Reloaded features.

You can define one the profile editor page of the program options dialog whether to use the classic or the modern profile editor.

For a description of the settings offered in the profile editor please the help page for the modern profile editor.

See also:

Modern profile editor dialog


Version history

Version 1.2.1 (10/23/2011)
Version 1.2.0 (09/29/2011)
Version 1.1.0 (02/25/2011)
Version 1.0.3 (11/15/2010)
Version 1.0.2 (10/25/2010)
Version 1.0.1 (09/13/2010)
Version 1.0.0 (07/02/2010)
Version 0.9.3 (03/31/2010)
Version 0.9.2 (03/19/2010)
Version 0.9.1 (02/05/2010)
Version 0.9.0 (12/02/2009)
Version 0.8.2 (08/31/2009)
Version 0.8.1 (08/10/2009)
Version 0.8.0 (07/28/2009)
Version 0.7.0 (04/28/2009)
Version 0.6.1 (10/31/2008)
Version 0.6.0 (10/20/2008)
Version 0.5.0 (08/22/2008)
Version 0.4.1 (05/22/2008)
Version 0.4.0 (05/14/2008)
Version 0.3.2 (02/29/2008)
Version 0.3.1 (02/18/2008)
Version 0.3.0 (02/08/2008)
Version 0.2.0 (01/16/2008)
Version 0.1.2 (01/04/2008)
Version 0.1.1 (12/18/2007)
Version 0.1.0 (11/08/2007)

» Version 1.2.1 (10/23/2011)
  • Added a setup option to select which filter keys to be displayed in the filter tree view.
  • The Russian language file has been updated.
  • [Fix] Exception in the new game wizard when using the default template.
  • [Fix] Exception when using the "Reset all pages but this" function in the profile editor to reset a profile to a template.
  • [Fix] Wrong name for "Export archive file" popup menu item.

» Version 1.2.0 (09/29/2011)
  • Updated DOSZip from 2.08 to 2.17.
  • Added about 300 new auto setup templates.
  • New "Select by" option in the profiles export dialog: Games for which there is no auto setup template.
  • New option to create package list xml files for plain archive files.
  • In the extra program files dialog of the profile editor parameters for the additional program files can be entered now.
  • New function in the icons manager to add all icons from a selected folder and its subfolders.
  • Setup option to allow or block multiple instances of D-Fend Reloaded at the same time.
  • New option to setup the font style (bold, italic, underlined) for normal games list entries.
  • D-Fend Reloaded can store up to 9 internet addresses per profile now.
  • Setup option to use the image viewer as a non-modal window.
  • New option to change pixel shader settings in the multiple profiles editor.
  • More ScummVM settings in the multiple profiles editor.
  • The modes "hardware2x" and "hardware3x" will be added automatically to the scalers list when activating the pixel shader GUI.
  • New input fields on the MIDI page of the profile editor to setup MT32.
  • Now you can set up custom DOSBox settings per DOSBox installation, too.
  • Improved detection if the per profile keyboard mapper file is the same as the global keyboard mapper file on the keyboard page of the profile editor.
  • Additional user-defined command line parameters can be passed to ScummVM now.
  • Now the icon manager will show icons located in sub folders of the icons folder, too.
  • Some smaller improvements to the first run wizard.
  • [Fix] Incompatibility with ScummVM 1.3.x is fixed.
  • [Fix] Storing the order of user defined columns in the games list did not work correctly.
  • [Fix] The package manager can handle splitted packages larger than 2 GB from local sources now.
  • [Fix] The options "Video chipset" and "Video RAM" in the multiple profiles editor did not work correctly.
  • [Fix] Displaying multiple bmp files in the screenshots previewer did not work correctly.
  • [Fix] Opening the profile editor for an auto setup template could rise an expection under some conditions.
  • [Fix] The function "Convert absolute to relative paths" from the service page of the program options dialog could rise an expection under some conditions.
  • [Fix] Clicking the down button to reorder the list of user-defined emulators on the "Other emulators" setup dialog page cause some settings to be overwritten.
  • [Fix] The names of the user-defined emulators in the dropdown box on the "Other emulators" setup dialog page were not always correct.
  • [Fix] When filtering the games list by emulation type when selecting "Windows" also games using some user-defined emulators were listed.
  • [Fix] The download/copy progress dialog shows wrong percent values in the caption when copying large files from local sources.
  • [Fix] When changing the program language the language of the entries in the games list columns listbox did not change at once.
  • [Fix] The list available of licenses was not displayed correctly in the "Select by" menu.
  • [Fix] The preferences for opening text, image and video files were not respected when opening files from the data folder via the context or the profile menu.

» Version 1.1.0 (02/25/2011)
  • Updated DOSZip from 2.05 to 2.08.
  • New option in the mobygames data reader to download all images available for some game.
  • Setup option to configure if history information of started games shall be collected or not.
  • Support for more special ykhwong DOSBox builds features.
  • New optional games list column: Number of starts of the profile.
  • When exporting the games list you can choose which fields to export.
  • Now the package list creation and package download system can handle packages larger than 2 GB by splitting them.
  • The names for the files to look for a profile name suggestion when importing plain archive files (default: FILE_ID.DIZ) is configurareable now.
  • The history viewer dialog opens much faster now.
  • The games list tooltips now also tells how often the selected profile has been started.
  • New setup dialog option to configure whether D-Fend Reloaded should add a trailing backslash to path names when calling an external packer or not. (uha needs path names without trailing backslashs.)
  • Default command line parameter values for the external packers uha and arj32 are included now.
  • User defined emulators will be listed as sub entries below "Emulation type" in the games list filter tree.
  • A new option to filter the games list by game license is offered in the filter tree.
  • Setup option to rename all media files in all profiles.
  • The "Starting DOSBox failed" dialog now also allows to change the selected SDL video driver.
  • Option to reselect the last selected profile on program restart.
  • The games list can be exported as a xml file now.
  • New option in the icons library to rename all icon files to have upper or lower file extensions.
  • The package manager will display the download size of the selected games now.
  • Some more new auto setup templates.
  • The package manager will open faster now.
  • Lower memory consumption on downloading large files via the package manager.
  • Tuned the game and setup file detection code.
  • [Fix] The automatic translation of the license fields in the profiles failed.
  • [Fix] Sorting the columns in the history dialog by clicking the column headers did not work for all columns correctly.
  • [Fix] The second last games list column could not be moved down (to be the last column) on the games list columns editor in the setup dialog.
  • [Fix] Template names and custom game information keys containing "&" can cause problems.
  • [Fix] When running from a network share not connected to a drive letter starting DOSBox failed.
  • [Fix] When clicking the zoom button in the video previewer while a damaged video file is selected or the needed codec is missing a division by zero error message appeared.
  • [Fix] Access violation when using the "Start" dialog from the tray icon menu and opening a second dialog from the tray icon menu while the first dialog is still open.

» Version 1.0.3 (11/15/2010)
  • When importing plain archive files or folders D-Fend Reloaded will look for a FILE_ID.DIZ file and use if existent its content to suggest a profile name.
  • Files (like text files etc.) can be used as profile specific helper programs to be started before or after the main program now.
  • The physical path names for drives mounts can contain semicolons now.
  • If the user selects a custom MIDI device to be used in a profile the device will be stored by name and not by id anymore so the right device will be selected when using the profile on an other system, too.
  • Now the DOSBox IPX network settings can be configurated in the mutli profile editor, too.
  • Support for new glide=emu mode when using a ykhwong DOSBox build.
  • [Fix] Running profiles via command line parameters or via desktop or start menu shortcuts was not working.
  • [Fix] Error messages when trying to load icons larger than 256x256 pixels.
  • [Fix] A cover image downloaded from mobygames via the profile editor was not shown in the image viewer area of the main window at once if the profile editor was closed by clicking on "Cancel".

» Version 1.0.2 (10/25/2010)
  • Updated DOSZip from 2.01 to 2.05.
  • About 50 new auto setup templates.
  • The French and the French (Canada) languages file have been updated.
  • [Fix] When starting a new language based on "English" in the DOSBox language editor the chosen default DOSBox language was used, not always English.
  • [Fix] When importing a game from a plain archive file by using an auto setup template which has an icon file defined now D-Fend Reloaded will check if the icon file exists and remove the icon record if not.
  • [Fix] Some temporary files were not deleted when closing D-Fend Reloaded.
  • [Fix] "Transfer profiles" dialog not large enough for Italian translation.

» Version 1.0.1 (09/13/2010)
  • Updated DOSZip from 1.54 to 2.01.
  • A new start-up logging function can help you to find the problem if D-Fend Reloaded is not running.
  • Now the DOSBox language file editor can use the DOSBox built-in Englisch language file as template.
  • Updated the png file reader library.
  • [Fix] In some cases the "DOSBox start failed" dialog could appear even if DOSBox is working correctly.
  • [Fix] Access violation when unsing the "Create image" dialog.
  • [Fix] Download of multiple games packages from Sourceforge always failed.
  • [Fix] The pixel shader option on the graphics card page of the profile editor was partially out of the dialog.
  • [Fix] When selecting a MIDI device to be used in a DOSBox profile the text "midiconfig=id" is added to the additional MIDI settings field instead of just the MIDI device id.
  • [Fix] When running D-Fend Reloaded in portable operation mode and the base directory for relative path names was not set to the program directory the capture folder was not stored correctly.
  • [Fix] If updated from a previous D-Fend Reloaded version the changelog tab in the program information dialog may displayed an outdated, incomplete DOSBox changelog.
  • [Fix] The main window was not disabled while the check for missing files progress dialog was shown.

» Version 1.0.0 (07/02/2010)
  • DOSBox 0.74 is supported and bundled with D-Fend Reloaded.
  • Updated default values to offer all values available in DOSBox 0.74.
  • The new game installation support will assist you when adding a game that needs to be installed before being able to be used.
  • New function for making FreeDOS bootable images and profiles from normal profiles.
  • Functions for changing saved games (cheating) using an internal, editable data base or by searching for values in saved game files.
  • Updated DOSZip from 1.49 to 1.54.
  • It can be configurated from the setup dialog now when to update the packages list, the data reader configuration etc.
  • Via the Help|Search for updates function now you can also search for package list, data reader and cheats database updates.
  • The zip file import function also can import DBGL packages now.
  • New easier to use first run wizard.
  • If DOSBox start fails D-Fend Reloaded will show some information and will offer some options to find and solve the problem.
  • Now folders can be imported like archive files via the import menu and via drag&drop.
  • DOSBox language file editor.
  • New setup option when to configurate a new game completely automatically.
  • Like the genre and language names the license in game profiles can now be translated on the fly so profiles created via auto setup templates etc. will always be shown with translated names for the license.
  • Now multiple commands can be specified to be executed before/after DOSBox.
  • The DOSBox console window can be turned on and off on per profile now.
  • In the profile editor you can selected which physical output device to use when playing MIDI music inside DOSBox.
  • In the game information data reader dialog you can specify to look for DOS based games only or to look for all games.
  • The game information data reader dialog now also can change the profile name.
  • Now the game information data reader will remember which fields have been activated and which have be unchecked.
  • The paths to the text editor and the media viewers are stored relatively to the base folder if the programs are located in subfolders of the base folder.
  • You can create capture folders and game data folders for all profiles at the same time via the service page of the setup dialog.
  • You can disable the Windows exe file warnings for single profiles now.
  • Additionally to "and", "or", "not" language specific values for this logical operator can be used in the filter field.
  • The fields for DOSBox window resolution and fullscreen resolution can have individual default values lists now.
  • When creating a harddisk image file from some folder content now you can specify how much free space you want to have on the image.
  • Some additionally information texts in the profile editor for making it easier to understand the meanings of the DOSBox options.
  • Smarter way of finding the default GUI theme for ScummVM.
  • Some more auto setup templates.
  • [Fix] The "use scan codes" option was not passed the right way to DOSBox.
  • [Fix] Downloading multiple games packages via the package manager always failed.
  • [Fix] "Not" operator in games list filter not working correctly.
  • [Fix] Mounting folders as CD drives did not work on systems without a real CD drive.
  • [Fix] Some smaller fixes to the multiple profile editor.
  • [Fix] Hiding the ScummVM console did not work when starting ScummVM in fullscreen mode.
  • [Fix] Error message when pressing F1 while menu is opened.

» Version 0.9.3 (03/31/2010)
  • Czech language file (thanks to marker)
  • About 50 new auto setup templates for automatical installation of even more games.
  • Some more fine tuning to the way setup files are detected when importing plain archive files.
  • [Fix] Downloading icons, language files and icon sets via the package manager always failed.

» Version 0.9.2 (03/19/2010)
  • The Italian language file has been updated.
  • Updated DOSZip from 1.41 to 1.49.
  • The functions for filtering the games list by a search string can handle complex search strings (including "and", "or", "not", quotes, brackets, compare operators for numbers, selecting properties to check by writing "genre=..." etc.) now.
  • D-Fend Reloaded will use an internal update checker for checking for program updates now. This will also fix the Windows 7 issue the program looses focus on start up.
  • When running an update via the update check function the update installer will not ask for the installation directory anymore.
  • The codepage selection dropdown box in the profile editor will show some descriptions for the codepages now.
  • Improved DOSBox directory search order (if not installed together with DOSBox) on first run.
  • About 100 new auto setup templates for automatical installation of even more games.
  • Some fine tuning to the way game and setup files are detected when importing plain archive files.
  • D-Fend Reloaded will start a bit faster on first run now.
  • [Fix] The selected keyboard layout when defining a DOSBox installation specific keyboard layout in the advanced DOSBox settings may not got saved.
  • [Fix] Setting the DOSBox background priority for multiple profiles at once via the multi profile editor did not work correctly.
  • [Fix] Setting the CD volume did not work.
  • [Fix] In some conditions the Game Explorer integration during installation could fail.
  • [Fix] When adding profiles via the scan games folder function the entered name for the new profile was ignored when an auto setup template was selected to be used for the new profile.
  • [Fix] When copying a profile or adding profiles via the scan games folder function no collision check for existing capture folders was performed.

» Version 0.9.1 (02/05/2010)
  • Brazilian Portuguese language file (thanks to Cpt.Guapo)
  • Turkish language file (thanks to Hakan ATEÞ)
  • Updated DOSZip from 1.37 to 1.41.
  • Updated the DOSBox language files for German and Italian and added a new DOSBox language file for Polish.
  • About 150 new auto setup templates for automatical installation of even more games. Althogether D-Fend Reloaded now has more than 1000 auto setup templates.
  • Updated the default value lists for the supported keyboard layouts and codepages.
  • Added Wikipedia to the "Search for game" default links.
  • Faster filtering functions in the package manager.
  • [Fix] Drag&drop of zip files etc. to the program window sometimes did not work.
  • [Fix] Access violation when uninstalling multiple games while one of the profiles to be uninstalled is installed in the games list.
  • [Fix] Access violation when clicking the "Download game information" button on the programm information page of the profile editor when no internet connection is available.
  • [Fix] The game data reader update function did not work.
  • [Fix] When canceling a download from the package manager the program will continue with the next file from the download list instead of canceling the whole operation.
  • [Fix] The reset to default values function on the default values page of the program settings dialog could raise an access violation when closing the dialog.
  • [Fix] The select/unselect functions of dialogs like the prof file export etc. did not work for profiles having multiple values in the choosen category (multiple genres divided by ";" for example).
  • [Fix] When downloading multiple games via the package manager the close button of the main window became enabled after the first download was completed. Clicking the main window close button while the package manager dialog was opened raised an access violation.
  • [Fix] The "Use as screenshot in profiles list" context menu item in the "Data folder" tab was also visible if no file was selected.
  • [Fix] The "Rename all" and "Delete all" context menu entries in the screenshots, sounds and video tabs were also enabled if there were no files.
  • [Fix] Some minor problems in the keyboard layout setup; in particular when keyboard layout "none" is selected.
  • [Fix] Wrong filenames for downloaded language files if language file and the package list directring to this language file were not in the same directory on the server.
  • [Fix] Some corrections to the DOSBox keyboard layouts default values list.
  • [Fix] The language dropdown boxes in the setup dialog now have a tooltip hint and the dropdown list is wider (so "Brazilian Portuguese" is not truncated anymore).

» Version 0.9.0 (12/02/2009)
  • Example games packages, language files, icon sets etc. can be downloaded from the D-Fend Reloaded homepage via the import menu now.
  • Via the new "Tools" button in the profiles editor you can reset any page of a profile to any template.
  • Ability to add games for other emulators as Windows profiles (calling the emulator program file with the game data file as parameter).
  • From the game information page of the profile editor and the profile wizard game information (including a cover image) can be loaded from mobygames.com directly now.
  • Faster loading of the profile and the auto setup template files.
  • Now you can optionally enter multiple values per game info field (like genre, language etc.).
  • Normal drive mounts can be converted into archiv file mounts and vice versa right from the mounting dialog. The commands to run the game will also be changed automatically if needed.
  • You can drag links from your browser to the D-Fend Reloaded program window now. D-Fend Reloaded will download and importthe zip file behind the link.
  • All captured screenshots, sounds and videos can be renamed from the context menu to have an uniform name scheme.
  • D-Fend Reloaded will warn the user when importing an archive file with a name of an existing profile and will prevent overwriting existing games directory subdirectories when importing plain archive files.
  • When adding new profiles via the profile editor needed mounting records can be added automatically now. (This was already done when adding profiles via the wizard.)
  • In the multiple profiles editor sections can be collapsed and expanded (like in a tree structure) to make it more clear.
  • Now image files can be used as game icons, too.
  • The algorithm used for scaling images (like screenshots) can be selected from the program options dialog now.
  • D-Fend Reloaded can optionally create conf files for all profiles in the games list automatically.
  • The floppy and harddisk image creator now can make harddisk images and floppy disk images of all sizes bootable.
  • The make disk image from folder content function now is able to create harddisk images, too.
  • When creating disk images optionally disk management utilities and a text editor can be added to the image.
  • When creating bootable disk images optionally a memory manager can be added to the image. Also not only the selected keyboard layout is used on the image but also the codepage.
  • Some improvements to the language editor.
  • Added *.ima to the file selection dialog when selecting an image file for mounting or for extracting.
  • About 300 new auto setup templates for automatic identification of even more games.
  • Two more sites have been added to the list of game information sites (TheLegacy.de and KultPower.de).
  • The time needed on first program start for initializing the user data has been improved.
  • The profile editor and the program options dialog will open a bit faster.
  • Some smaller improvements to the new profile wizard.
  • [Fix] Extra directories and extra files records (see directories page of the profile editor) got damaged when using the "Convert absolute to relative paths" function in the program options dialog.
  • [Fix] When importing a plain archive file with multiple executable files in it and with a matching auto setup template sometimes the wrong executable file was selected.
  • [Fix] The main window hotkeys were enabled while template editor was open.
  • [Fix] Access violation then trying to add a game with a space in the filename via the profile wizard.
  • [Fix] The "Run game with current configuration" from the profile editor dialog did not work with ScummVM and Windows game profiles.
  • [Fix] When setting the SoundBlaser or the Gravis UltraSound base address to a hexadecimal address containing letters the selected address was not stored.
  • [Fix] Erroneous window behaviour when using "Run game with current configuration" from the profile editor dialog or when creating bootdisk images when "Minimize when DOSBox start" was active.
  • [Fix] keybrd2.sys and keybrd3.sys needed for some languages missing on bootdisks.
  • [Fix] Wrong error message "No game file selected" when adding a profile for booting an image file.

» Version 0.8.2 (08/31/2009)
  • Faster program start.
  • Faster start of profiles on many games in the games directory.
  • [Fix] Previewer area at the bottom of them main window is not resizeable.
  • [Fix] When using the "Create multiple shortcuts" function the tooltip hints for the created shortcuts can be wrong.
  • [Fix] When transfering, uninstalling, building archive files or building installer packages from profiles using cue/bin CD images only the selected cue file was processed; the bin file was ignored.
  • [Fix] The mounting search and replace function of the multiple profiles editor did not work.
  • [Fix] The mouse wheel not working on settings page of the multiple profiles editor.
  • [Fix] Sometimes a second taskbar entry appears when clicking the program window while creation of an archive package is prepared.

» Version 0.8.1 (08/10/2009)
  • [Fix] If you press the delete key in the quick search box the program asks you if you want to delete the currently selected profile.
  • [Fix] Pressing F3 while the wizard dialog is visible causes an access violation when closing the dialog.
  • [Fix] The update installer did not update all DOSBox language files.
  • [Fix] The scan games folder function was not automatically adjusting the mounting settings from the auto setup templates if not VirtualHD was used as games folder.
  • [Fix] Program window position is lost after restoring the program window if using the minimize/restore on DOSBox start option in fullscreen mode without border.
  • [Fix] In portable mode the automatic profile update after program upgrade to make all profiles DOSBox 0.73 compatible did not work.
  • [Fix] The restore default values for this category button on the default values page of the profile editor only worked for the first category.
  • [Fix] Sometimes the screenshot viewer displayed a wrong resolution in the status bar after resizing the viewer window.
  • [Fix] Wrong value "50000" instead of "49716" in the default values list for sample rate settings.
  • [Fix] Added missing value "4axis_2" to joystick types default values list.
  • [Fix] Added missing values to default values lists for SoundBlaster and GUS, DMA and IRQ settings.
  • [Fix] Added missing value "none" to SoundBlaster OPL mode default values list.
  • [Fix] Removed "0" from default values list for the memory size.
  • [Fix] The "How to add profiles" info panel at the bottom of the program window was not automatically removed after adding the first profile.

» Version 0.8.0 (07/28/2009)
  • DOSBox 0.73 is supported and bundled with D-Fend Reloaded.
  • The user can switch between different icon sets for the toolbar, the menus and the dialogs now.
  • The dialog for scanning the games folder for new games has been rewritten and offers more options now.
  • Faster program start when using large game lists.
  • More settings in the multiple profiles editor.
  • New program icon and logo made by burnsflipper, the designer of the original D-Fend logo.
  • New tab "Notes" at the bottom of the program window for direct access to the stored game notes.
  • Now you can choose to use the game filesnames or the folder names as names for the new profiles when scanning the games folder for new games.
  • Via the new multiple shortcut creation dialog you can create shortcuts for more than one game at once.
  • Now the user can select the profile name, the template to use, the destination folder and the file to start when importing zip files (regardless if the new game was identified by an auto setup template or not).
  • Support for user-defined interpreters (like before only for QBasic) inside DOSBox.
  • Better algorithm for scaling images when displaying captured screenshots.
  • Now icons can also be added to the icon manager by dragging them to the icon manager window and by scanning the games folder for new icons. Additionally the icon manager will show icons added by copying them to the icons folder immediately.
  • New optional start mode: Fullscreen without window border.
  • The default parent directory for the capture folders for games can be configurated in the setup dialog now.
  • The icon size for the game icons in the games list in view mode "Icon" can be configurated now.
  • The first start wizard has been improved and now is easier to use.
  • Now "Pause" can be chosen as DOSBox background priority.
  • The scan games folder for new games function is now also respecting the extra program folders of existing profiles and is not trying to detect games in this folders anymore.
  • Cleaned up menu structure (in particular the function for creating archive or exe packages for multiple games have been moved from the Extras to the Export menu).
  • Option to hide the menubar.
  • Faster search for DOSBox if it is not stored in the default directory.
  • [Fix] Error message when closing the profile editor dialog when editing a template.
  • [Fix] If the first run wizard is closed by clicking the window close "X" the settings are not stored.
  • [Fix] Now 16-bit Windows exe files are also recogniced as Windows program files and the user is warned if he trys to start a 16-bit Windows program file via DOSBox.
  • [Fix] When running a profile using a helper program to be executed after the main program via a shortcut the helper program was not executed.

» Version 0.7.0 (04/28/2009)
  • Dutch language file (thanks to Tim Molderez)
  • Italian language file (thanks to Filippo Bartoli)
  • Archive files not created by D-Fend Reloaded can now also be imported. (D-Fend Reloaded will try to auto detect and setup the game.)
  • Now the games folder can be scaned for new games (which will be added automatically then).
  • Support for external archiving programs lets D-Fend Reloaded handle other archive formats than zip and 7z.
  • New toolbar icons.
  • Many new options for automatically and manual selection of the right physical CD drive to mount on DOSBox start (for example mount drive by file or folder on CD or ask the user to select a drive).
  • Option to run some other program (for example a hardware setup tool) before and after the main program (DOSBox or ScummVM).
  • The genre and language names in game profiles can now be translated on the fly so profiles created via auto setup templates etc. will always be shown with translated names for the genre and the language of the game.
  • Integration in the Vista Game Explorer.
  • Again some improvements to the long to (DOSBox) short file name converter (thank you to skatz).
  • A new custom settings edit field in the profile editor for ScummVM profiles allows to add any custom configuration settings to the ScummVM ini file when starting a ScummVM profile.
  • Added new functions in ScummVM profile editor: Option to disable joystick support, option to setup an extra path, option to setup render mode, option to setup game platform and option to define custom languages for games (and to setup the default languages list for the games in the setup dialog).
  • Option to setup data folder automatically for new profiles in wizard.
  • Many new functions in the multiple profiles editor.
  • The program file icon of the Windows program file will be used as the default icon on Windows game profiles.
  • The sound previewer and the quick starter now also can playback MIDI files.
  • Now the D-Fend Reloaded main window can (optionally) be restored when ScummVM closes.
  • The D-Fend Reloaded main window can be minimized before a Windows game profile is started and restored when the program quits (both optional).
  • You can define a default keyboard layout and a default codepage per DOSBox installation now.
  • On the first page of the of the wizard now you can choose how many things the wizard should ask you. (In the default configuration the wizard will be much easier to handle if there is a auto setup template for the game.)
  • Now you can add user defined game information as columns to the games list.
  • Auto setup templates from existing profiles can now also be created via the export menu.
  • Now also images from the games data folder can be used in screenshot mode in the games list.
  • The column widths in the games list can be restored to the last state on program start now.
  • The history dialog has been extended with some statistic functions.
  • If the translation of a long path name to a short DOSBox name fails, the program will show a warning message now.
  • Support for the DOSBox CVS build features "securemode", "pixelshader", "cpumode" and the new CD drive accessing modes "ioctl_dx", "ioctl_dio" and "ioctl_mci".
  • Now you can also define submenus in the "Old games" custom menu.
  • The link lists for "Search for game" and "Old games" in the help menu can be imported and exported now.
  • Updated DOSZip from 1.28 to 1.31.
  • Moved most program files to a "Bin" subfolder of the installation directory and moved all configuration files to a "Settings" subfolder of the installation data directory. (This will make the usage of portable installations easier because less files in the main program main directory will make finding the DFend.exe faster.)
  • Now also icons inside program dialogs can be replaced via the Icons.ini file.
  • "Open program folder" now also available for ScummVM and Windows games.
  • [Fix] Starting games via DOSBox failed if the game file uses a long filename and the DOSBox drive was mounted via a relative path name.
  • [Fix] Creation of zip archives could fail if the profile uses a drive image which is located inside the (already included) games folder.
  • [Fix] Creation of installer packages or zip packages will result in to big files if the game to pack uses iso images or zipped drives.
  • [Fix] The selected ScummVM save path was assigned to ScummVM correctly.
  • [Fix] Seleting "French (Canada)" as language results in an English program language.
  • [Fix] When using the option "File path is relative to the DOSBox directory structure" D-Fend Reloaded shows an error message when closing the profile editor and when starting the profile (but then starts the profile correctly).
  • [Fix] Access violation when trying to show the "No file name" warning when adding a Windows game profile and not entering a file name to start.
  • [Fix] If a prof file with the same name already exists in the destination path while transfering profiles the profile file was not copied to the destination correctly. (The algorithm for finding an alternative file name changed the profile filename in a wrong way.)
  • [Fix] The ScummVM games list stored in the ScummVM.dat file was not always read correctly on program start up.
  • [Fix] When using the restore window size on start up function sometings the menu bar gets invisible.
  • [Fix] Uninstaller is not removing uninstall entry from Windows software list.
  • [Fix] In some long to short path name related error messages wrong information have been displayed.
  • [Fix] The option "Close DOSBox when program closes" is not working on running extra program files via the context menu.
  • [Fix] Warning message when running ScummVM based games from zip files via a D-Fend Reloaded desktop shortcut.
  • [Fix] Error message when loading toolbar images not in bmp format via the Icons.ini file.
  • [Fix] Transparency not working in user defined toolbar images.
  • [Fix] Reduced number of colors in screenshot preview for new screenshots after returning from fullscreen DOSBox.
  • [Fix] Reduced number of colors in some png screenshots in the preview area in the main window.
  • [Fix] Spelling bug in installer package nsi script.
  • [Fix] On smaller screen resolutions the D-Fend Reloaded program window could be a bit to high. (The taskbar has not been subtracted from the available desktop height.)

» Version 0.6.1 (10/31/2008)
  • Improved Windows long pathname to DOSBox short pathname converter (thanks to Alexander Katz).
  • The select image dialog for adding image files as harddisks in the profile editor will now also show cue sheet files.
  • Smarter initial directory when opening selection dialog for text editor, wave encoder and ScummVM.
  • [Fix] Opening text files in "Use default editor for file type" mode sometimes did not work.
  • [Fix] Sometimes an access violation occured just after uninstalling a game.
  • [Fix] Selecting/Unselecting profiles via the "Select by..." buttons in the "Build installer" dialog etc. did not work with "Not set" values.
  • [Fix] Wrong view style (icon instead of list) in the sounds and the videos previewer area at the bottom of the main window.
  • [Fix] Access violation while displaying an error message if renameing a screenshot is not possible (for example because a file with the new entered name already exists).
  • [Fix] Execution of Windows programs could fail under some rare conditions (this only affected helper programs like text editors etc. and not Windows games started via the games list).
  • [Fix] Problem if virtual serial port is working as a modem in DOSBox and "Listen for connections" is turned off.
  • [Fix] Screenshots, sounds and videos lists not always sorted correctly.

» Version 0.6.0 (10/20/2008)
  • Polish language file (thanks to Adam Sosnowski)
  • Explorer-like quick starter interface for easy browsing through the games folder and directly starting DOS program files and making profiles of an existing DOS program file.
  • You can specify zip files as ScummVM games now. D-Fend Reloaded will automatically extract the zip file, run ScummVM and repack the game folder content to the zip file when ScummVM has closed.
  • The profile editor and the profile wizard now also support setting a saved games path for ScummVM profiles.
  • The profile editor now supports all game specific settings known in ScummVM.
  • Now the games list can also be filtered by emulation type (DOSBox, ScummVM and Windows).
  • German online help.
  • New language file "French Canada" (same as "French" but will select qwerty keyboard layout instead of azerty and codepage 437 instead of 850 in DOSBox).
  • Now you can also create profiles for Windows games via the profile wizard.
  • In the template dialog now you can also edit the ScummVM default template.
  • In the profile wizard you do not need to go to the last page before the "Ok" button will be activated.
  • The profile wizard will now automatically suggest a name for the new profile from the selected template or the program file name. (To allow this D-Fend Reloaded will not ask for the profile name on the first page of the profile wizard but on the game information page.)
  • New program icon (thanks to T.B. from vogons.zetafleet.com)
  • The game data folder viewer on the bottom of the main window will now automatically update its file list if the folder on harddisk changes. Additionally files and folders can be renamed and deleted and new folders can be created via context menu of the data folder viewer now.
  • Now you can configurate in the setup dialog which files should be moved to the recycle bin and which should be deleted irrevocable when deleting files from within D-Fend Reloaded.
  • New optional column "notes" in list view mode "report".
  • New setup option for configuration the appearance of the games list: Show grid lines in view mode "report".
  • Option to open the capture folder in the Explorer right from the context menu of the capture viewer area.
  • The player for captured sounds can also play ogg files (if there is a codec installed on the system for ogg files) now.
  • The user data section on the game information page of the profile editor will suggest names for keys and values from the existing profiles when adding lines or changing values.
  • In the setup dialog now you can choose which text editor D-Fend Reloaded should use when opening text files. Additionally you can setup to automatically fix the line wraping of text files if needed when opening them.
  • In the setup dialog now you can choose which viewers/players for images, sounds and videos should be used when doubleclicking a file in the captured data viewer on the bottom of the main window.
  • When creating ScummVM ini files all settings from the default ScummVM configuration file are also added.
  • When dragging files to the D-Fend Reloaded program window to copy them to the data folder of the active profile, now you can also drag and drop complete directories.
  • Now you can drop files directly to the screenshots/sounds/videos viewer or to the data viewer pane (including subdirectories).
  • Smarter method of detecting the running DOSBox instances when using the "Restore program window when DOSBox closes function".
  • Now you can zoom the image in the screenshot viewer and videos in the video previewer by pressing + or - and by moving the mouse wheel while holding Ctrl. By pressing * or 0 you can go back to 100% zoom. And by pressing escape you can close the preview dialog.
  • New options "Center ScummVM window" and "Hide ScummVM console" in program settings dialog.
  • When adding a drive to a profile the edit drive dialog will offer the drive type used the last time when added a new drive to a profile at first in the drive type dropdown box.
  • On the setup page for the screenshot view mode now you can define which screenshot number to use if no explicit screenshot is defined for a game.
  • [Fix] When using some other DOSBox installation than the one in the "DOSBox" subdirectory of the D-Fend Reloaded program directory as default DOSBox installation, D-Fend Reloaded will reset the path at each start.
  • [Fix] The game and the setup program parameters for Windows games were inverted.
  • [Fix] When switching between profiles with and without a data folders the data folder tab at the bottom of the main windows could have displayed some wrong content.
  • [Fix] Clicking the buttons for selecting or searching the DOSBox directory and for selecting a mapper file in the "More DOSBox settings" dialog (on DOSBox settings page of the program options dialog) did nothing.
  • [Fix] When creating a portable D-Fend Reloaded installation from the transfer profiles dialog the mediaplr.dll file was not copyed to the destination folder and so the D-Fend.exe in the destination folder could not start.
  • [Fix] In profile editor all four serial port pages showed data for first serial port.
  • [Fix] The chosen music driver in ScummVM profiles was not given to ScummVM when starting a profile.
  • [Fix] Until now D-Fend Reloaded tried to find the scummvm.ini file for reading the default theme path etc. in the ScummVM program directory instead of the path reported by ScummVM (usualy $APPDATA\ScummVM).
  • [Fix] When trying to display damaged images in the screenshot viewer area an unhandled exception could occur.
  • [Fix] Wrong colors or reduction of the number of colors when exporting captured screenshots.
  • [Fix] D-Fend Reloaded failed to play video files of other types than avi via the captured videos player.
  • [Fix] When switching between images of the same size in the screenshot previewer the statusbar was not updated.
  • [Fix] When creating a zip package for a ScummVM profile the ScummVM ini file needed to use the zip file without D-Fend Reloaded was not included to it.
  • [Fix] When dragging video files to the main window they got copied into the data folder instead of into the capture folder.
  • [Fix] When using the minimize to tray option and restoring the program window it loses the input focus right after restore.
  • [Fix] In screenshots view mode sometimes there are wrong images associated to wrong games in games list.
  • [Fix] The DOSBox language selected in the profile editor was not used when starting DOSBox.
  • [Fix] Screenshots may got displayed distorted in the screenshot preview area.
  • [Fix] Function "Restore main window when DOSBox closes" will not restore the D-Fend Reloaded main window if it was already minimized before DOSBox was started (because of using the tray area mini starter).
  • [Fix] Added missing default values in "scaler" section of the profile editor.
  • [Fix] Current selected game is deselected after closing setup dialog.
  • [Fix] The drive type names on the "Drives" page and the priority levels on the "DOSBox settings" page of the profile editor were not translateable. Also the info label on the data folder panel was not translated.

» Version 0.5.0 (08/22/2008)
  • Danish language file (thanks to Jens Peter Jensen)
  • Traditional Chinese language file (thanks to muzuiget)
  • Zip and 7z archives can be used as drives now. Additionally D-Fend Reloaded can repack the changed files to the zip archive when using a PhysFS folder and zip file pair.
  • You can make zip packages from installed games (just like the exe installers) for long time archiving your games. The zip archive will contain all game data (prof file, game files, icon, captured images/sound/videos, additional data files). And of course you can import games stored in a zip package to D-Fend Reloaded agian. (They can be installed via the File|Import menu or even via drag&drop.)
  • D-Fend Reloaded has got an online help.
  • When uninstalling or transfering game or building installer packages the image files used as drive will be respected, too.
  • You can manage multiple DOSBox installations with individual settings via the setup dialog now. In the profile editor you can choose one of this predefined DOSBox installations or choose an custom DOSBox path.
  • Now you can also manage your Windows based games as profiles. (When starting a Windows based profile D-Fend Reloaded simply starts the given program file. The benefit of this function is you can manage all your games in one GUI.)
  • For each profile you can configurate to use another DOSBox language than the language defined in the DOSBox settings.
  • You can browse through the content of the profile data folders via the new "Data folder" tab in the screenshots viewer area.
  • D-Fend Reloaded can display captured videos like captured screenshots and captured sounds now.
  • The new profile list view style "Screenshots" allows to browse through the list of profiles by screenshots.
  • You can search for information about games via a (editable) list of web game search engines from the profile editor, the "Profile" menu and the context menu of a profile.
  • D-Fend Reloaded can store additionally to the program and the setup file other program files (for example a level editor) which are offered to start via the context menu of the profile and the profile menu.
  • Now screenshots taken by ScummVM can also be managed within D-Fend Reloaded.
  • You can specify a custom link name and a link comment in the create shortcut dialog now.
  • Setup dialog option to configurate D-Fend Reloaded to run in a Wine environment.
  • The disk image creator can (optional) create plain, unformated images now.
  • The profile list can be checked for missing files and directories.
  • D-Fend Reloaded will warn you, if you try to setup a Windows exe file to run in DOSBox.
  • Now you can setup if the DOSBox console should stay open when an error in DOSBox occures.
  • You can choose to temporary disable the screensaver when DOSBox is running.
  • The list of links to old games web sites is editable now.
  • You can change the zoom level in the screenshot dialog by a new toolbar button now.
  • You can (optional) set a new screenshot folder and remove the data folder record when copying a profile.
  • You can change the font style (bold, italic, underline) for displaying the favorites now.
  • The view conf file option will use the default txt editor instead of always using notepad.
  • Some more speed improvements when working with large profile lists.
  • [Fix] The "Run setup" toolbar button was not working.
  • [Fix] Creation of 2880KB ("extended density") floppy images failed.
  • [Fix] When using long folder names inside a DOSBox drive D-Fend Reloaded may tryed to start files in the wrong folder because Windows and DOSBox used different ways of translating long to short file names.
  • [Fix] When "UseShortFolderNames" was turned off in the DFend.ini the loading of PhysFS drives with spaces in their file oder folder names failed.
  • [Fix] Adding a new profile if the modern profile editor is activated and reopen last active tab was chosen results in an access violation.
  • [Fix] The chosen ScummVM filter setting has not been saved when closing the profile editor.
  • [Fix] The chosen ScummVM game language was not shown correctly when reopening the profile editor again.
  • [Fix] When using the "Reopen last profile editor page" was used and the "Profile" page was the last used page the profile editor showed a wrong page setup of the profile page when reopening.
  • [Fix] Trying to play an invalid audio file resulted in an infinite loop of error dialog boxes.
  • [Fix] The size of capture viewer area was not restored when "Restore window size on program start" was activated.
  • [Fix] Caption of icon manager was not translated.

» Version 0.4.1 (05/22/2008)
  • When using the option to minimize D-Fend Reloaded while DOSBox is running and DOSBox is changing the resolution, D-Fend Reloaded will no longer rely on the Windows window placement and restore its correct position itself.
  • Some smaller speed improvements when working with large profile lists.
  • [Fix] Access violation when opening a screenshot from a profile containing more than one screenshot.
  • [Fix] Error message when trying to run a D-Fend Reloaded desktop game link while "Minimize when DOSBox starts" is activated.
  • [Fix] When selecting the default template in the template editor the "Delete" menu item was not disabled (like the toolbar icon and the item in the context menu).
  • [Fix] DOSBox did not start if the given DOSBox language file did not exist.
  • [Fix] Closed some memory leaks in screenshot viewer, setup dialog and program info dialog.

» Version 0.4.0 (05/14/2008)
  • Simplified Chinese language file (thanks to muzuiget)
  • The new profile wizard has been completely redesigned. With the new auto setup templates new profiles (for games known by the D-Fend Reloaded database) can be setup by only entering the game name and the filename.
  • ScummVM based advantures can be configurated and listed together with the DOSBox based profiles now.
  • If you define a QBasic interpreter in the setup dialog, you can define bas files as normal program files for games. When executing a bas file profile D-Fend Reloaded will automatically execute it in QBasic in DOSBox.
  • A new first run wizard makes setting up language and updates for new users much easier.
  • The content of image files can be extracted to a folder now.
  • You can build a floppy image from the content of a folder now.
  • If you copy prof files to the "Confs" folder while D-Fend Reloaded is running they will be added to the games list immediately.
  • Icons form outside the "IconLibrary" folder can now also be used as profile icons (and can be transfered with the profile and included to installers just like the icons in the default icons folder).
  • If you delete a profile file while D-Fend Reloaded is running it will ask you if you want to restore the deleted file.
  • Now you can setup a codepage to be used in DOSBox for each profile. Additionally there is a default codepage stored in each language file which will be used if the codepage is set to "default" in the profile.
  • Now you can (optionally) define a key mapper file for each profile. (If no key mapper file is defined, the DOSBox default key mapper file will be used.)
  • A list of batch commands which DOSBox will run after the end of the game can be defined now (some kind of complement of the Autoexec.bat commands).
  • Now you can also make installer packages from your profile templates.
  • The templates dialog now has an option to change multiple templates at once (like the multi profile editor for normal profile).
  • More option to configurate low-level access to mounted CDROMs.
  • When creating floppy images you can choose to make the image bootable now.
  • The tray icon has a context menu for direct starting and adding of profiles.
  • The transfer profiles function can create a portable version of D-Fend Reloaded (by copying files from the current installation and modifing the configuration) in the destination folder before copying the profile data.
  • Now you can define if the path to the game and the setup exe file should be interpreted absolute (in the physical file system) or relative (to the file system in DOSBox).
  • Now you can configurate in the setup dialog if D-Fend Reloaded should show configuration options in the profile editor which can only be used with DOSBox CVS builds (like multiple floppy images per drive, PhysFS support, setting the number of text mode lines, VGA chipset and video RAM, Glide emulation and printer support).
  • When changeing multiple profiles, creating installers etc. now you can select and unselect profiles also by any user defined information. (Until now selecting was only possible by the predefined fields like language, developer, year, etc.)
  • Profiles (conf and prof files), screenshots and captured sound can be imported by drag&drop now. Dragging program files to the D-Fend Reloaded program window will open the new profile wizard with the chosen file.
  • Within the multi profile editor you can add, change and delete user-defined information fields now.
  • For each profile you can define some extra files which will be transfered, uninstalled and packed into installer packages together with the other game files (like it is already possible with the extra directories).
  • The profile editor will show a warning if the user trys to create a new profile with no game program filename (and is not using a boot image option).
  • When opening the select game exe or select setup exe dialog from the profile editor or the wizard the path of the setup exe or the game exe (if already defined) will be used as initial directory instead of the games base directory.
  • When a checksum error (changed or exchanged game program file) is detected, D-Fend Reloaded now also offers the option to turn off checksums for the profile (until now only keep old checksum or create new checksum).
  • The checksum driven game file change detection can be turned off in the setup dialog now.
  • The mount dialog will show a warning if the users trys to use the same drive letter for two mounted drives.
  • The mount dialog will show a warning message if the users trys to mount the the root directory of a drive.
  • The dialog for playing captured game sounds has been improved: You can jump to any position in the file via a slider and the captured wave sound can be encoded to mp3 or ogg directly from the dialog now.
  • The screenshot view dialog has been improved: You can cycle though the screenshots of a profile via two new toolbar buttons (or by using the cursor keys or the mouse wheel) without closing the dialog. Additionally the zoom level is set to 100% when a new image is loaded.
  • The import conf file function now trys to make mount records from the mount commands of the autoexec section.
  • Now you can setup which icons should be visible on the toolbar.
  • The tooltips in the games list now also show the last modification time of each profile.
  • Some new icons in the modern and classic profile editor (thanks to Banjo).
  • [Fix] Even if you choose "Restore profile on disk with version from memory" when a file conflict occures the profile on disk will not be changed and the version in memory will be lost as long as you do not make any changes to the profile in memory before closing D-Fend Reloaded.
  • [Fix] The boot from floppy image function did not work if you used a single image file.
  • [Fix] When using D-Fend Reloaded in portable mode the path to the DOSBox language file was not updated properly what could DOSBox prevent from starting.
  • [Fix] The main activation of DOSBox IPX support is not written to the DOSBox conf file when starting a profile with IPX support enabled.
  • [Fix] When installing D-Fend Reloaded in user directory mode (the default installation mode) the templates were only created for the user account the installer was run from.
  • [Fix] The column visible status was not saved when closing the setup dialog if the columns were not in default order.
  • [Fix] When changing the filename of a profile all character after the first "." in the new filename were removed.
  • [Fix] The capture folder settings were ignored when importing conf files.
  • [Fix] User defined fields were ignored when exporting a games list.
  • [Fix] Wrong language in dialogs after changing the program language but closing the setup dialog with "Cancel".
  • [Fix] When using the "Minimize to tray" option together with "Start minimized" the application is minimized to the taskbar instead of the tray area on programm start-up.
  • [Fix] When adding a new profile via the wizard the information fields (genre, developer, etc.) of the new profile always showed "Not set" until restart of the program.
  • [Fix] Wrong default icon in the profile select dialog which opens when clicking on "Template from profile" in the templates dialog.

» Version 0.3.2 (02/29/2008)
  • French language file (thanks to Christophe Bertrand)
  • Russian language file (thanks to Alexander Katz)
  • The installer and the data package installers are now also available in all five currently supported languages.
  • All available CDs can automatically be mounted at DOSBox start (optional, configurateable per profile).
  • Floppy images can be written back to real floppy disks.
  • The profile files will only be updated on disk on program close if this is really needed. (This makes using multiple instances of D-Fend Reloaded at the same time easier.)
  • A warning message will appear if you try to run a game from a profile made for some other game. (With each profile checksums for the game and the setup exe will be stored automatically compared with the real exe when trying to run the game.)
  • A warning message will appear if you try to run a program file which is not reachable via any mounted folder.
  • The function that builds the autoexec commands to run the game now also looks on mounted CDs for a path to the file and when there are overlapping mounts it will use the shortest path instead of the first matching path.
  • The screenshot capture folder will be chosen automatically for new profiles (until now screenshot capture folder was only setup automatically when adding profiles via the wizard). This feature can be turned off in the setup dialog.
  • It can be configurated now what should be shown in the games list if there are undefined values for genre, developer, etc. (by default "not set").
  • [Fix] Mounting of real CD drives does not work if no CD is in the drive when starting DOSBox.
  • [Fix] Changes made to "Window resolution", "Fullscreen resolution" and "Scale" in the multiple profile were not saved.
  • [Fix] The default profile cannnot be changed with the modern style profile editor because when closing the dialog an "You have to define a name for the new game." error occurs.
  • [Fix] In the language editor the last language string of each section was not shown.
  • [Fix] The "Set default screenshot folder" button in the profile editor does not detect and remove illegal characters in the profile name.
  • [Fix] The sound prebuffer value written from the profile to the DOSBox config file was wrong.
  • [Fix] The "Reopen last active profile editor page" does not work when using the modern profile editor.
  • [Fix] When changing the language in the setup dialog the "window size at program start" dropdown box was reset to the default value.
  • [Fix] When starting the first run wizard by deleting the DFend.ini a second "DOSBox DOS" profile was created instead of reseting the existing one to the default values.
  • [Fix] Pressing the "Insert" and "Delete" keys in the environment variables editor table may changes the the list of environment variables in unexpected ways.
  • [Fix] When browsing for a installation directory in the program installer and in data packages installers always a "\D-Fend Reloaded" was added to the choosen folder.
  • [Fix] When opening the multi profile editor the second tab (things to change) instead the first tab (selecting profiles for change) was active.
  • [Fix] Untranslated button caption in language select dialog for language editor and misspelled string in profile editor.

» Version 0.3.1 (02/18/2008)
  • CDs can be ripped to ISO images and used as DOSBox drives.
  • Floppy disks can be ripped to IMG images and used as DOSBox drives.
  • Screenshots and captured sounds can be renamed.
  • Captured screenshots can be set as windows wallpaper image.
  • If DOSBox is started in window mode, the DOSBox window can be centered on screen.
  • [Fix] CPU cycles settings "Auto" and "Max" in the modern profile editor dialog did not work.
  • [Fix] In the "Edit multiple profiles" the "Fullscreen resolution" did not work.
  • [Fix] When using the "Restore window size on program start" option the games list keeps empty until you click on a category on the left at program start.
  • [Fix] When pressing enter in the setup dialog shown at first program start you got an "No game is selected in list." error.
  • [Fix] Choose DOSBox directory as current directory when starting DOSBox to make DOSBox find files in its own directory.
  • [Fix] The "Use as default profile" option in the template profile editor did not work.
  • [Fix] When changing the language in the setup dialog the "Mode" dropdown box shows an empty value until you choose one of the two modes again.
  • [Fix] Default values for "Resolution" corrected.

» Version 0.3.0 (02/08/2008)
  • Completely new designed and more clearly arranged profile editor (the classic D-Fend style profile editor is still available and can be activated in the setup dialog).
  • D-Fend Reloaded can look for updates on start up and via menu now.
  • Captured wave sounds for each game can be listed, saved, deleted, played and encoded to mp3 (encoder not included) or ogg.
  • For each profile a DOS version number which should be reported by DOSBox can be configurated.
  • You can (optional) define a custom DOSBox installation for each profile to be used to start the game.
  • You can define additional information of the type key=value for each profile and filter the games by this new categories.
  • Font sizes and colors and balckground colors and images in the main window can be configurated.
  • The multi profile editor can change window resulution, fullscreen resolution and scaling method now.
  • If a conf file on disk is changed using a text editor while D-Fend Reloaded is running, it can load and keep these changes or overwrite them with the copy in memory.
  • You can define for each profile to activate, deactivate or keep the status of the num lock, the caps lock and the scroll lock when starting DOSBox.
  • New profile settings: Switch mouse to 2-button mode and change mouse buttons.
  • New profile settings: Sound volume for the different virtuel sound devices (master, disney sound system, speaker, GUS, SoundBlaster and FM).
  • The conf file, which will be used when opening DOSBox, can be opend in a text editor now.
  • Making translations of D-Fend Reloaded is now much easier with the new buildin language editor.
  • The icons in the program (toolbar, menu and profile editor) are not exchangeable via an ini file.
  • The profile icon can be used as the link icon when making desktop or startmenu links now.
  • External image files can be added to the screenshots list via the screenshots popup menu now.
  • The file names of the profile files can be changed from within the profile editor now.
  • In all dialogs with a games selection list where games could be selected by genre, now games can also be selected by developer, publisher, year and language.
  • More view options for the games list (simple list, report, small icons, icons; simple list and report with and without icons).
  • The setup dialog has two different feature sets "easy" and "advanced" now.
  • New menu item for direct D-Fend prof file import.
  • New setup option: Start maximized.
  • A new statistics window has information about the number of profiles, the number of templates, the number of icons and the number of profiles per genre.
  • Some more icons in the menu and the dialogs.
  • [Fix] The path comparison for making paths relative worked case sensitive, so some paths abbreviations may be missed until now.
  • [Fix] The select buttons in the multiple profile change dialog had no function.
  • [Fix] The "Free virtual space" value in the "Folder as hard disk" section of the mount edit dialog was not saved.
  • [Fix] Changed genre, publisher, ... in the multiple profile editor did not appear in the games list until a restart of D-Fend Reloaded.
  • [Fix] Changed default values in the setup dialog were may not saved.
  • [Fix] When resetting the default values in the setup dialog not all avaible values were written to the lists.
  • [Fix] The setup dialog function "Make absolute to relative paths" did not change the extra directories if more than one extra directory was defined.
  • [Fix] The setup dialog default values for the video card types were ignored in the profile editor.
  • [Fix] Misaligend window elements when stating maximized.
  • [Fix] Corrected untranslated menu item.

» Version 0.2.0 (01/16/2008)
  • New dialog for changing multiple profiles at once.
  • The serial port settings can be changed via a dialog now.
  • If installed with the FreeDOS commandline tools, 4DOS can be set up as commandline interpreter in profile editor.
  • If installed with the FreeDOS commandline tools, DOS32A can be used as a replacement for the DOS/4GW protected mode extender.
  • Now you can specify multiple CD images for one drive mount and switch between them at DOSBox runtime.
  • Now you can specify multiple floppy images for booting from floppy image and switch between them at DOSBox runtime.
  • If a game has a data folder, D-Fend Reloaded can not only open this folder but also open a specific file in the data folder now (selectable via a directory list in form of menu).
  • Installer packages for single games can be built directly from the the profile context menu.
  • The DOSBox png screenshots can be saved as jpeg, gif or bmp image files now.
  • The creation of the games list is much faster now.
  • The DosBox program icon is used for the "DosBox DOS" default profile.
  • The game info tooltips in the games list can be turned off and on now.
  • More icons in the menu.
  • Updated DOSBox links in the help menu.
  • Added the vogons to the "Old games" link collection.
  • [Fix] The serial port settings were ignored when starting DosBox.
  • [Fix] Long lines in "Autoexec.bat" and "Custom setting" were split into two lines which can damage commandlines.
  • [Fix] Numerial values were not stored when closing profile editor if you entered less digits than the edit field allows.
  • [Fix] Added missing default value "auto" for joysticks.
  • [Fix] Fixed some spelling mistakes in the English language file.
  • [Fix] Wrong info text in DOSBox folder select dialog in setup dialog.
  • [Fix] I/O control is always shown as "No" in the drives list independend of the real state of I/O control.

» Version 0.1.2 (01/04/2008)
  • [Fix] Missing translations for Shortcuts
  • The function of the add button in the toolbar is now configurable (normal add, add with wizard or popup menu for operation).
  • [Fix] After changing the program language the categories list on the "default values" page of the setup dialog contained the values in the old and the new language.
  • New setup option: Start on Windows boot (default: off)
  • New setup option: Start minimized (default: off)
  • [Fix] Missing translations for menu items in the games list popup menu and the screenshots popup menu
  • [Fix] Missing translation of message dialog captions and buttons
  • The program info dialog shows the names of the authors of the language files.
  • The games list can now be sorted by any column just by clicking the column header.
  • Spanish language file (thanks to Neville from vogons.zetafleet.com)

» Version 0.1.1 (12/18/2007)
  • [Fix] Missing space between programfile und parameters when running a game
  • More icons in treeview and in profile editor dialog
  • Changelog viewer in programinfo dialog
  • [Fix] Wrong tab order in some dialogs
  • New "By genre" button in "Export|Create conf" dialog
  • The "Edit drive" dialog now opens faster
  • [Fix] The alternative profile edit hotkey F2 was linked to profile add instead of profile edit
  • In the transfer dialog, the uninstall dialog and the build installer dialog the "DosBox DOS" default entry is not shown but the genre of this profile has been used when building the "by genre" menu.
  • Additional start menu link "Manuals folder" to access the manual and game data folder.
  • [Fix] When copying a profile "not set" was shown in the info columns (genre, ...) of the new profile.
  • More abandonded games links in the help menu.
  • Progress dialog when deinstalling or transfering games.
  • "Auto create" button in mounting section of profile editor to create default drive c: with one click.
  • New options "retry" and "ignore" when files are protected when deinstalling games.
  • New buttons "Previous" and "Next" in profile editor to switch between games.
  • Now you can choose between "DirectX" and "WinDIB" als SDL videodrivers. ("WinDIB" is slower than the default "DirectX" but may solve some keyboard problems.)
  • New profile menu option "Add from template" allows to create new profiles from templates without opening the template dialog.
  • Setup dialog language will change immediately when another language is selected in the dialog.
  • [Fix] Icon files were ignored when copying and uninstalling game and when building installers.
  • [Fix] The GUS enabled/disabled setting was not correctly shown in the profile editor.

» Version 0.1.0 (11/08/2007)
  • First Version at all, everything is new.


Frequently asked questions (FAQ)

1. How does the update checker operate ?
2. I get an "DFend.dat not found" error when running a self made installer package.
3. I know exactly which setting is on which tab in the D-Fend profile editor dialog. Where is this dialog gone in D-Fend Reloaded ?
4. I am using a special DOSBox build with some more features. Does D-Fend Reloaded support some of this features ?
5. I have setup "C:\Users\me\D-Fend Reloaded\VritualHD" as drive C but DOSBox says it has mounted "C:\Users\me\D-FEND~1\VIRTUA~1". What's wrong ?
6. How can I create an other language for D-Fend Reloaded ?
7. Is there an easy way of spell checking my new language file ?
8. Where has the "Edit default profile... (F5)" menu item gone ?
9. Can I use D-Fend Reloaded in Wine under Linux ?
10. I have keyboard problems the DOSBox keymapper cannot fix.
11. I get an error message when I try to install the DOSBox movie codec.

» How does the update checker operate ?

The update checker is reading this file from Sourceforge: "http://dfendreloaded.sourceforge.net/UpdateInfo.txt". The file contains two lines; in the first line the version number of the current D-Fend Reloaded version on the server is given ("0.6.0" for example) and in the second line the download URL of the update installer for this version is given ("http://downloads.sourceforge.net/dfendreloaded/D-Fend-Reloaded-0.6.0-UpdateSetup.exe" for example). If the version number in the UpdateInfo.txt is bigger than the version number of the currently installed D-Fend Reloaded version, the update checker will ask you, if you want to update to the new version. If you say "yes", it will download the file from the second line of the UpdateInfo.txt to your temporary directory and will launch it. As the last step it tells Windows to delete this file as soon as possible. Because the installer is just running, Windows cannot delete the file and will put it on its "delete on next system start" list.

At the moment the UpdateInfo.txt is a static file, but in the future there could be version depending updates (smaller file to bring you from 0.5.0 to 0.5.1 and a bigger file to bring you from 0.4.1 to 0.5.1). Therefor D-Fend Reloaded is adding a "?Version=0.5.0" (or whatever the current version is) to the request URL. If you do not want the php script on Sourceforge to know your current D-Fend Reloaded version, you can change this behavior in the Search for updates page of the program options dialog. There is not privacy risk in sending the current version number because php scripts on Sourceforge are not allowed to write anything to a file and therefor cannot log any request.

The update checker does nothing else you would do when you look for updates. The update checker can automatically check for updates when D-Fend Reloaded is started. But because many people do not like applications "phoning home" without their permission, this feature is turned off by default. (You can turn it on in the Search for updates page of the program options dialog. And you can manually start the update checker at any time by choosing Search for updates from the "Help" menu.)

The update checker will use the Windows connection settings (which you can edit in the Internet Explorer). This means: If you have setup a proxy server in the Internet Explorer, the D-Fend Reloaded update checker will use this proxy, too.

» I get an "DFend.dat not found" error when running a self made installer package.

The self made installer packages do not include D-Fend Reloaded or DOSBox. This means you have to install D-Fend Reloaded on the computer before you can use an installer package.

If you have installed D-Fend Reloaded in "user directory" mode (the default installation type), the target directory is still the D-Fend Reloaded program folder ("C:\Program Files\D-Fend Reloaded" for example) and not the data directory (something like "C:\Users\you\D-Fend Reloaded"). The data package installer will only read from this directory and only copy files to the data directory, so it can run without admin rights under Vista.

If you want to have an all inclusive package, install D-Fend Reloaded in portable mode to a directory, install or transfer the games to this installation and then make a zip archive of this directory or simply copy the whole folder to an USB stick. So you can show your games to others without any installation.

» I know exactly which setting is on which tab in the D-Fend profile editor dialog. Where is this dialog gone in D-Fend Reloaded ?

D-Fend Reloaded has two profile editor dialogs integrated: The classic D-Fend style profile editor and the modern profile editor. Both dialogs offer all normal settings (settings also available in D-Fend). Which profile editor should be used can be configured in the program options dialog in the category "profile editor". This category will only be visible, if you choose "Advanced" as mode in the dialog.

» I am using a special DOSBox build with some more features. Does D-Fend Reloaded support some of this features ?

Yes, D-Fend Reloaded supports the following CSV build features:

  • Multiple floppy images per drive
  • Mounting zip files (PhysFS support)
  • 28 or 50 lines text mode
  • Glide emulation
  • VGA chipset and video RAM settings
  • Printer emulation
  • Some more things (new render types, new graphic cards, new MIDI device) can be activated by adding new default values.

To activate the GUI for this settings, open the program options dialog, switch it to advanced more and activate the settings you want to see in the "DOSBox CVS features" category.

All other special functions of the custom builds are not supported directly at the moment. But you can tell D-Fend Reloaded to write custom strings in the DOSBox conf file: All you have to do is writing the lines you want to have in the conf file in the "Custom settings" edit field in the "DOSBox settings" category (or in the edit field in the "Custom settings" sheet if you use the classic profile editor).

» I have setup "C:\Users\me\D-Fend Reloaded\VritualHD" as drive C but DOSBox says it has mounted "C:\Users\me\D-FEND~1\VIRTUA~1". What's wrong ?

"C:\Users\me\D-FEND~1\VIRTUA~1" is the short name for "C:\Users\me\D-Fend Reloaded\VritualHD". D-Fend Reloaded translates the long name to the short name when building the DOSBox configuration file. The Cause is DOSBox can only handle 134 chars per command. So if the path is too long DOSBox perhaps will not mount it. To avoid this, D-Fend Reloaded changes the path name to the short version. If you want to turn this off anyway, you can disable the "Use short path names for mount commands" option in the "DOSBox" category of the program options dialog. (The option is only visible in advanced setup mode.)

» How can I create an other language for D-Fend Reloaded ?

Just choose the menu item "Translate the program to your language" from the "Help making D-Fend Reloaded" better sub menu of the "Help" menu. Then choose "Start new language" and enter the name of the new language.

D-Fend Reloaded will then create a new language file and open it in the build-in language editor. The language editor shows tables for the different categories (menu, profile editor, setup dialog) with the English texts on the left side and (editable) your translations on the right side. All you have to do is make translations of the shown English strings. After closing the language editor you can activate your language from the setup dialog (its handled just like the predefined languages).

If you want to have your language in the next official D-Fend Reloaded release just mail the language file to me. (You can find the user defined language files in the folder "C:\Users\me\D-Fend Reloaded\Lang".) And of course you will get mentioned in the language files section of the program info dialog. Therefor you should attend one thing: Your name and the name of the language file are shown in any D-Fend Reloaded installation so make sure this two strings appear right under any chosen codepage/charset. (This means for example Cyrillic letters which are not defined in the English charset should not be used in the language name and in the author name.)

If your language file uses a special charset (like cyrillic) and this is the default charset on your computer, everything will look fine for you (and other people having the same Windows charset). But on systems with another default charset your language will look broken. To avoid this, you can tell D-Fend Reloaded to always use a special charset with your language file by setting the "Name=" key in the [CharsetSettings] section to one of the following values: ANSI_CHARSET, DEFAULT_CHARSET, SYMBOL_CHARSET, SHIFTJIS_CHARSET, HANGEUL_CHARSET, GB2312_CHARSET, CHINESEBIG5_CHARSET, OEM_CHARSET, JOHAB_CHARSET, HEBREW_CHARSET, ARABIC_CHARSET, GREEK_CHARSET, TURKISH_CHARSET, VIETNAMESE_CHARSET, THAI_CHARSET, EASTEUROPE_CHARSET, RUSSIAN_CHARSET. The default value "DEFAULT_CHARSET" tells D-Fend Reloaded to use the Windows default charset. There is one more thing to mention: The charset setting applys to all D-Fend Reloaded windows but sadly not to message boxes which are controled by Windows itself and will always use the Windows default charset.

» Is there an easy way of spell checking my new language file ?

Word processors usualy have quite good spell checkers but if you copy the whole language file to a word processor you will get a lot of false error messages because the word processor also trys to correct the "CouldNotDeleteFile=" parts of the records. To avoid this you can use the following trick: Open the Windows Notepad, press the tab key, mark the inserted tabulator (8 fields of space) and copy it to the clipboard. Open the language file, open the replace dialog in notepad, write in the "search for" field "=" and paste in the tab in the "replace by" field. (This means replace all "=" by tabs.) Mark the whole file and copy it in an spread sheet. Mark the second column (only the values without the "CouldNotDeleteFile=" keys) and copy them to the word processor.

» Where has the "Edit default profile... (F5)" menu item gone ?

Because the default template is also a template the option to edit the default template has moved to the templates editor. The default template will appear in the templates list of the template editor. To distinguish it from the normal templates the "Default template" text will appear in blue and you can not delete it.

Also the separate menu item to edit the default template has gone, the hotkey is still available. You can still reach the template profile editor via the F5 key.

» Can I use D-Fend Reloaded in Wine under Linux ?

Running D-Fend Reloaded in Wine is only half-official supported. In the program options dialog in the category "Wine support" (only visible in advanced setup mode) you can configurate D-Fend Reloaded to remap the Wine drive letters (C:, D: etc.) back to the Linux path names (/mnt/sta3, /mnt/stb1 etc.) when creating conf files.

The way the create link menu command works can also be changed for use on a Linux system: If you activate "Switch link creation menu item to create Linux shell scripts", the create link menu command will create shell scripts for running DOSBox with the selected profile.

You can use the same D-Fend Reloaded installation in Windows and Wine (without changing the setup settings): By calling D-Fend Reloaded with a command line parameter including "WineMode" or "WineSupportEnabled" you can override the setting from the setup dialog and activate the Wine support. By calling D-Fend Reloaded with a command line parameter including "WindowsMode", "NoWineSupport" or "WineSupportDisabled" you can override the setting from the setup dialog and disable the Wine support. The parameters are case insensitive and you can also write a "-" or a "/" before them if you like to ("-winemode" for example will also be recognized).

» I have keyboard problems the DOSBox keymapper cannot fix.

First of all try setting the SDL video driver to "Win DIB" in the DOSBox section of the D-Fend Reloaded setup dialog. If you still experience keyboard problems (in particular keys not recogniced by the keymapper, even more in particular the right shift key) and have pluged a Microsoft eHome receiver (the official remote control for the Microsoft media centre) to your system, please follow these steps:

  1. Open the "Keyboards" section in the Device Manager.
  2. Right-click "Microsoft eHome MCIR 109 Keyboard" and choose "Update Driver" (called "Update Driver Software" on Vista).
  3. Choose "Browse my computer for software" (XP users have to tell it not to install automatically and say you will specify the location, then when it asks you where you would like it to search for drivers choose the option to choose from a list) then "Let me pick from a list of device drivers on my computer".
  4. Make sure "show compatible hardware" is checked, then select "HID-compliant device" and click next. Click any remaining "OK" or "Finish" buttons after Windows has installed the driver.

The 109 keys driver is a Japanese keyboard driver. As long as you do not use a 109 keys keyboard doing this will not influence the functionallity of your keyboard or your remote control. (See also http://forums.logitech.com/logitech/board/message?board.id=general&message.id=6123)

» I get an error message when I try to install the DOSBox movie codec.

To install a video codec you need admin rights on your system. On Windows XP most user always have admin rights and so can install the codec directly from the start menu. Under Windows Vista you need to give a program admin rights manually. Becuase the codec installer is a simple rundll call, it will not ask for admin rights automatically (like normal installers do). So you need to click on the start menu item with the right mouse key and have to choose "Start as admin".


D-Fend Reloaded license (GPL3)

                    GNU GENERAL PUBLIC LICENSE
                       Version 3, 29 June 2007

 Copyright (C) 2007 Free Software Foundation, Inc. (http://fsf.org/)
 Everyone is permitted to copy and distribute verbatim copies
 of this license document, but changing it is not allowed.

                            Preamble

  The GNU General Public License is a free, copyleft license for
software and other kinds of works.

  The licenses for most software and other practical works are designed
to take away your freedom to share and change the works.  By contrast,
the GNU General Public License is intended to guarantee your freedom to
share and change all versions of a program--to make sure it remains free
software for all its users.  We, the Free Software Foundation, use the
GNU General Public License for most of our software; it applies also to
any other work released this way by its authors.  You can apply it to
your programs, too.

  When we speak of free software, we are referring to freedom, not
price.  Our General Public Licenses are designed to make sure that you
have the freedom to distribute copies of free software (and charge for
them if you wish), that you receive source code or can get it if you
want it, that you can change the software or use pieces of it in new
free programs, and that you know you can do these things.

  To protect your rights, we need to prevent others from denying you
these rights or asking you to surrender the rights.  Therefore, you have
certain responsibilities if you distribute copies of the software, or if
you modify it: responsibilities to respect the freedom of others.

  For example, if you distribute copies of such a program, whether
gratis or for a fee, you must pass on to the recipients the same
freedoms that you received.  You must make sure that they, too, receive
or can get the source code.  And you must show them these terms so they
know their rights.

  Developers that use the GNU GPL protect your rights with two steps:
(1) assert copyright on the software, and (2) offer you this License
giving you legal permission to copy, distribute and/or modify it.

  For the developers' and authors' protection, the GPL clearly explains
that there is no warranty for this free software.  For both users' and
authors' sake, the GPL requires that modified versions be marked as
changed, so that their problems will not be attributed erroneously to
authors of previous versions.

  Some devices are designed to deny users access to install or run
modified versions of the software inside them, although the manufacturer
can do so.  This is fundamentally incompatible with the aim of
protecting users' freedom to change the software.  The systematic
pattern of such abuse occurs in the area of products for individuals to
use, which is precisely where it is most unacceptable.  Therefore, we
have designed this version of the GPL to prohibit the practice for those
products.  If such problems arise substantially in other domains, we
stand ready to extend this provision to those domains in future versions
of the GPL, as needed to protect the freedom of users.

  Finally, every program is threatened constantly by software patents.
States should not allow patents to restrict development and use of
software on general-purpose computers, but in those that do, we wish to
avoid the special danger that patents applied to a free program could
make it effectively proprietary.  To prevent this, the GPL assures that
patents cannot be used to render the program non-free.

  The precise terms and conditions for copying, distribution and
modification follow.

                       TERMS AND CONDITIONS

  0. Definitions.

  "This License" refers to version 3 of the GNU General Public License.

  "Copyright" also means copyright-like laws that apply to other kinds of
works, such as semiconductor masks.

  "The Program" refers to any copyrightable work licensed under this
License.  Each licensee is addressed as "you".  "Licensees" and
"recipients" may be individuals or organizations.

  To "modify" a work means to copy from or adapt all or part of the work
in a fashion requiring copyright permission, other than the making of an
exact copy.  The resulting work is called a "modified version" of the
earlier work or a work "based on" the earlier work.

  A "covered work" means either the unmodified Program or a work based
on the Program.

  To "propagate" a work means to do anything with it that, without
permission, would make you directly or secondarily liable for
infringement under applicable copyright law, except executing it on a
computer or modifying a private copy.  Propagation includes copying,
distribution (with or without modification), making available to the
public, and in some countries other activities as well.

  To "convey" a work means any kind of propagation that enables other
parties to make or receive copies.  Mere interaction with a user through
a computer network, with no transfer of a copy, is not conveying.

  An interactive user interface displays "Appropriate Legal Notices"
to the extent that it includes a convenient and prominently visible
feature that (1) displays an appropriate copyright notice, and (2)
tells the user that there is no warranty for the work (except to the
extent that warranties are provided), that licensees may convey the
work under this License, and how to view a copy of this License.  If
the interface presents a list of user commands or options, such as a
menu, a prominent item in the list meets this criterion.

  1. Source Code.

  The "source code" for a work means the preferred form of the work
for making modifications to it.  "Object code" means any non-source
form of a work.

  A "Standard Interface" means an interface that either is an official
standard defined by a recognized standards body, or, in the case of
interfaces specified for a particular programming language, one that
is widely used among developers working in that language.

  The "System Libraries" of an executable work include anything, other
than the work as a whole, that (a) is included in the normal form of
packaging a Major Component, but which is not part of that Major
Component, and (b) serves only to enable use of the work with that
Major Component, or to implement a Standard Interface for which an
implementation is available to the public in source code form.  A
"Major Component", in this context, means a major essential component
(kernel, window system, and so on) of the specific operating system
(if any) on which the executable work runs, or a compiler used to
produce the work, or an object code interpreter used to run it.

  The "Corresponding Source" for a work in object code form means all
the source code needed to generate, install, and (for an executable
work) run the object code and to modify the work, including scripts to
control those activities.  However, it does not include the work's
System Libraries, or general-purpose tools or generally available free
programs which are used unmodified in performing those activities but
which are not part of the work.  For example, Corresponding Source
includes interface definition files associated with source files for
the work, and the source code for shared libraries and dynamically
linked subprograms that the work is specifically designed to require,
such as by intimate data communication or control flow between those
subprograms and other parts of the work.

  The Corresponding Source need not include anything that users
can regenerate automatically from other parts of the Corresponding
Source.

  The Corresponding Source for a work in source code form is that
same work.

  2. Basic Permissions.

  All rights granted under this License are granted for the term of
copyright on the Program, and are irrevocable provided the stated
conditions are met.  This License explicitly affirms your unlimited
permission to run the unmodified Program.  The output from running a
covered work is covered by this License only if the output, given its
content, constitutes a covered work.  This License acknowledges your
rights of fair use or other equivalent, as provided by copyright law.

  You may make, run and propagate covered works that you do not
convey, without conditions so long as your license otherwise remains
in force.  You may convey covered works to others for the sole purpose
of having them make modifications exclusively for you, or provide you
with facilities for running those works, provided that you comply with
the terms of this License in conveying all material for which you do
not control copyright.  Those thus making or running the covered works
for you must do so exclusively on your behalf, under your direction
and control, on terms that prohibit them from making any copies of
your copyrighted material outside their relationship with you.

  Conveying under any other circumstances is permitted solely under
the conditions stated below.  Sublicensing is not allowed; section 10
makes it unnecessary.

  3. Protecting Users' Legal Rights From Anti-Circumvention Law.

  No covered work shall be deemed part of an effective technological
measure under any applicable law fulfilling obligations under article
11 of the WIPO copyright treaty adopted on 20 December 1996, or
similar laws prohibiting or restricting circumvention of such
measures.

  When you convey a covered work, you waive any legal power to forbid
circumvention of technological measures to the extent such circumvention
is effected by exercising rights under this License with respect to
the covered work, and you disclaim any intention to limit operation or
modification of the work as a means of enforcing, against the work's
users, your or third parties' legal rights to forbid circumvention of
technological measures.

  4. Conveying Verbatim Copies.

  You may convey verbatim copies of the Program's source code as you
receive it, in any medium, provided that you conspicuously and
appropriately publish on each copy an appropriate copyright notice;
keep intact all notices stating that this License and any
non-permissive terms added in accord with section 7 apply to the code;
keep intact all notices of the absence of any warranty; and give all
recipients a copy of this License along with the Program.

  You may charge any price or no price for each copy that you convey,
and you may offer support or warranty protection for a fee.

  5. Conveying Modified Source Versions.

  You may convey a work based on the Program, or the modifications to
produce it from the Program, in the form of source code under the
terms of section 4, provided that you also meet all of these conditions:

    a) The work must carry prominent notices stating that you modified
    it, and giving a relevant date.

    b) The work must carry prominent notices stating that it is
    released under this License and any conditions added under section
    7.  This requirement modifies the requirement in section 4 to
    "keep intact all notices".

    c) You must license the entire work, as a whole, under this
    License to anyone who comes into possession of a copy.  This
    License will therefore apply, along with any applicable section 7
    additional terms, to the whole of the work, and all its parts,
    regardless of how they are packaged.  This License gives no
    permission to license the work in any other way, but it does not
    invalidate such permission if you have separately received it.

    d) If the work has interactive user interfaces, each must display
    Appropriate Legal Notices; however, if the Program has interactive
    interfaces that do not display Appropriate Legal Notices, your
    work need not make them do so.

  A compilation of a covered work with other separate and independent
works, which are not by their nature extensions of the covered work,
and which are not combined with it such as to form a larger program,
in or on a volume of a storage or distribution medium, is called an
"aggregate" if the compilation and its resulting copyright are not
used to limit the access or legal rights of the compilation's users
beyond what the individual works permit.  Inclusion of a covered work
in an aggregate does not cause this License to apply to the other
parts of the aggregate.

  6. Conveying Non-Source Forms.

  You may convey a covered work in object code form under the terms
of sections 4 and 5, provided that you also convey the
machine-readable Corresponding Source under the terms of this License,
in one of these ways:

    a) Convey the object code in, or embodied in, a physical product
    (including a physical distribution medium), accompanied by the
    Corresponding Source fixed on a durable physical medium
    customarily used for software interchange.

    b) Convey the object code in, or embodied in, a physical product
    (including a physical distribution medium), accompanied by a
    written offer, valid for at least three years and valid for as
    long as you offer spare parts or customer support for that product
    model, to give anyone who possesses the object code either (1) a
    copy of the Corresponding Source for all the software in the
    product that is covered by this License, on a durable physical
    medium customarily used for software interchange, for a price no
    more than your reasonable cost of physically performing this
    conveying of source, or (2) access to copy the
    Corresponding Source from a network server at no charge.

    c) Convey individual copies of the object code with a copy of the
    written offer to provide the Corresponding Source.  This
    alternative is allowed only occasionally and noncommercially, and
    only if you received the object code with such an offer, in accord
    with subsection 6b.

    d) Convey the object code by offering access from a designated
    place (gratis or for a charge), and offer equivalent access to the
    Corresponding Source in the same way through the same place at no
    further charge.  You need not require recipients to copy the
    Corresponding Source along with the object code.  If the place to
    copy the object code is a network server, the Corresponding Source
    may be on a different server (operated by you or a third party)
    that supports equivalent copying facilities, provided you maintain
    clear directions next to the object code saying where to find the
    Corresponding Source.  Regardless of what server hosts the
    Corresponding Source, you remain obligated to ensure that it is
    available for as long as needed to satisfy these requirements.

    e) Convey the object code using peer-to-peer transmission, provided
    you inform other peers where the object code and Corresponding
    Source of the work are being offered to the general public at no
    charge under subsection 6d.

  A separable portion of the object code, whose source code is excluded
from the Corresponding Source as a System Library, need not be
included in conveying the object code work.

  A "User Product" is either (1) a "consumer product", which means any
tangible personal property which is normally used for personal, family,
or household purposes, or (2) anything designed or sold for incorporation
into a dwelling.  In determining whether a product is a consumer product,
doubtful cases shall be resolved in favor of coverage.  For a particular
product received by a particular user, "normally used" refers to a
typical or common use of that class of product, regardless of the status
of the particular user or of the way in which the particular user
actually uses, or expects or is expected to use, the product.  A product
is a consumer product regardless of whether the product has substantial
commercial, industrial or non-consumer uses, unless such uses represent
the only significant mode of use of the product.

  "Installation Information" for a User Product means any methods,
procedures, authorization keys, or other information required to install
and execute modified versions of a covered work in that User Product from
a modified version of its Corresponding Source.  The information must
suffice to ensure that the continued functioning of the modified object
code is in no case prevented or interfered with solely because
modification has been made.

  If you convey an object code work under this section in, or with, or
specifically for use in, a User Product, and the conveying occurs as
part of a transaction in which the right of possession and use of the
User Product is transferred to the recipient in perpetuity or for a
fixed term (regardless of how the transaction is characterized), the
Corresponding Source conveyed under this section must be accompanied
by the Installation Information.  But this requirement does not apply
if neither you nor any third party retains the ability to install
modified object code on the User Product (for example, the work has
been installed in ROM).

  The requirement to provide Installation Information does not include a
requirement to continue to provide support service, warranty, or updates
for a work that has been modified or installed by the recipient, or for
the User Product in which it has been modified or installed.  Access to a
network may be denied when the modification itself materially and
adversely affects the operation of the network or violates the rules and
protocols for communication across the network.

  Corresponding Source conveyed, and Installation Information provided,
in accord with this section must be in a format that is publicly
documented (and with an implementation available to the public in
source code form), and must require no special password or key for
unpacking, reading or copying.

  7. Additional Terms.

  "Additional permissions" are terms that supplement the terms of this
License by making exceptions from one or more of its conditions.
Additional permissions that are applicable to the entire Program shall
be treated as though they were included in this License, to the extent
that they are valid under applicable law.  If additional permissions
apply only to part of the Program, that part may be used separately
under those permissions, but the entire Program remains governed by
this License without regard to the additional permissions.

  When you convey a copy of a covered work, you may at your option
remove any additional permissions from that copy, or from any part of
it.  (Additional permissions may be written to require their own
removal in certain cases when you modify the work.)  You may place
additional permissions on material, added by you to a covered work,
for which you have or can give appropriate copyright permission.

  Notwithstanding any other provision of this License, for material you
add to a covered work, you may (if authorized by the copyright holders of
that material) supplement the terms of this License with terms:

    a) Disclaiming warranty or limiting liability differently from the
    terms of sections 15 and 16 of this License; or

    b) Requiring preservation of specified reasonable legal notices or
    author attributions in that material or in the Appropriate Legal
    Notices displayed by works containing it; or

    c) Prohibiting misrepresentation of the origin of that material, or
    requiring that modified versions of such material be marked in
    reasonable ways as different from the original version; or

    d) Limiting the use for publicity purposes of names of licensors or
    authors of the material; or

    e) Declining to grant rights under trademark law for use of some
    trade names, trademarks, or service marks; or

    f) Requiring indemnification of licensors and authors of that
    material by anyone who conveys the material (or modified versions of
    it) with contractual assumptions of liability to the recipient, for
    any liability that these contractual assumptions directly impose on
    those licensors and authors.

  All other non-permissive additional terms are considered "further
restrictions" within the meaning of section 10.  If the Program as you
received it, or any part of it, contains a notice stating that it is
governed by this License along with a term that is a further
restriction, you may remove that term.  If a license document contains
a further restriction but permits relicensing or conveying under this
License, you may add to a covered work material governed by the terms
of that license document, provided that the further restriction does
not survive such relicensing or conveying.

  If you add terms to a covered work in accord with this section, you
must place, in the relevant source files, a statement of the
additional terms that apply to those files, or a notice indicating
where to find the applicable terms.

  Additional terms, permissive or non-permissive, may be stated in the
form of a separately written license, or stated as exceptions;
the above requirements apply either way.

  8. Termination.

  You may not propagate or modify a covered work except as expressly
provided under this License.  Any attempt otherwise to propagate or
modify it is void, and will automatically terminate your rights under
this License (including any patent licenses granted under the third
paragraph of section 11).

  However, if you cease all violation of this License, then your
license from a particular copyright holder is reinstated (a)
provisionally, unless and until the copyright holder explicitly and
finally terminates your license, and (b) permanently, if the copyright
holder fails to notify you of the violation by some reasonable means
prior to 60 days after the cessation.

  Moreover, your license from a particular copyright holder is
reinstated permanently if the copyright holder notifies you of the
violation by some reasonable means, this is the first time you have
received notice of violation of this License (for any work) from that
copyright holder, and you cure the violation prior to 30 days after
your receipt of the notice.

  Termination of your rights under this section does not terminate the
licenses of parties who have received copies or rights from you under
this License.  If your rights have been terminated and not permanently
reinstated, you do not qualify to receive new licenses for the same
material under section 10.

  9. Acceptance Not Required for Having Copies.

  You are not required to accept this License in order to receive or
run a copy of the Program.  Ancillary propagation of a covered work
occurring solely as a consequence of using peer-to-peer transmission
to receive a copy likewise does not require acceptance.  However,
nothing other than this License grants you permission to propagate or
modify any covered work.  These actions infringe copyright if you do
not accept this License.  Therefore, by modifying or propagating a
covered work, you indicate your acceptance of this License to do so.

  10. Automatic Licensing of Downstream Recipients.

  Each time you convey a covered work, the recipient automatically
receives a license from the original licensors, to run, modify and
propagate that work, subject to this License.  You are not responsible
for enforcing compliance by third parties with this License.

  An "entity transaction" is a transaction transferring control of an
organization, or substantially all assets of one, or subdividing an
organization, or merging organizations.  If propagation of a covered
work results from an entity transaction, each party to that
transaction who receives a copy of the work also receives whatever
licenses to the work the party's predecessor in interest had or could
give under the previous paragraph, plus a right to possession of the
Corresponding Source of the work from the predecessor in interest, if
the predecessor has it or can get it with reasonable efforts.

  You may not impose any further restrictions on the exercise of the
rights granted or affirmed under this License.  For example, you may
not impose a license fee, royalty, or other charge for exercise of
rights granted under this License, and you may not initiate litigation
(including a cross-claim or counterclaim in a lawsuit) alleging that
any patent claim is infringed by making, using, selling, offering for
sale, or importing the Program or any portion of it.

  11. Patents.

  A "contributor" is a copyright holder who authorizes use under this
License of the Program or a work on which the Program is based.  The
work thus licensed is called the contributor's "contributor version".

  A contributor's "essential patent claims" are all patent claims
owned or controlled by the contributor, whether already acquired or
hereafter acquired, that would be infringed by some manner, permitted
by this License, of making, using, or selling its contributor version,
but do not include claims that would be infringed only as a
consequence of further modification of the contributor version.  For
purposes of this definition, "control" includes the right to grant
patent sublicenses in a manner consistent with the requirements of
this License.

  Each contributor grants you a non-exclusive, worldwide, royalty-free
patent license under the contributor's essential patent claims, to
make, use, sell, offer for sale, import and otherwise run, modify and
propagate the contents of its contributor version.

  In the following three paragraphs, a "patent license" is any express
agreement or commitment, however denominated, not to enforce a patent
(such as an express permission to practice a patent or covenant not to
sue for patent infringement).  To "grant" such a patent license to a
party means to make such an agreement or commitment not to enforce a
patent against the party.

  If you convey a covered work, knowingly relying on a patent license,
and the Corresponding Source of the work is not available for anyone
to copy, free of charge and under the terms of this License, through a
publicly available network server or other readily accessible means,
then you must either (1) cause the Corresponding Source to be so
available, or (2) arrange to deprive yourself of the benefit of the
patent license for this particular work, or (3) arrange, in a manner
consistent with the requirements of this License, to extend the patent
license to downstream recipients.  "Knowingly relying" means you have
actual knowledge that, but for the patent license, your conveying the
covered work in a country, or your recipient's use of the covered work
in a country, would infringe one or more identifiable patents in that
country that you have reason to believe are valid.

  If, pursuant to or in connection with a single transaction or
arrangement, you convey, or propagate by procuring conveyance of, a
covered work, and grant a patent license to some of the parties
receiving the covered work authorizing them to use, propagate, modify
or convey a specific copy of the covered work, then the patent license
you grant is automatically extended to all recipients of the covered
work and works based on it.

  A patent license is "discriminatory" if it does not include within
the scope of its coverage, prohibits the exercise of, or is
conditioned on the non-exercise of one or more of the rights that are
specifically granted under this License.  You may not convey a covered
work if you are a party to an arrangement with a third party that is
in the business of distributing software, under which you make payment
to the third party based on the extent of your activity of conveying
the work, and under which the third party grants, to any of the
parties who would receive the covered work from you, a discriminatory
patent license (a) in connection with copies of the covered work
conveyed by you (or copies made from those copies), or (b) primarily
for and in connection with specific products or compilations that
contain the covered work, unless you entered into that arrangement,
or that patent license was granted, prior to 28 March 2007.

  Nothing in this License shall be construed as excluding or limiting
any implied license or other defenses to infringement that may
otherwise be available to you under applicable patent law.

  12. No Surrender of Others' Freedom.

  If conditions are imposed on you (whether by court order, agreement or
otherwise) that contradict the conditions of this License, they do not
excuse you from the conditions of this License.  If you cannot convey a
covered work so as to satisfy simultaneously your obligations under this
License and any other pertinent obligations, then as a consequence you may
not convey it at all.  For example, if you agree to terms that obligate you
to collect a royalty for further conveying from those to whom you convey
the Program, the only way you could satisfy both those terms and this
License would be to refrain entirely from conveying the Program.

  13. Use with the GNU Affero General Public License.

  Notwithstanding any other provision of this License, you have
permission to link or combine any covered work with a work licensed
under version 3 of the GNU Affero General Public License into a single
combined work, and to convey the resulting work.  The terms of this
License will continue to apply to the part which is the covered work,
but the special requirements of the GNU Affero General Public License,
section 13, concerning interaction through a network will apply to the
combination as such.

  14. Revised Versions of this License.

  The Free Software Foundation may publish revised and/or new versions of
the GNU General Public License from time to time.  Such new versions will
be similar in spirit to the present version, but may differ in detail to
address new problems or concerns.

  Each version is given a distinguishing version number.  If the
Program specifies that a certain numbered version of the GNU General
Public License "or any later version" applies to it, you have the
option of following the terms and conditions either of that numbered
version or of any later version published by the Free Software
Foundation.  If the Program does not specify a version number of the
GNU General Public License, you may choose any version ever published
by the Free Software Foundation.

  If the Program specifies that a proxy can decide which future
versions of the GNU General Public License can be used, that proxy's
public statement of acceptance of a version permanently authorizes you
to choose that version for the Program.

  Later license versions may give you additional or different
permissions.  However, no additional obligations are imposed on any
author or copyright holder as a result of your choosing to follow a
later version.

  15. Disclaimer of Warranty.

  THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY
APPLICABLE LAW.  EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT
HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY
OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
PURPOSE.  THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM
IS WITH YOU.  SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF
ALL NECESSARY SERVICING, REPAIR OR CORRECTION.

  16. Limitation of Liability.

  IN NO EVENT UNLESS REQUIRED BY APPLICABLE LAW OR AGREED TO IN WRITING
WILL ANY COPYRIGHT HOLDER, OR ANY OTHER PARTY WHO MODIFIES AND/OR CONVEYS
THE PROGRAM AS PERMITTED ABOVE, BE LIABLE TO YOU FOR DAMAGES, INCLUDING ANY
GENERAL, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF THE
USE OR INABILITY TO USE THE PROGRAM (INCLUDING BUT NOT LIMITED TO LOSS OF
DATA OR DATA BEING RENDERED INACCURATE OR LOSSES SUSTAINED BY YOU OR THIRD
PARTIES OR A FAILURE OF THE PROGRAM TO OPERATE WITH ANY OTHER PROGRAMS),
EVEN IF SUCH HOLDER OR OTHER PARTY HAS BEEN ADVISED OF THE POSSIBILITY OF
SUCH DAMAGES.

  17. Interpretation of Sections 15 and 16.

  If the disclaimer of warranty and limitation of liability provided
above cannot be given local legal effect according to their terms,
reviewing courts shall apply local law that most closely approximates
an absolute waiver of all civil liability in connection with the
Program, unless a warranty or assumption of liability accompanies a
copy of the Program in return for a fee.

                     END OF TERMS AND CONDITIONS

            How to Apply These Terms to Your New Programs

  If you develop a new program, and you want it to be of the greatest
possible use to the public, the best way to achieve this is to make it
free software which everyone can redistribute and change under these terms.

  To do so, attach the following notices to the program.  It is safest
to attach them to the start of each source file to most effectively
state the exclusion of warranty; and each file should have at least
the "copyright" line and a pointer to where the full notice is found.

    Copyright (C)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see (http://www.gnu.org/licenses/).

Also add information on how to contact you by electronic and paper mail.

  If the program does terminal interaction, make it output a short
notice like this when it starts in an interactive mode:

      Copyright (C)
    This program comes with ABSOLUTELY NO WARRANTY; for details type `show w'.
    This is free software, and you are welcome to redistribute it
    under certain conditions; type `show c' for details.

The hypothetical commands `show w' and `show c' should show the appropriate
parts of the General Public License.  Of course, your program's commands
might be different; for a GUI interface, you would use an "about box".

  You should also get your employer (if you work as a programmer) or school,
if any, to sign a "copyright disclaimer" for the program, if necessary.
For more information on this, and how to apply and follow the GNU GPL, see
(http://www.gnu.org/licenses/).

  The GNU General Public License does not permit incorporating your program
into proprietary programs.  If your program is a subroutine library, you
may consider it more useful to permit linking proprietary applications with
the library.  If this is what you want to do, use the GNU Lesser General
Public License instead of this License.  But first, please read
(http://www.gnu.org/philosophy/why-not-lgpl.html).

See also:

Internet link: Free Software Foundation
Internet link: D-Fend Reloaded homepage


Show toolbar

Via this option you can show or hide the toolbar in the D-Fend Reloaded main window.